jQuery( function( $ )
{

	//クイックエディットサイドメニュー用HTML
	const quick_sidebar_html = `
<div id="element-editor-wrapper" uk-offcanvas="mode: push;">
編集タイプが指定されていません。
</div>
`;

	//背景編集画面
	const back_editor_html = `
	<div class="element-editor">

		<div class="uk-grid-collapse" uk-grid>
			<div><h2>背景編集</h2></div>
			<div><button class="uk-offcanvas-close" type="button" uk-close></button></div>
		</div>

		<ul uk-tab="connect: + .uk-switcher">
			<li><a href="#">PC</a></li>
			<li><a href="#">タブレット</a></li>
			<li><a href="#">スマホ</a></li>
		</ul>

		<ul class="uk-switcher uk-margin">
			<!-- PC -->
			<li>

				<div class="uk-padding-small uk-padding-remove-bottom">プレビュー</div>
				<div id="preview-wrapper">
					<div class="preview-area preview-back"></div>
				</div>

				<form id="element-editor">

					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							背景カラー
						</div>
						<div class="uk-width-expand@m">
							<div><input id="background-color" name="background-color" class="color-picker uk-input uk-form-small" type="text"></div>
						</div>
						<div class="uk-width-auto@m">
							<input id="background-color-important" name="background-color-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="background-color-copy" name="background-color-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							背景イメージ(グラデーション兼用)
						</div>
						<div class="uk-width-expand@m">
							<input id="background-image" name="background-image" class="media-library-1 uk-input uk-form-small" type="text">
							<button class="media-upload" rel="media-library-1" data-device="#element-editor">選択</button>
						</div>
						<div class="uk-width-auto@m">
							<input id="background-image-important" name="background-image-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="background-image-copy" name="background-image-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							背景のイメージの繰り返し
						</div>
						<div class="uk-width-expand@m">
							<input id="background-repeat" name="background-repeat" list="background-repeat-list" class="uk-input" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="background-repeat-important" name="background-repeat-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="background-repeat-copy" name="background-repeat-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							背景のイメージのスクロール時の位置
						</div>
						<div class="uk-width-expand@m">
							<input id="background-attachment" name="background-attachment" list="background-attachment-list" class="uk-input" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="background-attachment-important" name="background-attachment-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="background-attachment-copy" name="background-attachment-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							背景のイメージの位置
						</div>
						<div class="uk-width-expand@m">
							<input id="background-position" name="background-position" list="background-position-list" class="uk-input" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="background-position-important" name="background-position-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="background-position-copy" name="background-position-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							背景のイメージのサイズ
						</div>
						<div class="uk-width-expand@m">
							<input id="background-size" name="background-size" list="background-size-list" class="uk-input" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="background-size-important" name="background-size-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="background-size-copy" name="background-size-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>

				</form>

			</li>
			<!-- /PC -->

			<!-- タブレット -->
			<li>

				<div class="uk-padding-small">プレビュー</div>
				<div id="preview-wrapper-tb">
					<div class="preview-area preview-back"></div>
				</div>

				<form id="element-editor-tb">

					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							背景カラー
						</div>
						<div class="uk-width-expand@m">
							<div><input id="background-color" name="background-color" class="color-picker uk-input uk-form-small" type="text"></div>
						</div>
						<div class="uk-width-auto@m">
							<input id="background-color-important" name="background-color-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="background-color-copy" name="background-color-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							背景イメージ(グラデーション兼用)
						</div>
						<div class="uk-width-expand@m">
							<input id="background-image" name="background-image" class="media-library-1 uk-input uk-form-small" type="text">
							<button class="media-upload" rel="media-library-1" data-device="#element-editor-tb">選択</button>
						</div>
						<div class="uk-width-auto@m">
							<input id="background-image-important" name="background-image-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="background-image-copy" name="background-image-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							背景のイメージの繰り返し
						</div>
						<div class="uk-width-expand@m">
							<input id="background-repeat" name="background-repeat" list="background-repeat-list" class="uk-input" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="background-repeat-important" name="background-repeat-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="background-repeat-copy" name="background-repeat-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							背景のイメージのスクロール時の位置
						</div>
						<div class="uk-width-expand@m">
							<input id="background-attachment" name="background-attachment" list="background-attachment-list" class="uk-input" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="background-attachment-important" name="background-attachment-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="background-attachment-copy" name="background-attachment-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							背景のイメージの位置
						</div>
						<div class="uk-width-expand@m">
							<input id="background-position" name="background-position" list="background-position-list" class="uk-input" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="background-position-important" name="background-position-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="background-position-copy" name="background-position-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							背景のイメージのサイズ
						</div>
						<div class="uk-width-expand@m">
							<input id="background-size" name="background-size" list="background-size-list" class="uk-input" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="background-size-important" name="background-size-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="background-size-copy" name="background-size-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>

				</form>

			</li>
			<!-- /タブレット -->

			<!-- スマホ -->
			<li>

				<div class="uk-padding-small">プレビュー</div>
				<div id="preview-wrapper-sp">
					<div class="preview-area preview-back"></div>
				</div>

				<form id="element-editor-sp">

					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							背景カラー
						</div>
						<div class="uk-width-expand@m">
							<div><input id="background-color" name="background-color" class="color-picker uk-input uk-form-small" type="text"></div>
						</div>
						<div class="uk-width-auto@m">
							<input id="background-color-important" name="background-color-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="background-color-copy" name="background-color-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							背景イメージ(グラデーション兼用)
						</div>
						<div class="uk-width-expand@m">
							<input id="background-image" name="background-image" class="media-library-1 uk-input uk-form-small" type="text">
							<button class="media-upload" rel="media-library-1" data-device="#element-editor-sp">選択</button>
						</div>
						<div class="uk-width-auto@m">
							<input id="background-image-important" name="background-image-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="background-image-copy" name="background-image-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							背景のイメージの繰り返し
						</div>
						<div class="uk-width-expand@m">
							<input id="background-repeat" name="background-repeat" list="background-repeat-list" class="uk-input" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="background-repeat-important" name="background-repeat-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="background-repeat-copy" name="background-repeat-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							背景のイメージのスクロール時の位置
						</div>
						<div class="uk-width-expand@m">
							<input id="background-attachment" name="background-attachment" list="background-attachment-list" class="uk-input" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="background-attachment-important" name="background-attachment-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="background-attachment-copy" name="background-attachment-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							背景のイメージの位置
						</div>
						<div class="uk-width-expand@m">
							<input id="background-position" name="background-position" list="background-position-list" class="uk-input" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="background-position-important" name="background-position-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="background-position-copy" name="background-position-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							背景のイメージのサイズ
						</div>
						<div class="uk-width-expand@m">
							<input id="background-size" name="background-size" list="background-size-list" class="uk-input" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="background-size-important" name="background-size-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="background-size-copy" name="background-size-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>

				</form>

			</li>
			<!-- /スマホ -->

		</ul>



		<ul uk-tab="connect: + .uk-switcher">
			<li><a href="#">セレクタ</a></li>
			<li><a href="#">メディアクエリーサイズ</a></li>
		</ul>

		<ul class="uk-switcher uk-margin">
			<!-- セレクタ -->
			<li class="uk-form-horizontal uk-padding-small">
				<div class="uk-margin">
					<label class="uk-form-label" for="form-horizontal-text">セレクタ名</label>
					<div class="uk-form-controls">
						<input id="selector" name="selector" type="text" class="uk-input uk-form-small" value="" placeholder="セレクタ">
					</div>
				</div>
			</li>
			<!-- /セレクタ -->

			<!-- メディアクエリーサイズ -->
			<li>

				<div class="uk-grid-small uk-padding-small" uk-grid>
					<div class="uk-width-1-4@m">
						<input id="sp-max-width" name="sp-max-width" type="text" value="599px" class="uk-input uk-form-small" placeholder="スマホ最大値"><br>
				スマホ最大値
					</div>
					<div class="uk-width-1-4@m">
						<input id="tb-min-width" name="tb-min-width" type="text" value="600px" class="uk-input uk-form-small" placeholder="タブレット最小値"><br>
				タブレット最小値
					</div>
					<div class="uk-width-1-4@m">
						<input id="tb-max-width" name="tb-max-width" type="text" value="1024px" class="uk-input uk-form-small" placeholder="タブレット最大値"><br>
				タブレット最大値
					</div>
					<div class="uk-width-1-4@m">
						<input id="media-size-save" name="media-size-save" type="button" value="記憶" class="uk-button uk-button-green uk-button-small media-size-save-btn">
					</div>
				</div>

			</li>
			<!-- /メディアクエリーサイズ -->

		</ul>

		<p>
			<button class="edit-save uk-button uk-button-green uk-button-small">編集終了</button>
		</p>
	</div>
`;





	//フォント編集画面
	const font_editor_html = `
	<div class="element-editor">

		<div class="uk-grid-collapse" uk-grid>
			<div><h2>フォント編集</h2></div>
			<div><button class="uk-offcanvas-close" type="button" uk-close></button></div>
		</div>

		<ul uk-tab="connect: + .uk-switcher">
			<li><a href="#">PC</a></li>
			<li><a href="#">タブレット</a></li>
			<li><a href="#">スマホ</a></li>
		</ul>

		<ul class="uk-switcher uk-margin">
			<!-- PC -->
			<li>

				<div class="uk-padding-small uk-padding-remove-bottom">プレビュー</div>
				<div id="preview-wrapper">
					<div class="preview-outer">
						<div class="preview-area preview-font">こんにちは<br>さようなら<br>またきてね</div>
					</div>
				</div>

				<form id="element-editor">

					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							フォントファミリー(書体)
						</div>
						<div class="uk-width-expand@m">
							<input id="font-family" name="font-family" class="uk-input uk-form-small" list="font-family-list" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="font-family-important" name="font-family-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="font-family-copy" name="font-family-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							フォントサイズ
						</div>
						<div class="uk-width-expand@m">
							<input id="font-size" name="font-size" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="font-size-important" name="font-size-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="font-size-copy" name="font-size-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							フォントカラー
						</div>
						<div class="uk-width-expand@m">
							<input id="color" name="color" class="color-picker uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="color-important" name="color-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="color-copy" name="color-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							太さ
						</div>
						<div class="uk-width-expand@m">
							<input id="font-weight" name="font-weight" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="font-weight-important" name="font-weight-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="font-weight-copy" name="font-weight-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							装飾
						</div>
						<div class="uk-width-expand@m">
							<input id="text-decoration" name="text-decoration" class="uk-input uk-form-small" list="text-decoration-list" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="text-decoration-important" name="text-decoration-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="text-decoration-copy" name="text-decoration-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							インデント
						</div>
						<div class="uk-width-expand@m">
							<input id="text-indent" name="text-indent" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="text-indent-important" name="text-indent-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="text-indent-copy" name="text-indent-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							行間
						</div>
						<div class="uk-width-expand@m">
							<input id="line-height" name="line-height" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="line-height-important" name="line-height-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="line-height-copy" name="line-height-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							字間
						</div>
						<div class="uk-width-expand@m">
							<input id="letter-spacing" name="letter-spacing" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="letter-spacing-important" name="letter-spacing-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="letter-spacing-copy" name="letter-spacing-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							行揃え
						</div>
						<div class="uk-width-expand@m">
							<input id="text-align" name="text-align" class="uk-input uk-form-small" list="text-align-list" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="text-align-important" name="text-align-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="text-align-copy" name="text-align-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							テキストシャドウ
						</div>
						<div class="uk-width-expand@m">
							<input id="text-shadow" name="text-shadow" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="text-shadow-important" name="text-shadow-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="text-shadow-copy" name="text-shadow-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>

				</form>

			</li>
			<!-- /PC -->

			<!-- タブレット -->
			<li>

				<div class="uk-padding-small uk-padding-remove-bottom">プレビュー</div>
				<div id="preview-wrapper-tb">
					<div class="preview-outer">
						<div class="preview-area preview-font">こんにちは<br>さようなら<br>またきてね</div>
					</div>
				</div>

				<form id="element-editor-tb">

					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							フォントファミリー(書体)
						</div>
						<div class="uk-width-expand@m">
							<input id="font-family" name="font-family" class="uk-input uk-form-small" list="font-family-list" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="font-family-important" name="font-family-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="font-family-copy" name="font-family-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							フォントサイズ
						</div>
						<div class="uk-width-expand@m">
							<input id="font-size" name="font-size" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="font-size-important" name="font-size-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="font-size-copy" name="font-size-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							フォントカラー
						</div>
						<div class="uk-width-expand@m">
							<input id="color" name="color" class="color-picker uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="color-important" name="color-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="color-copy" name="color-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							太さ
						</div>
						<div class="uk-width-expand@m">
							<input id="font-weight" name="font-weight" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="font-weight-important" name="font-weight-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="font-weight-copy" name="font-weight-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							装飾
						</div>
						<div class="uk-width-expand@m">
							<input id="text-decoration" name="text-decoration" class="uk-input uk-form-small" list="text-decoration-list" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="text-decoration-important" name="text-decoration-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="text-decoration-copy" name="text-decoration-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							インデント
						</div>
						<div class="uk-width-expand@m">
							<input id="text-indent" name="text-indent" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="text-indent-important" name="text-indent-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="text-indent-copy" name="text-indent-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							行間
						</div>
						<div class="uk-width-expand@m">
							<input id="line-height" name="line-height" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="line-height-important" name="line-height-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="line-height-copy" name="line-height-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							字間
						</div>
						<div class="uk-width-expand@m">
							<input id="letter-spacing" name="letter-spacing" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="letter-spacing-important" name="letter-spacing-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="letter-spacing-copy" name="letter-spacing-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							行揃え
						</div>
						<div class="uk-width-expand@m">
							<input id="text-align" name="text-align" class="uk-input uk-form-small" list="text-align-list" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="text-align-important" name="text-align-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="text-align-copy" name="text-align-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							テキストシャドウ
						</div>
						<div class="uk-width-expand@m">
							<input id="text-shadow" name="text-shadow" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="text-shadow-important" name="text-shadow-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="text-shadow-copy" name="text-shadow-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>

				</form>

			</li>
			<!-- /タブレット -->

			<!-- スマホ -->
			<li>

				<div class="uk-padding-small uk-padding-remove-bottom">プレビュー</div>
				<div id="preview-wrapper-sp">
					<div class="preview-outer">
						<div class="preview-area preview-font">こんにちは<br>さようなら<br>またきてね</div>
					</div>
				</div>

				<form id="element-editor-sp">

					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							フォントファミリー(書体)
						</div>
						<div class="uk-width-expand@m">
							<input id="font-family" name="font-family" class="uk-input uk-form-small" list="font-family-list" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="font-family-important" name="font-family-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="font-family-copy" name="font-family-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							フォントサイズ
						</div>
						<div class="uk-width-expand@m">
							<input id="font-size" name="font-size" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="font-size-important" name="font-size-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="font-size-copy" name="font-size-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							フォントカラー
						</div>
						<div class="uk-width-expand@m">
							<input id="color" name="color" class="color-picker uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="color-important" name="color-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="color-copy" name="color-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							太さ
						</div>
						<div class="uk-width-expand@m">
							<input id="font-weight" name="font-weight" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="font-weight-important" name="font-weight-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="font-weight-copy" name="font-weight-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							装飾
						</div>
						<div class="uk-width-expand@m">
							<input id="text-decoration" name="text-decoration" class="uk-input uk-form-small" list="text-decoration-list" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="text-decoration-important" name="text-decoration-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="text-decoration-copy" name="text-decoration-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							インデント
						</div>
						<div class="uk-width-expand@m">
							<input id="text-indent" name="text-indent" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="text-indent-important" name="text-indent-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="text-indent-copy" name="text-indent-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							行間
						</div>
						<div class="uk-width-expand@m">
							<input id="line-height" name="line-height" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="line-height-important" name="line-height-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="line-height-copy" name="line-height-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							字間
						</div>
						<div class="uk-width-expand@m">
							<input id="letter-spacing" name="letter-spacing" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="letter-spacing-important" name="letter-spacing-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="letter-spacing-copy" name="letter-spacing-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							行揃え
						</div>
						<div class="uk-width-expand@m">
							<input id="text-align" name="text-align" class="uk-input uk-form-small" list="text-align-list" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="text-align-important" name="text-align-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="text-align-copy" name="text-align-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							テキストシャドウ
						</div>
						<div class="uk-width-expand@m">
							<input id="text-shadow" name="text-shadow" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="text-shadow-important" name="text-shadow-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="text-shadow-copy" name="text-shadow-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>

				</form>

			</li>
			<!-- /スマホ -->

		</ul>



		<ul uk-tab="connect: + .uk-switcher">
			<li><a href="#">セレクタ</a></li>
			<li><a href="#">メディアクエリーサイズ</a></li>
		</ul>

		<ul class="uk-switcher uk-margin">
			<!-- セレクタ -->
			<li class="uk-form-horizontal uk-padding-small">
				<div class="uk-margin">
					<label class="uk-form-label" for="form-horizontal-text">セレクタ名</label>
					<div class="uk-form-controls">
						<input id="selector" name="selector" type="text" class="uk-input uk-form-small" value="" placeholder="セレクタ">
					</div>
				</div>
			</li>
			<!-- /セレクタ -->

			<!-- メディアクエリーサイズ -->
			<li>

				<div class="uk-grid-small uk-padding-small" uk-grid>
					<div class="uk-width-1-4@m">
						<input id="sp-max-width" name="sp-max-width" type="text" value="599px" class="uk-input uk-form-small" placeholder="スマホ最大値"><br>
				スマホ最大値
					</div>
					<div class="uk-width-1-4@m">
						<input id="tb-min-width" name="tb-min-width" type="text" value="600px" class="uk-input uk-form-small" placeholder="タブレット最小値"><br>
				タブレット最小値
					</div>
					<div class="uk-width-1-4@m">
						<input id="tb-max-width" name="tb-max-width" type="text" value="1024px" class="uk-input uk-form-small" placeholder="タブレット最大値"><br>
				タブレット最大値
					</div>
					<div class="uk-width-1-4@m">
						<input id="media-size-save" name="media-size-save" type="button" value="記憶" class="uk-button uk-button-green uk-button-small media-size-save-btn">
					</div>
				</div>

			</li>
			<!-- /メディアクエリーサイズ -->

		</ul>

		<p>
			<button class="edit-save uk-button uk-button-green uk-button-small">編集終了</button>
		</p>
	</div>
`;



	//ボーダー編集画面
	const border_editor_html = `
	<div class="element-editor">

		<div class="uk-grid-collapse" uk-grid>
			<div><h2>ボーダー編集</h2></div>
			<div><button class="uk-offcanvas-close" type="button" uk-close></button></div>
		</div>

		<ul uk-tab="connect: + .uk-switcher">
			<li><a href="#">PC</a></li>
			<li><a href="#">タブレット</a></li>
			<li><a href="#">スマホ</a></li>
		</ul>

		<ul class="uk-switcher uk-margin">
			<!-- PC -->
			<li>

				<div class="uk-padding-small uk-padding-remove-bottom">プレビュー</div>
				<div id="preview-wrapper">
					<div class="preview-area preview-border"></div>
				</div>

				<form id="element-editor">

					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							上ボーダーのカラー
						</div>
						<div class="uk-width-expand@m">
							<input id="border-top-color" name="border-top-color" class="color-picker uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-top-color-important" name="border-top-color-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-top-color-copy" name="border-top-color-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							下ボーダーのカラー
						</div>
						<div class="uk-width-expand@m">
							<input id="border-bottom-color" name="border-bottom-color" class="color-picker uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-bottom-color-important" name="border-bottom-color-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-bottom-color-copy" name="border-bottom-color-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							左ボーダーのカラー
						</div>
						<div class="uk-width-expand@m">
							<input id="border-left-color" name="border-left-color" class="color-picker uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-left-color-important" name="border-left-color-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-left-color-copy" name="border-left-color-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							右ボーダーのカラー
						</div>
						<div class="uk-width-expand@m">
							<input id="border-right-color" name="border-right-color" class="color-picker uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-right-color-important" name="border-right-color-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-right-color-copy" name="border-right-color-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							上ボーダーのスタイル
						</div>
						<div class="uk-width-expand@m">
							<input id="border-top-style" name="border-top-style" class="uk-input uk-form-small" list="border-list" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-top-style-important" name="border-top-style-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-top-style-copy" name="border-top-style-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							下ボーダーのスタイル
						</div>
						<div class="uk-width-expand@m">
							<input id="border-bottom-style" name="border-bottom-style" class="uk-input uk-form-small" list="border-list" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-bottom-style-important" name="border-bottom-style-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-bottom-style-copy" name="border-bottom-style-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							左ボーダーのスタイル
						</div>
						<div class="uk-width-expand@m">
							<input id="border-left-style" name="border-left-style" class="uk-input uk-form-small" list="border-list" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-left-style-important" name="border-left-style-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-left-style-copy" name="border-left-style-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							右ボーダーのスタイル
						</div>
						<div class="uk-width-expand@m">
							<input id="border-right-style" name="border-right-style" class="uk-input uk-form-small" list="border-list" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-right-style-important" name="border-right-style-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-right-style-copy" name="border-right-style-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							上ボーダーの太さ
						</div>
						<div class="uk-width-expand@m">
							<input id="border-top-width" name="border-top-width" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-top-width-important" name="border-top-width-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-top-width-copy" name="border-top-width-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							下ボーダーの太さ
						</div>
						<div class="uk-width-expand@m">
							<input id="border-bottom-width" name="border-bottom-width" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-bottom-width-important" name="border-bottom-width-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-bottom-width-copy" name="border-bottom-width-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							左ボーダーの太さ
						</div>
						<div class="uk-width-expand@m">
							<input id="border-left-width" name="border-left-width" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-left-width-important" name="border-left-width-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-left-width-copy" name="border-left-width-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							右ボーダーの太さ
						</div>
						<div class="uk-width-expand@m">
							<input id="border-right-width" name="border-right-width" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-right-width-important" name="border-right-width-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-right-width-copy" name="border-right-width-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							左上ボーダーの丸み
						</div>
						<div class="uk-width-expand@m">
							<input id="border-top-left-radius" name="border-top-left-radius" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-top-left-radius-important" name="border-top-left-radius-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-top-left-radius-copy" name="border-top-left-radius-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							右上ボーダーの丸み
						</div>
						<div class="uk-width-expand@m">
							<input id="border-top-right-radius" name="border-top-right-radius" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-top-right-radius-important" name="border-top-right-radius-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-top-right-radius-copy" name="border-top-right-radius-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							左下ボーダーの丸み
						</div>
						<div class="uk-width-expand@m">
							<input id="border-bottom-left-radius" name="border-bottom-left-radius" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-bottom-left-radius-important" name="border-bottom-left-radius-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-bottom-left-radius-copy" name="border-bottom-left-radius-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							右下ボーダーの丸み
						</div>
						<div class="uk-width-expand@m">
							<input id="border-bottom-right-radius" name="border-bottom-right-radius" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-bottom-right-radius-important" name="border-bottom-right-radius-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-bottom-right-radius-copy" name="border-bottom-right-radius-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>

				</form>

			</li>
			<!-- /PC -->

			<!-- タブレット -->
			<li>


				<div class="uk-padding-small uk-padding-remove-bottom">プレビュー</div>
				<div id="preview-wrapper-tb">
					<div class="preview-area preview-border"></div>
				</div>

				<form id="element-editor-tb">

					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							上ボーダーのカラー
						</div>
						<div class="uk-width-expand@m">
							<input id="border-top-color" name="border-top-color" class="color-picker uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-top-color-important" name="border-top-color-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-top-color-copy" name="border-top-color-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							下ボーダーのカラー
						</div>
						<div class="uk-width-expand@m">
							<input id="border-bottom-color" name="border-bottom-color" class="color-picker uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-bottom-color-important" name="border-bottom-color-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-bottom-color-copy" name="border-bottom-color-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							左ボーダーのカラー
						</div>
						<div class="uk-width-expand@m">
							<input id="border-left-color" name="border-left-color" class="color-picker uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-left-color-important" name="border-left-color-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-left-color-copy" name="border-left-color-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							右ボーダーのカラー
						</div>
						<div class="uk-width-expand@m">
							<input id="border-right-color" name="border-right-color" class="color-picker uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-right-color-important" name="border-right-color-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-right-color-copy" name="border-right-color-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							上ボーダーのスタイル
						</div>
						<div class="uk-width-expand@m">
							<input id="border-top-style" name="border-top-style" class="uk-input uk-form-small" list="border-list" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-top-style-important" name="border-top-style-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-top-style-copy" name="border-top-style-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							下ボーダーのスタイル
						</div>
						<div class="uk-width-expand@m">
							<input id="border-bottom-style" name="border-bottom-style" class="uk-input uk-form-small" list="border-list" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-bottom-style-important" name="border-bottom-style-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-bottom-style-copy" name="border-bottom-style-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							左ボーダーのスタイル
						</div>
						<div class="uk-width-expand@m">
							<input id="border-left-style" name="border-left-style" class="uk-input uk-form-small" list="border-list" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-left-style-important" name="border-left-style-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-left-style-copy" name="border-left-style-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							右ボーダーのスタイル
						</div>
						<div class="uk-width-expand@m">
							<input id="border-right-style" name="border-right-style" class="uk-input uk-form-small" list="border-list" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-right-style-important" name="border-right-style-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-right-style-copy" name="border-right-style-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							上ボーダーの太さ
						</div>
						<div class="uk-width-expand@m">
							<input id="border-top-width" name="border-top-width" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-top-width-important" name="border-top-width-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-top-width-copy" name="border-top-width-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							下ボーダーの太さ
						</div>
						<div class="uk-width-expand@m">
							<input id="border-bottom-width" name="border-bottom-width" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-bottom-width-important" name="border-bottom-width-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-bottom-width-copy" name="border-bottom-width-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							左ボーダーの太さ
						</div>
						<div class="uk-width-expand@m">
							<input id="border-left-width" name="border-left-width" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-left-width-important" name="border-left-width-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-left-width-copy" name="border-left-width-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							右ボーダーの太さ
						</div>
						<div class="uk-width-expand@m">
							<input id="border-right-width" name="border-right-width" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-right-width-important" name="border-right-width-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-right-width-copy" name="border-right-width-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							左上ボーダーの丸み
						</div>
						<div class="uk-width-expand@m">
							<input id="border-top-left-radius" name="border-top-left-radius" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-top-left-radius-important" name="border-top-left-radius-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-top-left-radius-copy" name="border-top-left-radius-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							右上ボーダーの丸み
						</div>
						<div class="uk-width-expand@m">
							<input id="border-top-right-radius" name="border-top-right-radius" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-top-right-radius-important" name="border-top-right-radius-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-top-right-radius-copy" name="border-top-right-radius-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							左下ボーダーの丸み
						</div>
						<div class="uk-width-expand@m">
							<input id="border-bottom-left-radius" name="border-bottom-left-radius" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-bottom-left-radius-important" name="border-bottom-left-radius-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-bottom-left-radius-copy" name="border-bottom-left-radius-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							右下ボーダーの丸み
						</div>
						<div class="uk-width-expand@m">
							<input id="border-bottom-right-radius" name="border-bottom-right-radius" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-bottom-right-radius-important" name="border-bottom-right-radius-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-bottom-right-radius-copy" name="border-bottom-right-radius-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>

				</form>

			</li>
			<!-- /タブレット -->

			<!-- スマホ -->
			<li>


				<div class="uk-padding-small uk-padding-remove-bottom">プレビュー</div>
				<div id="preview-wrapper-sp">
					<div class="preview-area preview-border"></div>
				</div>

				<form id="element-editor-sp">

					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							上ボーダーのカラー
						</div>
						<div class="uk-width-expand@m">
							<input id="border-top-color" name="border-top-color" class="color-picker uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-top-color-important" name="border-top-color-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-top-color-copy" name="border-top-color-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							下ボーダーのカラー
						</div>
						<div class="uk-width-expand@m">
							<input id="border-bottom-color" name="border-bottom-color" class="color-picker uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-bottom-color-important" name="border-bottom-color-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-bottom-color-copy" name="border-bottom-color-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							左ボーダーのカラー
						</div>
						<div class="uk-width-expand@m">
							<input id="border-left-color" name="border-left-color" class="color-picker uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-left-color-important" name="border-left-color-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-left-color-copy" name="border-left-color-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							右ボーダーのカラー
						</div>
						<div class="uk-width-expand@m">
							<input id="border-right-color" name="border-right-color" class="color-picker uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-right-color-important" name="border-right-color-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-right-color-copy" name="border-right-color-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							上ボーダーのスタイル
						</div>
						<div class="uk-width-expand@m">
							<input id="border-top-style" name="border-top-style" class="uk-input uk-form-small" list="border-list" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-top-style-important" name="border-top-style-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-top-style-copy" name="border-top-style-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							下ボーダーのスタイル
						</div>
						<div class="uk-width-expand@m">
							<input id="border-bottom-style" name="border-bottom-style" class="uk-input uk-form-small" list="border-list" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-bottom-style-important" name="border-bottom-style-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-bottom-style-copy" name="border-bottom-style-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							左ボーダーのスタイル
						</div>
						<div class="uk-width-expand@m">
							<input id="border-left-style" name="border-left-style" class="uk-input uk-form-small" list="border-list" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-left-style-important" name="border-left-style-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-left-style-copy" name="border-left-style-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							右ボーダーのスタイル
						</div>
						<div class="uk-width-expand@m">
							<input id="border-right-style" name="border-right-style" class="uk-input uk-form-small" list="border-list" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-right-style-important" name="border-right-style-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-right-style-copy" name="border-right-style-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							上ボーダーの太さ
						</div>
						<div class="uk-width-expand@m">
							<input id="border-top-width" name="border-top-width" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-top-width-important" name="border-top-width-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-top-width-copy" name="border-top-width-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							下ボーダーの太さ
						</div>
						<div class="uk-width-expand@m">
							<input id="border-bottom-width" name="border-bottom-width" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-bottom-width-important" name="border-bottom-width-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-bottom-width-copy" name="border-bottom-width-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							左ボーダーの太さ
						</div>
						<div class="uk-width-expand@m">
							<input id="border-left-width" name="border-left-width" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-left-width-important" name="border-left-width-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-left-width-copy" name="border-left-width-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							右ボーダーの太さ
						</div>
						<div class="uk-width-expand@m">
							<input id="border-right-width" name="border-right-width" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-right-width-important" name="border-right-width-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-right-width-copy" name="border-right-width-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							左上ボーダーの丸み
						</div>
						<div class="uk-width-expand@m">
							<input id="border-top-left-radius" name="border-top-left-radius" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-top-left-radius-important" name="border-top-left-radius-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-top-left-radius-copy" name="border-top-left-radius-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							右上ボーダーの丸み
						</div>
						<div class="uk-width-expand@m">
							<input id="border-top-right-radius" name="border-top-right-radius" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-top-right-radius-important" name="border-top-right-radius-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-top-right-radius-copy" name="border-top-right-radius-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							左下ボーダーの丸み
						</div>
						<div class="uk-width-expand@m">
							<input id="border-bottom-left-radius" name="border-bottom-left-radius" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-bottom-left-radius-important" name="border-bottom-left-radius-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-bottom-left-radius-copy" name="border-bottom-left-radius-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							右下ボーダーの丸み
						</div>
						<div class="uk-width-expand@m">
							<input id="border-bottom-right-radius" name="border-bottom-right-radius" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-bottom-right-radius-important" name="border-bottom-right-radius-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="border-bottom-right-radius-copy" name="border-bottom-right-radius-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>

				</form>


			</li>
			<!-- /スマホ -->

		</ul>



		<ul uk-tab="connect: + .uk-switcher">
			<li><a href="#">セレクタ</a></li>
			<li><a href="#">メディアクエリーサイズ</a></li>
		</ul>

		<ul class="uk-switcher uk-margin">
			<!-- セレクタ -->
			<li class="uk-form-horizontal uk-padding-small">
				<div class="uk-margin">
					<label class="uk-form-label" for="form-horizontal-text">セレクタ名</label>
					<div class="uk-form-controls">
						<input id="selector" name="selector" type="text" class="uk-input uk-form-small" value="" placeholder="セレクタ">
					</div>
				</div>
			</li>
			<!-- /セレクタ -->

			<!-- メディアクエリーサイズ -->
			<li>

				<div class="uk-grid-small uk-padding-small" uk-grid>
					<div class="uk-width-1-4@m">
						<input id="sp-max-width" name="sp-max-width" type="text" value="599px" class="uk-input uk-form-small" placeholder="スマホ最大値"><br>
				スマホ最大値
					</div>
					<div class="uk-width-1-4@m">
						<input id="tb-min-width" name="tb-min-width" type="text" value="600px" class="uk-input uk-form-small" placeholder="タブレット最小値"><br>
				タブレット最小値
					</div>
					<div class="uk-width-1-4@m">
						<input id="tb-max-width" name="tb-max-width" type="text" value="1024px" class="uk-input uk-form-small" placeholder="タブレット最大値"><br>
				タブレット最大値
					</div>
					<div class="uk-width-1-4@m">
						<input id="media-size-save" name="media-size-save" type="button" value="記憶" class="uk-button uk-button-green uk-button-small media-size-save-btn">
					</div>
				</div>

			</li>
			<!-- /メディアクエリーサイズ -->

		</ul>

		<p>
			<button class="edit-save uk-button uk-button-green uk-button-small">編集終了</button>
		</p>
	</div>
`;



	//余白編集画面
	const space_editor_html = `
	<div class="element-editor">

		<div class="uk-grid-collapse" uk-grid>
			<div><h2>マージン・パディング編集</h2></div>
			<div><button class="uk-offcanvas-close" type="button" uk-close></button></div>
		</div>

		<ul uk-tab="connect: + .uk-switcher">
			<li><a href="#">PC</a></li>
			<li><a href="#">タブレット</a></li>
			<li><a href="#">スマホ</a></li>
		</ul>

		<ul class="uk-switcher uk-margin">
			<!-- PC -->
			<li>

				<div class="uk-padding-small uk-padding-remove-bottom">プレビュー</div>
				<div id="preview-wrapper">
					<div class="preview-area preview-space"></div>
				</div>

				<form id="element-editor">

					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							上マージン(間隔)
						</div>
						<div class="uk-width-expand@m">
							<input id="margin-top" name="margin-top" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="margin-top-important" name="margin-top-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="margin-top-copy" name="margin-top-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							下マージン(間隔)
						</div>
						<div class="uk-width-expand@m">
							<input id="margin-bottom" name="margin-bottom" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="margin-bottom-important" name="margin-bottom-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="margin-bottom-copy" name="margin-bottom-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							左マージン(間隔)
						</div>
						<div class="uk-width-expand@m">
							<input id="margin-left" name="margin-left" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="margin-left-important" name="margin-left-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="margin-left-copy" name="margin-left-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							右マージン(間隔)
						</div>
						<div class="uk-width-expand@m">
							<input id="margin-right" name="margin-right" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="margin-right-important" name="margin-right-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="margin-right-copy" name="margin-right-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							上パディング(余白)
						</div>
						<div class="uk-width-expand@m">
							<input id="padding-top" name="padding-top" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="padding-top-important" name="padding-top-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="padding-top-copy" name="padding-top-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							下パディング(余白)
						</div>
						<div class="uk-width-expand@m">
							<input id="padding-bottom" name="padding-bottom" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="padding-bottom-important" name="padding-bottom-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="padding-bottom-copy" name="padding-bottom-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							左パディング(余白)
						</div>
						<div class="uk-width-expand@m">
							<input id="padding-left" name="padding-left" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="padding-left-important" name="padding-left-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="padding-left-copy" name="padding-left-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							右パディング(余白)
						</div>
						<div class="uk-width-expand@m">
							<input id="padding-right" name="padding-right" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="padding-right-important" name="padding-right-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="padding-right-copy" name="padding-right-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>

				</form>

			</li>
			<!-- /PC -->

			<!-- タブレット -->
			<li>

				<div class="uk-padding-small uk-padding-remove-bottom">プレビュー</div>
				<div id="preview-wrapper-tb">
					<div class="preview-area preview-space"></div>
				</div>

				<form id="element-editor-tb">

					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							上マージン(間隔)
						</div>
						<div class="uk-width-expand@m">
							<input id="margin-top" name="margin-top" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="margin-top-important" name="margin-top-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="margin-top-copy" name="margin-top-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							下マージン(間隔)
						</div>
						<div class="uk-width-expand@m">
							<input id="margin-bottom" name="margin-bottom" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="margin-bottom-important" name="margin-bottom-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="margin-bottom-copy" name="margin-bottom-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							左マージン(間隔)
						</div>
						<div class="uk-width-expand@m">
							<input id="margin-left" name="margin-left" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="margin-left-important" name="margin-left-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="margin-left-copy" name="margin-left-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							右マージン(間隔)
						</div>
						<div class="uk-width-expand@m">
							<input id="margin-right" name="margin-right" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="margin-right-important" name="margin-right-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="margin-right-copy" name="margin-right-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							上パディング(余白)
						</div>
						<div class="uk-width-expand@m">
							<input id="padding-top" name="padding-top" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="padding-top-important" name="padding-top-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="padding-top-copy" name="padding-top-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							下パディング(余白)
						</div>
						<div class="uk-width-expand@m">
							<input id="padding-bottom" name="padding-bottom" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="padding-bottom-important" name="padding-bottom-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="padding-bottom-copy" name="padding-bottom-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							左パディング(余白)
						</div>
						<div class="uk-width-expand@m">
							<input id="padding-left" name="padding-left" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="padding-left-important" name="padding-left-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="padding-left-copy" name="padding-left-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							右パディング(余白)
						</div>
						<div class="uk-width-expand@m">
							<input id="padding-right" name="padding-right" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="padding-right-important" name="padding-right-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="padding-right-copy" name="padding-right-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>

				</form>


			</li>
			<!-- /タブレット -->

			<!-- スマホ -->
			<li>

				<div class="uk-padding-small uk-padding-remove-bottom">プレビュー</div>
				<div id="preview-wrapper-sp">
					<div class="preview-area preview-space"></div>
				</div>

				<form id="element-editor-sp">

					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							上マージン(間隔)
						</div>
						<div class="uk-width-expand@m">
							<input id="margin-top" name="margin-top" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="margin-top-important" name="margin-top-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="margin-top-copy" name="margin-top-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							下マージン(間隔)
						</div>
						<div class="uk-width-expand@m">
							<input id="margin-bottom" name="margin-bottom" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="margin-bottom-important" name="margin-bottom-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="margin-bottom-copy" name="margin-bottom-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							左マージン(間隔)
						</div>
						<div class="uk-width-expand@m">
							<input id="margin-left" name="margin-left" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="margin-left-important" name="margin-left-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="margin-left-copy" name="margin-left-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							右マージン(間隔)
						</div>
						<div class="uk-width-expand@m">
							<input id="margin-right" name="margin-right" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="margin-right-important" name="margin-right-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="margin-right-copy" name="margin-right-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							上パディング(余白)
						</div>
						<div class="uk-width-expand@m">
							<input id="padding-top" name="padding-top" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="padding-top-important" name="padding-top-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="padding-top-copy" name="padding-top-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							下パディング(余白)
						</div>
						<div class="uk-width-expand@m">
							<input id="padding-bottom" name="padding-bottom" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="padding-bottom-important" name="padding-bottom-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="padding-bottom-copy" name="padding-bottom-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							左パディング(余白)
						</div>
						<div class="uk-width-expand@m">
							<input id="padding-left" name="padding-left" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="padding-left-important" name="padding-left-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="padding-left-copy" name="padding-left-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>



					<div class="uk-grid-small uk-padding-small" uk-grid>
						<div class="uk-width-1-3@m">
							右パディング(余白)
						</div>
						<div class="uk-width-expand@m">
							<input id="padding-right" name="padding-right" class="uk-input uk-form-small" type="text">
						</div>
						<div class="uk-width-auto@m">
							<input id="padding-right-important" name="padding-right-important" type="checkbox" class="uk-checkbox" title="!importantを設定">
						</div>
						<div class="uk-width-auto@m">
							<input id="padding-right-copy" name="padding-right-copy" type="button" title="全てのデバイスの同じ項目に値をコピーします" value="COPY" class="uk-button uk-button-danger uk-button-small copy-btn">
						</div>
					</div>

				</form>

			</li>
			<!-- /スマホ -->

		</ul>



		<ul uk-tab="connect: + .uk-switcher">
			<li><a href="#">セレクタ</a></li>
			<li><a href="#">メディアクエリーサイズ</a></li>
		</ul>

		<ul class="uk-switcher uk-margin">
			<!-- セレクタ -->
			<li class="uk-form-horizontal uk-padding-small">
				<div class="uk-margin">
					<label class="uk-form-label" for="form-horizontal-text">セレクタ名</label>
					<div class="uk-form-controls">
						<input id="selector" name="selector" type="text" class="uk-input uk-form-small" value="" placeholder="セレクタ">
					</div>
				</div>
			</li>
			<!-- /セレクタ -->

			<!-- メディアクエリーサイズ -->
			<li>

				<div class="uk-grid-small uk-padding-small" uk-grid>
					<div class="uk-width-1-4@m">
						<input id="sp-max-width" name="sp-max-width" type="text" value="599px" class="uk-input uk-form-small" placeholder="スマホ最大値"><br>
				スマホ最大値
					</div>
					<div class="uk-width-1-4@m">
						<input id="tb-min-width" name="tb-min-width" type="text" value="600px" class="uk-input uk-form-small" placeholder="タブレット最小値"><br>
				タブレット最小値
					</div>
					<div class="uk-width-1-4@m">
						<input id="tb-max-width" name="tb-max-width" type="text" value="1024px" class="uk-input uk-form-small" placeholder="タブレット最大値"><br>
				タブレット最大値
					</div>
					<div class="uk-width-1-4@m">
						<input id="media-size-save" name="media-size-save" type="button" value="記憶" class="uk-button uk-button-green uk-button-small media-size-save-btn">
					</div>
				</div>

			</li>
			<!-- /メディアクエリーサイズ -->

		</ul>

		<p>
			<button class="edit-save uk-button uk-button-green uk-button-small">編集終了</button>
		</p>
	</div>
`;



	//要素の全プロパティ取得
	$.fn.attrAll = function()
	{
		var ret = {};
		var attrs = this.get(0).attributes;
		var attr;
		for (var i = 0, len = attrs.length; i < len; i++)
		{
			attr = attrs[i];
			ret[attr.name] = attr.value;
		}

		return ret;
	};


	//bodyタグ直下に追加
	$( 'body' ).prepend( quick_sidebar_html );


	//サイドバートリガーをクリックしたら
	$( '.element-editor-btn' ).on( 'click' , function( e )
	{
		//編集タイプを取得
		const edit_type		= $( this ).attr( 'data-edit_type' );

		//値を上書きするターゲットを取得
		let save_target		= $( this ).attr( 'data-target' );

		//呼び出し元のボタン
		const btn_target	= $( this );


		//ボーダーであれば
		if( edit_type == 'border' )
		{
			//サイドバーの中身を差し替える
			$( '#element-editor-wrapper' ).html( border_editor_html );
		}
		//フォントであれば
		else if( edit_type == 'font' )
		{
			//サイドバーの中身を差し替える
			$( '#element-editor-wrapper' ).html( font_editor_html );
		}
		//マージンと余白であれば
		else if( edit_type == 'space' )
		{
			//サイドバーの中身を差し替える
			$( '#element-editor-wrapper' ).html( space_editor_html );
		}
		//背景あれば
		else if( edit_type == 'back' )
		{
			//サイドバーの中身を差し替える
			$( '#element-editor-wrapper' ).html( back_editor_html );
		}


		//属性を全て取得
		const O_datas = $( this ).attrAll();


		//data属性をオブジェクトとして取得(再取得時にキャッシュされるのでダメ)
//		var O_datas = $( this ).data();

		//属性をループ処理
		$.each( O_datas , function( key , val )
		{
			//全てのアンダーバーをハイフンに置き換える
			key = key.replace( /_/g , '-' );

			//data-部分を削除する
			key = key.replace( /^data\-/ , '' );

			//importantが含まれていれば
			if( val.match( /important/ ) )
			{
				//!importantを削除
				val = val.replace( /\s?\!important/ , '' );

				//importantをチェックする
				$( '#' + key + '-important' ).prop( 'checked' , true );
			}


			let device = '';

			//タブレットであれば
			if( key.match( /-tb-/ ) )
			{
				// /*TB*/ を削除
				val = val.replace( /\/\*TB\*\// , '' );
				key = key.replace( /\-tb\-/ , '' );

				device = '#element-editor-tb ';
			}

			//スマホであれば
			if( key.match( /-sp-/ ) )
			{
				// /*SP*/ を削除
				val = val.replace( /\/\*SP\*\// , '' );
				key = key.replace( /\-sp\-/ , '' );

				device = '#element-editor-sp ';
			}


			//該当するフォームに値をコピーする
			$( device + '#' + key ).val( val );
		});





		//保存ボタンに保存先をセット
		$( '.edit-save' ).attr( 'data-save_target' , save_target );


		//保存ボタンをクリックしたら
		$( '.edit-save' ).on( 'click' , function( e2 )
		{
			//値を上書きするターゲットを取得
			save_target			= $( this ).attr( 'data-save_target' );

			//セレクタを取得
			const selector		= $( '#selector' ).val();

			//フォームの値を全て取得
			const O_forms		= $( '#element-editor' ).serializeArray();
			const O_forms_tb	= $( '#element-editor-tb' ).serializeArray();
			const O_forms_sp	= $( '#element-editor-sp' ).serializeArray();

			//メディアクエリーの値を取得
			tb_min_width		= $( '#tb-min-width' ).val();
			tb_max_width		= $( '#tb-max-width' ).val();
			sp_max_width		= $( '#sp-max-width' ).val();

			let serial_str		= '';
			let serial_tb_str	= '';
			let serial_sp_str	= '';


			//PC
			//フォームの値を処理する
			$.each( O_forms , function( i , prop )
			{
				//値がなければスキップ
				if( prop.value == '' ) { return true; }

				//全てのハイフンをアンダーバーに置き換える
				key = prop.name.replace( /\-/g , '_' );


				//_importantが含まれていれば
				if( key.match( /_important/ ) )
				{
					//スキップする
					return true;
				}
				//含まれていなければ
				else
				{

					//importantがチェックされていれば
					if( $( '#' + prop.name + '-important' ).prop( 'checked' ) == true )
					{
						//呼び出し元フォームの値を更新する
						$( btn_target ).attr( 'data-' + key , prop.value + " !important" );


						//値を整形する
						serial_str += "    " + prop.name + ': ' + prop.value + " !important;\n";
					}
					//されていなければ
					else
					{
						//呼び出し元フォームの値を更新する
						$( btn_target ).attr( 'data-' + key , prop.value );

						//値を整形する
						serial_str += "    " + prop.name + ': ' + prop.value + ";\n";
					}

				}
			});


			//セレクタがあればセレクタで囲む
			if( selector && serial_str ) { serial_str = selector + "{\n" + serial_str + "\n}"; }



			//タブレット
			//フォームの値を処理する
			$.each( O_forms_tb , function( i , prop )
			{
				//値がなければスキップ
				if( prop.value == '' ) { return true; }

				//全てのハイフンをアンダーバーに置き換える
				key = prop.name.replace( /\-/g , '_' );


				//_importantが含まれていれば
				if( key.match( /_important/ ) )
				{
					//スキップする
					return true;
				}
				//含まれていなければ
				else
				{

					//importantがチェックされていれば
					if( $( '#' + prop.name + '-important' ).prop( 'checked' ) == true )
					{
						//呼び出し元フォームの値を更新する
						$( btn_target ).attr( 'data-_tb_' + key , prop.value + " !important" );


						//値を整形する
						serial_tb_str += "        " + prop.name + ': ' + prop.value + " !important /*TB*/;\n";
					}
					//されていなければ
					else
					{
						//呼び出し元フォームの値を更新する
						$( btn_target ).attr( 'data-_tb_' + key , prop.value );

						//値を整形する
						serial_tb_str += "        " + prop.name + ': ' + prop.value + "/*TB*/;\n";
					}

				}
			});


			//セレクタがあればセレクタで囲む
			if( selector && serial_tb_str  ) { serial_tb_str = "    " + selector + "{\n" + serial_tb_str + "\n    }\n"; }


			//スマホ
			//フォームの値を処理する
			$.each( O_forms_sp , function( i , prop )
			{
				//値がなければスキップ
				if( prop.value == '' ) { return true; }

				//全てのハイフンをアンダーバーに置き換える
				key = prop.name.replace( /\-/g , '_' );


				//_importantが含まれていれば
				if( key.match( /_important/ ) )
				{
					//スキップする
					return true;
				}
				//含まれていなければ
				else
				{

					//importantがチェックされていれば
					if( $( '#' + prop.name + '-important' ).prop( 'checked' ) == true )
					{
						//呼び出し元フォームの値を更新する
						$( btn_target ).attr( 'data-_sp_' + key , prop.value + " !important" );


						//値を整形する
						serial_sp_str += "        " + prop.name + ': ' + prop.value + " !important /*SP*/;\n";
					}
					//されていなければ
					else
					{
						//呼び出し元フォームの値を更新する
						$( btn_target ).attr( 'data-_sp_' + key , prop.value );

						//値を整形する
						serial_sp_str += "        " + prop.name + ': ' + prop.value + "/*SP*/;\n";
					}

				}
			});


			//セレクタがあればセレクタで囲む
			if( selector && serial_sp_str ) { serial_sp_str = "    " + selector + "{\n" + serial_sp_str + "\n    }\n"; }


			//PCの値があれば
			if( serial_str )
			{
				serial_str = "\/\* PC \*\/\n" + serial_str + "\n";
			}

			//タブレットの値があれば
			if( serial_tb_str )
			{
				serial_tb_str = "\/\* タブレット \*\/\n" + '@media screen and ( min-width: ' + tb_min_width + ' ) and ( max-width: ' + tb_max_width + ' ){' + "\n" + serial_tb_str + '}' + "\n";
			}

			//スマホの値があれば
			if( serial_sp_str )
			{
				serial_sp_str = "\/\* スマホ \*\/\n" + '@media screen and ( max-width: ' + sp_max_width + ' ){' + "\n" + serial_sp_str + '}' + "\n";
			}


			//空白をトリミング
			serial_str = $.trim( serial_str + "\n" + serial_tb_str + "\n" + serial_sp_str );

			//値をコピーする
			$( '.' + save_target ).val( serial_str );

			//formタグ内なのでサブミットしないようにしておく
			e2.preventDefault();


			//サイドバーを閉じる
			UIkit.offcanvas( '#element-editor-wrapper' ).hide();
		});



		//プレビュー処理
		//値をチェンジしたら
		$( '.element-editor input' ).on( 'change mouseout' , function()
		{
			//フォームの値を全て取得
			const O_forms		= $( '#element-editor' ).serializeArray();
			const O_forms_tb	= $( '#element-editor-tb' ).serializeArray();
			const O_forms_sp	= $( '#element-editor-sp' ).serializeArray();


			//PC
			//フォームの値を処理する
			$.each( O_forms , function( i , prop )
			{
				//全てのハイフンをアンダーバーに置き換える
				key = prop.name.replace( /\-/g , '_' );

				//プレビューを更新
				$( '#preview-wrapper .preview-area' ).css( prop.name , prop.value );
			});


			//タブレット
			//フォームの値を処理する
			$.each( O_forms_tb , function( i , prop )
			{
				//全てのハイフンをアンダーバーに置き換える
				key = prop.name.replace( /\-/g , '_' );

				//プレビューを更新
				$( '#preview-wrapper-tb .preview-area' ).css( prop.name , prop.value );
			});


			//スマホ
			//フォームの値を処理する
			$.each( O_forms_sp , function( i , prop )
			{
				//全てのハイフンをアンダーバーに置き換える
				$key = prop.name.replace( /\-/g , '_' );

				//プレビューを更新
				$( '#preview-wrapper-sp .preview-area' ).css( prop.name , prop.value );
			});

		});


		//フォームの値を全て取得
		const O_forms		= $( '#element-editor' ).serializeArray();
		const O_forms_tb	= $( '#element-editor-tb' ).serializeArray();
		const O_forms_sp	= $( '#element-editor-sp' ).serializeArray();


		//PC
		//フォームの値を処理する
		$.each( O_forms , function( i , prop )
		{
			//全てのハイフンをアンダーバーに置き換える
			key = prop.name.replace( /\-/g , '_' );

			//プレビューを更新
			$( '#preview-wrapper .preview-area' ).css( prop.name , prop.value );
		});


		//タブレット
		//フォームの値を処理する
		$.each( O_forms_tb , function( i , prop )
		{
			//全てのハイフンをアンダーバーに置き換える
			key = prop.name.replace( /\-/g , '_' );

			//プレビューを更新
			$( '#preview-wrapper-tb .preview-area' ).css( prop.name , prop.value );
		});


		//スマホ
		//フォームの値を処理する
		$.each( O_forms_sp , function( i , prop )
		{
			//全てのハイフンをアンダーバーに置き換える
			key = prop.name.replace( /\-/g , '_' );

			//プレビューを更新
			$( '#preview-wrapper-sp .preview-area' ).css( prop.name , prop.value );
		});



		//コピーボタンをクリックしたら
		$( '.copy-btn' ).on( 'click' , function()
		{
			//ID属性を取得
			var id = $( this ).attr( 'id' );

			//-copyを削除する
			id = id.replace( /\-copy/ , '' );

			//デバイスを取得する
			var form_id = $( this ).parents( 'form' ).attr( 'id' );

			var device = '';

			//タブレットであれば
			if( form_id.match( /\-tb/ ) )		{ device = '-tb'; }
			//スマホであれば
			else if( form_id.match( /\-sp/ ) )	{ device = '-sp'; }


			var target_id = '#element-editor' + device + ' #' + id;

			//要素が存在すれば
			if( $( target_id ).length )
			{
				//要素の値を取得
				var value = $( target_id ).val();

				//全てのデバイスにコピーする
				$( '#element-editor #' + id ).val( value );
				$( '#element-editor-tb #' + id ).val( value );
				$( '#element-editor-sp #' + id ).val( value );
			}

		});



//O_mdsはローカルストレージ記録用　まだ未実装
		media_size_name = location.href + '_media_size_name';

		let O_mds		= localStorage.getItem( media_size_name );

		//JSONをパースする
		O_mds		= JSON.parse( O_mds );

		//メディアクエリーサイズ記憶ボタンをクリックしたら
		$( '#media-size-save' ).on( 'click' , function()
		{
			tb_min_width = $( '#tb-min-width' ).val();
			tb_max_width = $( '#tb-max-width' ).val();
			sp_max_width = $( '#sp-max-width' ).val();

			//記憶用タブオブジェクトを初期化
			O_mds	= { 'tb_min_width' : tb_min_width , 'tb_max_width' : tb_max_width , 'sp_max_width' : sp_max_width };

			//ローカルストレージにJOSN形式で保存する
			localStorage.setItem( media_size_name , JSON.stringify( O_mds ) );

			//モーダルダイアログを表示
			alert( "メディアクエリーサイズを保存しました" );
		});


		//オブジェクトであれば
		if( $.isPlainObject( O_mds ) )
		{
			//プロパティがあれば
			if( 'tb_min_width' in O_mds )
			{
				tb_min_width = O_mds.tb_min_width;

				$( '#tb-min-width' ).val( O_mds.tb_min_width );
			}
			//なければフォームから取得
			else
			{
				tb_min_width = $( '#tb-min-width' ).val();
			}

			//プロパティがあれば
			if( 'tb_max_width' in O_mds )
			{
				tb_max_width = O_mds.tb_max_width;

				$( '#tb_max_width' ).val( O_mds.tb_max_width );
			}
			//なければフォームから取得
			else
			{
				tb_max_width = $( '#tb-max-width' ).val();
			}

			//プロパティがあれば
			if( 'sp_max_width' in O_mds )
			{
				sp_max_width = O_mds.sp_max_width;

				$( '#sp_max_width' ).val( O_mds.sp_max_width );
			}
			//なければフォームから取得
			else
			{
				sp_max_width = $( '#sp-max-width' ).val();
			}
		}



		//サイドバーを開く
		UIkit.offcanvas( '#element-editor-wrapper' ).show();


		//カラーピッカー設定
		$( '#element-editor-wrapper .color-picker' ).spectrum(
		{
			showPalette	: true ,
			showAlpha	: true ,
			showInitial	: true ,
			showInput	: true ,
			palette		: [

[ '#f44336','#ffebee','#ffcdd2','#ef9a9a','#e57373','#ef5350','#f44336','#e53935','#d32f2f','#c62828','#b71c1c'],
[ '#E91E63','#FCE4EC','#F8BBD0','#F48FB1','#F06292','#EC407A','#E91E63','#D81B60','#C2185B','#AD1457','#880E4F'],
[ '#9C27B0','#F3E5F5','#E1BEE7','#CE93D8','#BA68C8','#AB47BC','#9C27B0','#8E24AA','#7B1FA2','#6A1B9A','#4A148C'],
[ '#673AB7','#EDE7F6','#D1C4E9','#B39DDB','#9575CD','#7E57C2','#673AB7','#5E35B1','#512DA8','#4527A0','#311B92'],
[ '#3F51B5','#E8EAF6','#C5CAE9','#9FA8DA','#7986CB','#5C6BC0','#3F51B5','#3949AB','#303F9F','#283593','#1A237E'],
[ '#2196F3','#E3F2FD','#BBDEFB','#90CAF9','#64B5F6','#42A5F5','#2196F3','#1E88E5','#1976D2','#1565C0','#0D47A1'],
[ '#03A9F4','#E1F5FE','#B3E5FC','#81D4FA','#4FC3F7','#29B6F6','#03A9F4','#039BE5','#0288D1','#0277BD','#01579B'],
[ '#00BCD4','#E0F7FA','#B2EBF2','#80DEEA','#4DD0E1','#26C6DA','#00BCD4','#00ACC1','#0097A7','#00838F','#006064'],
[ '#009688','#E0F2F1','#B2DFDB','#80CBC4','#4DB6AC','#26A69A','#009688','#00897B','#00796B','#00695C','#004D40'],
[ '#4CAF50','#E8F5E9','#C8E6C9','#A5D6A7','#81C784','#66BB6A','#4CAF50','#43A047','#388E3C','#2E7D32','#1B5E20'],
[ '#8BC34A','#F1F8E9','#DCEDC8','#C5E1A5','#AED581','#9CCC65','#8BC34A','#7CB342','#689F38','#558B2F','#33691E'],
[ '#CDDC39','#F9FBE7','#F0F4C3','#E6EE9C','#DCE775','#D4E157','#CDDC39','#C0CA33','#AFB42B','#9E9D24','#827717'],
[ '#FFEB3B','#FFFDE7','#FFF9C4','#FFF59D','#FFF176','#FFEE58','#FFEB3B','#FDD835','#FBC02D','#F9A825','#F57F17'],
[ '#FFC107','#FFF8E1','#FFECB3','#FFE082','#FFD54F','#FFCA28','#FFC107','#FFB300','#FFA000','#FF8F00','#FF6F00'],
[ '#FF9800','#FFF3E0','#FFE0B2','#FFCC80','#FFB74D','#FFA726','#FF9800','#FB8C00','#F57C00','#EF6C00','#E65100'],
[ '#FF5722','#FBE9E7','#FFCCBC','#FFAB91','#FF8A65','#FF7043','#FF5722','#F4511E','#E64A19','#D84315','#BF360C'],
[ '#795548','#EFEBE9','#D7CCC8','#BCAAA4','#A1887F','#8D6E63','#795548','#6D4C41','#5D4037','#4E342E','#3E2723'],
[ '#9E9E9E','#FAFAFA','#F5F5F5','#EEEEEE','#E0E0E0','#BDBDBD','#9E9E9E','#757575','#616161','#424242','#212121'],
[ '#607D8B','#ECEFF1','#ECEFF1','#B0BEC5','#90A4AE','#78909C','#607D8B','#546E7A','#455A64','#37474F','#263238'],

[ '#000000','#444444','#666666','#999999','#d4d4d4','#cccccc','#eeeeee','#f3f3f3','#ffffff'],
[ "#f00000","#f90","#ff0","#0f0","#0ff","#00f","#90f","#f0f"],
[ "#f4cccc","#fce5cd","#fff2cc","#d9ead3","#d0e0e3","#cfe2f3","#d9d2e9","#ead1dc"],
[ "#ea9999","#f9cb9c","#ffe599","#b6d7a8","#a2c4c9","#9fc5e8","#b4a7d6","#d5a6bd"],
[ "#e06666","#f6b26b","#ffd966","#93c47d","#76a5af","#6fa8dc","#8e7cc3","#c27ba0"],
[ "#c00","#e69138","#f1c232","#6aa84f","#45818e","#3d85c6","#674ea7","#a64d79"],
[ "#900","#b45f06","#bf9000","#38761d","#134f5c","#0b5394","#351c75","#741b47"],
[ "#600","#783f04","#7f6000","#274e13","#0c343d","#073763","#20124d","#4c1130"]

						],

			preferredFormat			: "rgb",
			showSelectionPalette	: true ,
			maxSelectionSize		: 300 ,
			cancelText				: "キャンセル" ,
			chooseText				: "選択" ,
			localStorageKey			: "spectrum.homepage" ,

			show					: function()
			{
				//アドミンバーがあるので0位置にオフセットする
				$( '.sp-container' ).css( 'top' , 0 );
			},

		});

		//カラーピッカー表示
		$( "#element-editor-wrapper .color-picker" ).show();



		//メディアアップロードのクラス属性をループ処理
		$( '#element-editor-wrapper .media-upload' ).each( function()
		{
			//rel属性を取得
			var rel = $( this ).attr( "rel" );

			//リンクをクリックしたら
			$( this ).click( function()
			{

				//デバイスを取得
				var device = $( this ).data( "device" );

				window.send_to_editor = function( html )
				{
					//画像のURLを取得
					var imgurl = $( html ).attr( 'src' );

					//取得できなければ正規表現で取得
					if( imgurl == 'undefined' || ! imgurl )
					{
						var A_imgurl = html.match( /src="(.+?)"/ );

						imgurl = A_imgurl[ 1 ];
					}

					//url()で囲む
					imgurl = 'url( ' + imgurl + ' )';

					//ターゲット要素に画像のURLをセットする
					$( '#element-editor-wrapper ' + device + ' .' + rel ).val( imgurl );

					tb_remove();
				}

				//ターゲット要素のname属性を取得する
				formfield = $( '#element-editor-wrapper ' + device +  ' .' + rel ).attr( 'name' );


				//thick boxで開く
//				tb_show( null , 'media-upload.php?post_id=0&type=image&TB_iframe=true' );
				tb_show( 'メディアライブラリ' , 'media-upload.php?post_id=0&TB_iframe=false' );

				//サイドバーより手前に表示する
				$( '#TB_window' ).css( 'z-index' , 1000000 );

				//iframeを取得
				var iframe = $( '#TB_iframeContent' );


				//iframeが読み込まれたら
				$( '#TB_iframeContent' ).on( 'load mousemove' , function()
				{
					$( '#TB_iframeContent' ).contents().find( '#media-items' ).on( 'mousemove' , function()
					{
						var move_flag = false;

						//初回であれば
						if(! move_flag )
						{
							// iframe内のコンテンツのdocumentオブジェクトを取得
							var ifrmDoc = iframe[ 0 ].contentWindow.document;

							//投稿に挿入するを「選択する」に変更
							$( '#media-items .savesend input' , ifrmDoc ).attr( 'value' , '選択する' );

							//不要な項目を非表示にする
							$( '#media-items .post_title' , ifrmDoc ).css( 'display' , 'none' );
							$( '#media-items .image_alt' , ifrmDoc ).css( 'display' , 'none' );
							$( '#media-items .post_excerpt' , ifrmDoc ).css( 'display' , 'none' );
							$( '#media-items .post_content' , ifrmDoc ).css( 'display' , 'none' );
							$( '#media-items .align' , ifrmDoc ).css( 'display' , 'none' );
							$( '#media-items .url' , ifrmDoc ).css( 'display' , 'none' );

							move_flag = true;
						}
					});
				});

				return false;

			});

		});


		//formタグ内なのでサブミットしないようにしておく
		e.preventDefault();
	});


});
