<?php
defined( 'ABSPATH' ) || exit;

//クラスを定義/////////////////////////////////////////////////////////////////
class JOINT_PRESS_VARS
{

//ver2.4 2018.04.24
//式と値のデリミタはタブとイコール ラベルのデリミタはタブとコメント
//ラベルの##は改行に変換 値の#Nは改行に変換 #Hは水平線に変換 値中の{QUOT}は二重引用符に置き換わる
//初期値へのロールバックは {ROLLBACK} と入力して保存する
//__none値がある場合は空にする
//#TAはテキストエリア
//#TEはテキストエディタ
//#CAT_CBはカテゴリチェックボックス
//#PST_CBは投稿タイプチェックボックス
//#PST_SBは投稿タイプセレクトボックス
//#UID_CBはユーザーIDチェックボックス
//#UID_SBはユーザーセレクトボックス
//#UID_MSBはユーザーマルチセレクトボックス
//#RB{{する::1==1}}{{しない::0}} ラジオボタン
//#CB{{選択肢1::1==1}}{{選択肢2::2}} チェックボックス
//#SB{{選択肢1::1==1}}{{選択肢2::2}} セレクトボックス
//#MSB{{選択肢1::1==1}}{{選択肢2::2}} マルチセレクトボックス
//#CMB{{選択肢1::選択肢2::選択肢3}}コンボボックスはセレクトボックスとテキストボックスの機能を兼ね備えています
//#CMB{{--VARS--::CMB_STYLE_LIST}}データリストを定義変数から取得する
//#UPはメディアライブラリ呼び出し
//#CPはカラーピッカー呼び出し
//#FSは可変関数でフリースペースへ
//#LK{{http://hoge.com/::リンク}}はリンクに変換
//#DGはグレー表示で無効 プラグインのヘッダDescriptionに#DEMOと入れると有効化
//#DUはユーザー権限「demouser」に対してパスワードやトークンなど表示したくない項目を非表示にする
//#HELP{{説明文}}HELP# スライド式説明文を表示 HTMLタグ使用可
//#TAB{{タブ名}} インナータブ機能追加
//#ACDS1[[タイトル::説明文1==active]]はレベル1アコーディオンの開始タグ
//#ACDE1はレベル1アコーディオンの終了タグ
//#ACDS2[[タイトル::説明文1==active]]はレベル2アコーディオンの開始タグ
//#ACDE2はレベル2アコーディオンの終了タグ
//#ACDS3[[タイトル::説明文1==active]]はレベル3アコーディオンの開始タグ
//#ACDE3はレベル3アコーディオンの終了タグ
//#_FONT_#_#はフォント関連プロパティ編集画面
//#_BACK_#は背景関連プロパティ編集画面
//#_SPACE_#はスペース関連プロパティ編集画面
//#_BORDER_#はボーダー関連プロパティ編集画面


//<カウント設定:joint-press-count-setting>

	const COLUMN_FLAG		= 0;		//#RB{{する::1}}{{しない::0==1}}投稿一覧にオリジナルカラムを追加するか#HELP{{ビューとUAを追加します。}}HELP#

	const POST_COUNT		= 'post_count';			//記事のアクセス数用 カスタムフィールドキー

	const POST_LAST_UPDATE	= 'post_last_update';	//記事の最終アクセス日用 カスタムフィールドキー

	const POST_UA			= 'user_agent';			//記事の最終アクセスユーザーエージェント用 スタムフィールドキー

	const COUNT_COLUMNS		= "ビュー";				//投稿記事一覧のカスタムフィールド列に表示されるアクセス数のカラム名

	const UA_COLUMNS		= "UA";					//投稿記事一覧のカスタムフィールド列に表示されるユーザーエージェントのカラム名

	const BOT_LIST			= 'bot,spider,crawler,clawler,http,google,Yahoo,search,bing,Wget,Yeti,Steeler,ichiro/mobilegoo,ichiro,hotpage.fr,Feedfetcher-Google,livedoorFeedFetcher,ia_archiver,YandexBot,SISTRIXCrawler,msnbot-media,zenbackbot,Y!J-BRI,TurnitinBot,GoogleDesktop,newziacrawler,BaiduMobaider,Y!J-BRJ/YATScrawler,Seznamscreenshot-generator,SiteBot,Purebot,emBot-GalaBuzz/Nutch,Search17Bot,Toread-Crawler,Tumblr,DotBot,Chilkat,ceron,Hatena,Python-urllib,Java/1.6.0_26,MetaURI,Mozilla/4.0(compatible;),ShortLinkTranslate';	//カウントしないボットのユーザーエージェントリスト#HELP{{複数はカンマ区切り}}HELP#

	const UA_LENGTH			= 15;		//カウントする最低ユーザーエージェント文字列#HELP{{短い文字列のユーザーエージェントは大抵はボット}}HELP#

//</カウント設定>

	//プライベート変数を定義
	private $vars = array();

	//コンストラクタ 最初にやる処理をここに記述しておく////////////////////////
	function __construct()
	{
		//設定画面操作系クラスを作成
		$mhs_Setting	= new mhs_Setting2();

		$this->vars = $mhs_Setting->LOAD_SETUP_VAR( __FILE__ );
	}
	//セッターメソッド/////////////////////////////////////////////////////////
	function __set( $key , $value )
	{
		$this->$key = $value;
		return $this->vars[ $key ];
    }
	//ゲッターメソッド/////////////////////////////////////////////////////////
	function __get( $key )
	{
		return $this->vars[ $key ];
    }

}
?>