jQuery( function( $ )
{
	//メディアアップロードのクラス属性をループ処理
	$( '.media-upload' ).each( function()
	{
		//rel属性を取得
		const rel = $( this ).attr( 'rel' );

		//リンクをクリックしたら
		$( this ).click( function()
		{

			window.send_to_editor = function( html )
			{
				//画像のURLを取得
				let imgurl = $( html ).attr( 'src' );

				//取得できなければ正規表現で取得
				if( imgurl == 'undefined' || ! imgurl )
				{
					const A_imgurl = html.match( /src="(.+?)"/ );

					imgurl = A_imgurl[ 1 ];
				}

				//既に設定されている画像URLを取得する
//				var old_urls = $( '.' + rel ).val();

				//既に設定されていれば改行で追加する
//				if( old_urls ) { imgurl = old_urls + "\n" + imgurl;  }

				//ターゲット要素に画像のURLをセットする
				$( '.' + rel ).val( imgurl );

				tb_remove();
			}

			//ターゲット要素のname属性を取得する
//			formfield = $( '.' + rel ).attr( 'name' );


			//thick boxで開く
			tb_show( 'メディアライブラリ' , 'media-upload.php?post_id=0&TB_iframe=false' );

			//iframeを取得
			const iframe = $( '#TB_iframeContent' );

			//iframeが読み込まれたら
			$( '#TB_iframeContent' ).on( 'load mousemove' , function()
			{
				$( '#TB_iframeContent' ).contents().find( '#media-items' ).on( 'mousemove' , function()
				{
					let move_flag = false;

					//初回であれば
					if(! move_flag )
					{

						// iframe内のコンテンツのdocumentオブジェクトを取得
						const ifrmDoc = iframe[ 0 ].contentWindow.document;

						//投稿に挿入するを「選択する」に変更
						$( '#media-items .savesend input' , ifrmDoc ).attr( 'value' , '選択する' );

						//不要な項目を非表示にする
						$( '#media-items .post_title' , ifrmDoc ).css( 'display' , 'none' );
						$( '#media-items .image_alt' , ifrmDoc ).css( 'display' , 'none' );
						$( '#media-items .post_excerpt' , ifrmDoc ).css( 'display' , 'none' );
						$( '#media-items .post_content' , ifrmDoc ).css( 'display' , 'none' );
						$( '#media-items .align' , ifrmDoc ).css( 'display' , 'none' );
						$( '#media-items .url' , ifrmDoc ).css( 'display' , 'none' );

						move_flag = true;
					}
				});
			});

			return false;

		});

	});

});
