<?php
defined( 'ABSPATH' ) || exit; 
/*
Description: WordPressのURLとパス取得系クラス。
Version: 0.2
Author: 阿修羅ワークス
Author URI: https://wp-plugin.info/
Last Update: 2022-10-11
Changelog: URL2LINK関数を修正
2022-10-11 0.2 URL2LINK関数を修正
2022-03-10 0.1 初リリース
*/
 class mhs_Path2 {   function DEL_URL_AND_HASH( $string ) {  $pat = '/(https?|ftp)(:\/\/[-_.!~*\'()a-zA-Z0-9;\/?:\@&=+\$,%#]+)/';  $string = preg_replace( $pat , '' , $string );  $pat2 = '/#(w*[一-龠_ぁ-ん_ァ-ヴー々〃ゝゞヽ]+|[a-zA-Z0-9]+|[a-zA-Z0-9]w*)/u';  $string = preg_replace( $pat2 , '' , $string ); return $string; }  function GET_WP_URL( $type = null , $base_file = null , $file_name = null ) {   if( $type == 'plugins_url' ) { $url = plugins_url( $file_name , $base_file ); }  else if( $type == 'media_url' ) { $H_dir = wp_upload_dir(); $url = $H_dir[ 'baseurl' ] . '/' . $base_file; }  else if( $type == 'theme_url' ) { $url = get_stylesheet_directory_uri() . '/' . $file_name; }  else if( $type == 'parent_theme_url' ) { $url = get_template_directory_uri() . '/' . $file_name; }  else if( $type == 'home_url' ) { $url = get_home_url( null , $file_name ); }  else { $url = (empty($_SERVER["HTTPS"]) ? "http://" : "https://") . $_SERVER["HTTP_HOST"] . $_SERVER["REQUEST_URI"]; } return $url; }  function GET_WP_DIR( $type = null , $base_file = null , $file_name = null ) {   if( $type == 'theme_dir' ) { $dir = get_theme_root() . '/' . $file_name; }  if( $type == 'parent_theme_dir' ) { $dir = get_template_directory() . '/' . $file_name; }  else if( $type == 'child_theme_dir' ) { $dir = get_stylesheet_directory() . '/' . $file_name; }  else if( $type == 'plugin_dir' ) { $dir = plugin_dir_path( $base_file ) . $file_name; } return $dir; }  function GET_THIS_URL() { return ( empty( $_SERVER[ 'HTTPS' ] ) ? 'http://' : 'https://' ) . $_SERVER[ 'HTTP_HOST' ] . $_SERVER[ 'REQUEST_URI' ]; }  function URL2LINK( $str , $link_title = null , $A_exclude = array() , $template = null ) { $template = $template ? $template : '<a href="{{url}}" target="_blank">{{link_title}}</a>'; $pat = '/(href=")?https?:\/\/[-_.!~*\'()a-zA-Z0-9;\/?:@&=+$,%#]+/'; $str = preg_replace_callback( $pat , function( $A_match ) use ( $link_title , $template , $A_exclude ) { $template_ = $template;  if( isset( $A_match[1] ) ) return $A_match[0];  if( $A_exclude and in_array( $A_match[0] , $A_exclude , true ) ) return $A_match[0];  $link_title = $link_title ? $link_title : $A_match[0]; $template_ = str_replace( '{{url}}' , $A_match[0] , $template_ ); $template_ = str_replace( '{{link_title}}' , $link_title , $template_ ); return $template_; } , $str ); return $str; }  function DBT( $mode = 0 ) { if( $mode ) { echo "<pre>"; print_r( debug_backtrace() ); echo "</pre>"; } else {  if( is_user_logged_in() ) { echo "<pre>"; print_r( debug_backtrace() ); echo "</pre>"; } } }  function DMPF( $data , $file_name = "test.txt" , $mode = 0 , $max_byte = 1048576 ) {  ob_start(); var_dump( $data ); $result = ob_get_contents(); ob_end_clean();  if( $mode ) { $fp = fopen( dirname(__FILE__) . "/$file_name" , "a" ); $result .= "\n"; }  else { $fp = fopen( dirname(__FILE__) . "/$file_name" , "w" ); }  fwrite( $fp , $result , $max_byte ); fclose( $fp ); }  function DMP( $value , $option = NULL ) {  if( $option == 1 ) { echo "<pre>"; var_dump( $value ); echo "</pre>"; } else if( $option == 2 ) {  if( is_user_logged_in() ) { echo "<pre>"; var_dump( $value ); echo "</pre>"; } }  else {  if( is_user_logged_in() ) { echo "<pre>"; var_dump( $value ); echo "</pre>"; } } } } 