<?php
defined( 'ABSPATH' ) || exit; 
/*
Description: スクレイピングするクラス。
Version: 1.2
Author: 阿修羅ワークス
Author URI: https://wp-plugin.info/
Last Update: 2023-04-05
Changelog: バージョン2系に修正
2023-04-05 1.2 バージョン2系に修正
2020-04-16 1.1 mb_convert_encoding( $content , 'HTML-ENTITIES' , 'UTF-8' )を追加
2020-03-20 1.0 phpQuery::newDocumentをphpQuery::newDocumentHTMLに変更
2020-02-25 0.9 4バイト文字の削除処理を追加
2020-01-22 0.8 文字コード変換処理を追加
2019-12-10 0.7 DEL_ELEMENT関数に置き換え機能を追加
2019-08-28 0.6 リピート取得機能を追加
2019-08-28 0.5 不具合を修正
2019-08-20 0.4 メタタグに対応
2019-07-31 0.3 関数を修正
2019-07-18 0.2 要素削除関数を追加
2019-06-12 0.1 初リリース
*/
 class mhs_Scrapeing2 {       function SCRAPEINGS( $content , $parent_sel = null , $child_sel = null , $type = 'text' , $attr = null , $O_html = null ) {  if(! class_exists( 'DOMEvent' ) ) { require_once( dirname( __FILE__ ) . '/../lib/phpQuery-onefile.php' ); }   $content = mb_convert_encoding( $content , 'UTF-8' , 'auto' ); $content = mb_convert_encoding( $content , 'HTML-ENTITIES' , 'UTF-8' ); if(! $content or ! $child_sel ) {  if(! $O_html ) { $flag = true; $O_html = phpQuery::newDocumentHTML( $content ); }  else if( $O_html == 1 ) { $flag = false; $O_html = phpQuery::newDocumentHTML( $content ); } else { $flag = false; } if( $flag ) { return $result; } else { return array( $result , $O_html ); } }  if(! $O_html ) { $flag = true; $O_html = phpQuery::newDocumentHTML( $content ); }  else if( $O_html == 1 ) { $flag = false; $O_html = phpQuery::newDocumentHTML( $content ); } else { $flag = false; } $A_result = array();  $mhs_Utility= new mhs_Utility2();  if( $parent_sel ) { $i = 0;  foreach( $O_html[ $parent_sel ] as $row ) { if( $type == 'text' ) { $A_result[$i] = trim( pq( $row )->find( $child_sel )->text() ); } else if( $type == 'html' ) { $A_result[$i] = trim( pq( $row )->find( $child_sel )->html() ); } else if( $type == 'attr' ) { $A_result[$i] = trim( pq( $row )->find( $child_sel )->attr( $attr ) ); }  $A_result[$i] = $mhs_Utility->NO4B( $A_result[$i] ); $i++; } }  else { $i = 0;  foreach( $O_html[ $child_sel ] as $row ) { if( $type == 'text' ) { $A_result[$i] = trim( pq( $row )->text() ); } else if( $type == 'html' ) { $A_result[$i] = trim( pq( $row )->html() ); } else if( $type == 'attr' ) { $A_result[$i] = trim( pq( $row )->attr( $attr ) ); }  $A_result[$i] = $mhs_Utility->NO4B( $A_result[$i] ); $i++; } } if( $flag ) { return $A_result; } else { return array( $A_result , $O_html ); } }  function SCRAPEING( $content , $sel = null , $type = 'text' , $attr = null , $O_html = null ) {  if(! class_exists( 'DOMEvent' ) ) { require_once( dirname( __FILE__ ) . '/../lib/phpQuery-onefile.php' ); }    $content = mb_convert_encoding( $content , 'UTF-8' , 'auto' ); $content = mb_convert_encoding( $content , 'HTML-ENTITIES' , 'UTF-8' ); if(! $content or ! $sel ) {  if(! $O_html ) { $flag = true; $O_html = phpQuery::newDocumentHTML( $content ); }  else if( $O_html == 1 ) { $flag = false; $O_html = phpQuery::newDocumentHTML( $content ); } else { $flag = false; } if( $flag ) { return $result; } else { return array( $result , $O_html ); } }  if(! $O_html ) { $flag = true; $O_html = phpQuery::newDocumentHTML( $content ); }  else if( $O_html == 1 ) { $flag = false; $O_html = phpQuery::newDocumentHTML( $content ); } else { $flag = false; } if( $type == 'text' ) { if( $sel == 'title' or $sel == 'meta' ) { $result = trim( pq( $sel )->text() ); } else { $result = trim( pq( $O_html )->find( $sel )->text() ); } } else if( $type == 'html' ) { if( $sel == 'title' or $sel == 'meta' ) { $result = trim( pq( $sel )->html() ); } else { $result = trim( pq( $O_html )->find( $sel )->html() ); } } else if( $type == 'attr' ) { if( $sel == 'title' or $sel == 'meta' ) { $result = trim( pq( $sel )->attr( $attr ) ); } else { $result = trim( pq( $O_html )->find( $sel )->attr( $attr ) ); } }  if( $result == 'unknown' ) return $result = '';  $mhs_Utility= new mhs_Utility2(); if( $flag ) { return $result; } else {  $result = $mhs_Utility->NO4B( $result ); return array( $result , $O_html ); } }  function DEL_ELEMENT( $content , $sel = null , $replace='' , $type = 'remove' , $O_html = null ) {  if(! class_exists( 'DOMEvent' ) ) { require_once( dirname( __FILE__ ) . '/../lib/phpQuery-onefile.php' ); }   if(! $content or ! $sel ) {  if(! $O_html ) { $flag = true; $O_html = phpQuery::newDocumentHTML( $content ); }  else if( $O_html == 1 ) { $flag = false; $O_html = phpQuery::newDocumentHTML( $content ); } else { $flag = false; } if( $flag ) { return $result; } else { return array( $result , $O_html ); } }  if(! $O_html ) { $flag = true; $O_html = phpQuery::newDocumentHTML( $content ); }  else if( $O_html == 1 ) { $flag = false; $O_html = phpQuery::newDocumentHTML( $content ); } else { $flag = false; }  if( $type == 'empty' ) { pq( $O_html )->find( $sel )->empty(); }  else if( $type == 'remove' ) { pq( $O_html )->find( $sel )->remove(); }  else if( $type == 'replace' ) { pq( $O_html )->find( $sel )->html( $replace ); } $content = pq( $O_html )->html(); if( $flag ) { return $content; } else { return array( $content , $O_html ); } }  function DBT( $mode = 0 ) { if( $mode ) { echo "<pre>"; print_r( debug_backtrace() ); echo "</pre>"; } else {  if( is_user_logged_in() ) { echo "<pre>"; print_r( debug_backtrace() ); echo "</pre>"; } } }  function DMPF( $data , $file_name = "test.txt" , $mode = 0 , $max_byte = 1048576 ) {  ob_start(); var_dump( $data ); $result = ob_get_contents(); ob_end_clean();  if( $mode ) { $fp = fopen( dirname(__FILE__) . "/$file_name" , "a" ); $result .= "\n"; }  else { $fp = fopen( dirname(__FILE__) . "/$file_name" , "w" ); }  fwrite( $fp , $result , $max_byte ); fclose( $fp ); }  function DMP( $value , $option = NULL ) {  if( $option == 1 ) { echo "<pre>"; var_dump( $value ); echo "</pre>"; } else if( $option == 2 ) {  if( is_user_logged_in() ) { echo "<pre>"; var_dump( $value ); echo "</pre>"; } }  else {  if( is_user_logged_in() ) { echo "<pre>"; var_dump( $value ); echo "</pre>"; } } } }