<?php
defined( 'ABSPATH' ) || exit; 
/*
Description: 設定画面操作系クラス。
Version: 0.5
Author: 阿修羅ワークス
Author URI: https://wp-plugin.info/
Last Update: 2024-01-05
Changelog: php8系に修正
2024-01-05 0.5 php8系に修正
2023-12-30 0.4 FORM_2_SAVE_OPTION関数を修正
2023-12-02 0.3 POST_CLEANER関数を追加
2022-05-30 0.2 SETTING関数を修正
2022-03-11 0.1 初リリース
*/
 class mhs_Setting2 {   function GET_PART_OPTION( $plugin_dir , $option_name , $connector='__' ) { if(! $plugin_dir or ! $option_name ) { return; }  $option_key = dirname( plugin_basename( $plugin_dir ) ) . $connector . $option_name;  $H_option = $this->GET_WP_OPTION( $option_key ); return $H_option; }  function UPDATE_PART_OPTION( $H_option , $plugin_dir , $option_name , $connector='__' ) { if(! $plugin_dir or ! $option_name ) { return; }  $mhs_Option = new mhs_Option2();  $option_key = dirname( plugin_basename( $plugin_dir ) ) . $connector . $option_name; return $mhs_Option->UPDATE_OPTION( $option_key , $H_option , 1 ); }  function POST_CLEANER( &$JP_V )  {  $CLEANER_STATUS = $JP_V->CLEANER_STATUS; $CLEANER_POST_TYPE = $JP_V->CLEANER_POST_TYPE; if(! $CLEANER_STATUS ) { $CLEANER_STATUS = "publish"; }  if(! $CLEANER_POST_TYPE ) { $CLEANER_POST_TYPE = "post"; }  $A_post_types = explode( ',' , $CLEANER_POST_TYPE ); global $wpdb; $prefix = $wpdb->prefix; $result = array();  foreach( (array)$A_post_types as $post_type ) { if(! $post_type ) { continue; } $result[] = $wpdb->query("DELETE a.* FROM " . $prefix . "posts AS a INNER JOIN (SELECT Greater1.post_title, Titles.ID, Greater1.MinID FROM (SELECT post_title, MIN(ID) AS 'MinID', MAX(ID) AS 'MaxID' FROM " . $prefix . "posts WHERE post_type = '" . $post_type . "' AND post_status = '" . $CLEANER_STATUS . "' 
			GROUP BY post_title HAVING COUNT(post_title)>1) AS Greater1 
			LEFT JOIN (SELECT post_title, ID FROM " . $prefix . "posts) AS Titles 
			ON Greater1.post_title = Titles.post_title WHERE ID > MinID) AS b ON a.ID = b.ID WHERE a.ID = b.ID"); } return $result; }  function UNINSTALL( &$JP_V , $plugin_path ) { global $JP2;  $cmd = $JP_V->CMD; $nounce_key = $JP_V->NOUNCE_KEY; $remove_setting = $JP_V->REMOVE_SETTING; $schedule = $JP_V->SCHEDULE;  if(! $JP2->ADMIN_WARNING() ) { return; }  $mhs_Files = new mhs_Files2();  if( $_POST[ $cmd ] ) {  check_admin_referer( $nounce_key );  $this->DEACTIVATION( $JP_V );  delete_option( $schedule );  $H_setup = $this->LOAD_SETTING( $plugin_path );  foreach( $H_setup as $key => $H_setup_list ) {  if( $remove_setting ){ break; }  list( $menu_label , $menu_name ) = explode( ":" , $key );  if(! current_user_can( 'manage_options' ) ) { $msg = <<< EOM
					<div class="notice-msg ui-widget error-msg">
						<div class="ui-state-error ui-corner-all" style="padding: 0 .7em;">
							<p><span class="ui-icon ui-icon-alert" style="float: left; margin-right: .3em;"></span>
							<strong>警告:</strong>$menu_label は既に削除されているか、ログインユーザーでないため削除できませんでした。</p>
						</div>
					</div>

EOM;
 echo $msg; return false; }  else { delete_option( $menu_name ); } }  $del_dir = dirname( $plugin_path ) . "/";  $mhs_Files->UNLINK_RECURSIVE( $del_dir , true ); ?>

		<div class="wrap">
			<h2 class="page-title">アンインストールの完了</h2>
		</div>

<?php
 }  else { ?>

<style>
/* タブのスタイルを設定 */
.notice-msg
{
	width: 95%;	/* 警告メッセージのサイズ */
	margin-left: 32px;
}
.ui-widget .error-msg
{
	margin-top: 8px;
	margin-bottom: 8px;
}
</style>


<div class="wrap">

<h2 class="page-title">アンインストール</h2>

	<form action='' method="post">
		<!-- wp_nonce_field追加 -->
		<?php wp_nonce_field( $nounce_key ); ?>
		<input type="hidden" name="<?php echo $cmd; ?>" value="1">
		<input type="submit" class="button button-primary" value="本当にアンインストールしますか？">
	</form>

</div>

<?php
 } }  function DEACTIVATION( $JP_V ) {  $cron_name = $JP_V->SCHEDULE_NAME; $cron_name2 = $JP_V->SCHEDULE_NAME2;  $pat = '{^' . $cron_name . '}'; $pat2 = '{^' . $cron_name2 . '}';  $A_crons = _get_cron_array();  foreach( $A_crons as $cron ) {  $get_cron_name = key( $cron );  if( preg_match( $pat , $get_cron_name ) ) {  wp_clear_scheduled_hook( $cron_name ); }  if( preg_match( $pat2 , $get_cron_name ) ) {  wp_clear_scheduled_hook( $cron_name2 ); } } }  function RESET( &$JP_V , $plugin_path ) { global $JP2;  $cmd = $JP_V->CMD; $nounce_key = $JP_V->NOUNCE_KEY;  if(! $JP2->ADMIN_WARNING() ) { return; }  $Common_PrintOut = new mhs_Common_PrintOut2();  $Common_PrintOut->GET_CONTENT( $tran_key = 'mhs-UIKit' , $index = 'UIKit' ); $Common_PrintOut->GET_CONTENT( $tran_key = 'mhs-common_content' , $index = 'Dashboard Style' ); $this->DMPF($JP_V,"test_JP_V.txt");  if( isset( $_POST[ $cmd ] ) ) {  check_admin_referer( $nounce_key );  $this->DELETE_OPTIONS( $JP_V , $plugin_path ); ?>

		<div class="wrap">
			<h2 class="page-title">初期化の完了</h2>
		</div>

<?php
 }  else { ?>

<style>
/* タブのスタイルを設定 */
.notice-msg
{
	width: 95%;	/* 警告メッセージのサイズ */
	margin-left: 32px;
}
.ui-widget .error-msg
{
	margin-top: 8px;
	margin-bottom: 8px;
}
</style>


		<div class="wrap">

		<h2 class="page-title">初期化</h2>

			<form action='' method="post">
				<!-- wp_nonce_field追加 -->
				<?php wp_nonce_field( $nounce_key ); ?>
				<input type="hidden" name="<?php echo $cmd; ?>" value="1">
				<input type="submit" class="uk-button uk-button-danger" value="本当に初期化しますか？">
			</form>

		</div>

<?php
 } }  function DELETE_OPTIONS( &$JP_V , $plugin_path ) {   $H_setup = $this->LOAD_SETTING( dirname( $plugin_path ) . '/class_vars.php' );  foreach( (array)$H_setup as $key => $H_setup_list ) {  list( $menu_label , $menu_name ) = explode( ":" , $key );  delete_option( $menu_name ); $option = get_option( $menu_name ); } }  function DELETE_EVENTS( &$THAT_V , $plugin_path ) {  $SCHEDULE_NAMES = $THAT_V->SCHEDULE_NAMES;  $A_schedule = explode( "\n" , $SCHEDULE_NAMES );  $A_crons = _get_cron_array();  foreach( (array)$A_schedule as $cron_name ) { if(! $cron_name ) { continue; }  $pat = '{^' . $cron_name . '}';  foreach( (array)$A_crons as $cron ) { if(! $cron ) { continue; }  $get_cron_name = key( $cron );  if( preg_match( $pat , $get_cron_name ) ) { wp_clear_scheduled_hook( $cron_name ); } } } }  function SETTING_CHANGE( &$THAT_V , $plugin_path , $restore_file = '' ) { global $JP2;  foreach( (array)$THAT_V as $val ) { if( is_array( $val )){ extract( $val ); } }  if(! $JP2->ADMIN_WARNING() ) { return; }  $Common_PrintOut = new mhs_Common_PrintOut2();  $Common_PrintOut->GET_CONTENT( $tran_key = 'mhs-UIKit' , $index = 'UIKit' ); $Common_PrintOut->GET_CONTENT( $tran_key = 'mhs-common_content' , $index = 'Dashboard Style' ); ?>
<div class="wrap">
	<h2 class="page-title">設定変更</h2>
<?php
  if( isset( $_POST[ $CMD ] ) and $_POST[ 'file_list' ] ) {  check_admin_referer( $NOUNCE_KEY );  list( $name , $save_path ) = explode( "::" , $_POST[ 'file_list' ] );  if( file_exists( $save_path ) ) { echo $name . " に変更しました。";  $H_setups = json_decode( file_get_contents( $save_path ) , true );  $this->IMPORT_SAVE_OPTION( $H_setups ); } else { echo "ファイル " . $save_path . " が存在しないため変更できませんでした。"; } }  else if( $restore_file ) {  if( file_exists( $restore_file ) ) {  $H_setups = json_decode( file_get_contents( $restore_file ) , true );  $this->IMPORT_SAVE_OPTION( $H_setups ); } else { echo "ファイル " . $save_path . " が存在しないため変更できませんでした。"; } } else {  $dir = dirname( $plugin_path ) . "/import_data/";  $mhs_Files = new mhs_Files2();  $H_files = $mhs_Files->GET_DIR_FILES( $dir , "_" );  if(! $H_files ) { ?>
まだインポートデータがありません。
<?php
 }  else {  foreach( $H_files as $name => $file_path ) { $file_list .= "<option value='$name::$file_path'>" . $name . "</option>\n"; }  $file_list = "<select name='file_list'>\n" . $file_list . "\n</select>"; ?>
	<form action='' method='post'>
		<?php wp_nonce_field( $NOUNCE_KEY ); ?>
		<input type="hidden" name="<?php echo $CMD; ?>" value="1">
		<?php echo $file_list; ?>
		<input type="submit" class="uk-button uk-button-primary" name="submit" value="変更">
	</form>

<?php
 } } ?>

</div>

<?php
 }  function SETTING_EXPORT( &$THAT_V , $plugin_path ) { global $JP2;  foreach( (array)$THAT_V as $val ) { if( is_array( $val )){ extract( $val ); } }  if(! $JP2->ADMIN_WARNING() ) { return; }  $Common_PrintOut = new mhs_Common_PrintOut2();  $Common_PrintOut->GET_CONTENT( $tran_key = 'mhs-UIKit' , $index = 'UIKit' ); $Common_PrintOut->GET_CONTENT( $tran_key = 'mhs-common_content' , $index = 'Dashboard Style' ); ?>
<div class="wrap">
	<h2 class="page-title">設定のエクスポート</h2>
<?php
  if( isset( $_POST[ $CMD ] ) ) {  check_admin_referer( $NOUNCE_KEY );  $theme_style_name = esc_html( $_POST[ 'theme_style_name' ] );  if( $theme_style_name == "" ) { $theme_style_name = 'default'; }  $H_setup = $this->EXPORT_LOAD_DATA( $plugin_path , $SETTING_FILE_NAME );  $save_path= $this->SAVE_EXPORT_DATA( $H_setup , $theme_style_name , $plugin_path , $SETTING_EXPORT_FILE );  $download_link = $this->MAKE_DL_LINK( $save_path );  echo $download_link; } else {  if(! isset( $THEME_STYLE_NAME ) ) { $theme_style_name = 'default'; }  else { $theme_style_name = $THEME_STYLE_NAME; } ?>
	<form action='' method='post'>
		<?php wp_nonce_field( $NOUNCE_KEY ); ?>
		エクスポート名:<input type="text" name="theme_style_name" value="<?php echo $theme_style_name; ?>">
		<input type="hidden" name="<?php echo $CMD; ?>" value="1">
		<input type="submit" class="uk-button uk-button-primary" name="submit" value="ダウンロード">
	</form>
<?php
 } ?>

</div>

<?php
 }  function SETTING_IMPORT( &$THAT_V , $plugin_path ) { global $JP2;  foreach( (array)$THAT_V as $val ) { if( is_array( $val )){ extract( $val ); } }  if(! $JP2->ADMIN_WARNING() ) { return; }  $Common_PrintOut = new mhs_Common_PrintOut2();  $Common_PrintOut->GET_CONTENT( $tran_key = 'mhs-UIKit' , $index = 'UIKit' ); $Common_PrintOut->GET_CONTENT( $tran_key = 'mhs-common_content' , $index = 'Dashboard Style' );  $mhs_Files = new mhs_Files2(); ?>
<div class="wrap">
	<h2 class="page-title">設定のインポート</h2>
<?php
  $uploaded_file = isset( $_FILES[ 'upfile' ][ 'tmp_name' ] ) ? $_FILES[ 'upfile' ][ 'tmp_name' ] : null;  if( isset( $_POST[ $CMD ] ) and is_uploaded_file( $uploaded_file ) ) {  check_admin_referer( $NOUNCE_KEY );  $upload_file = esc_html( $_FILES[ 'upfile' ][ 'name' ] );  if(! $mhs_Files->MKDIR( dirname( $plugin_path ) . "/import_data" ) ) { return "フォルダの作成に失敗しました。"; }  $save_path = dirname( $plugin_path ) . "/import_data/$upload_file";  if( move_uploaded_file( $uploaded_file , $save_path ) ) {  @chmod( $save_path , 0644 ); echo $_FILES[ 'upfile' ][ 'name' ] . " をアップロードしました。";  $H_setups = json_decode( file_get_contents( $save_path ) , true );  $this->IMPORT_SAVE_OPTION( $H_setups ); } else { echo "ファイルをアップロードできませんでした。"; } } else { ?>
	<form action='' method='post' enctype='multipart/form-data'>
		<?php wp_nonce_field( $NOUNCE_KEY ); ?>
		<input type="hidden" name="<?php echo $CMD; ?>" value="1">
		<input type="file" name="upfile" size="30" /><br />
		<input type="submit" class="uk-button uk-button-primary" name="submit" value="アップロード">
	</form>

<?php
 } ?>

</div>

<?php
 }  function IMPORT_SAVE_OPTION( $H_setups ) { if(! $H_setups ) { return; }  foreach( (array)$H_setups as $key => $H_setup ) {  list( $option_label , $option_key ) = explode( ":" , $key );  if(! isset( $option_key ) or ! isset( $H_setup ) ) { continue; }  $option_key = trim( $option_key );  foreach( (array)$H_setup as $key2 => $val2 ) {  if(! $key2 or ! isset( $val2 ) ) { continue; }  $val2 = str_replace( '\\\\' , '{YEN}' , $val2 );  $val2 = str_replace( ';' , '{SEMI}' , $val2 );  $val2 = str_replace( '"' , '{QUOT}' , $val2 );  $val2 = htmlentities( $val2 , ENT_QUOTES , "UTF-8" ); $H_setup[ $key2 ] = $val2; }  if( current_user_can( 'manage_options' ) ) { update_option( $option_key , $H_setup ); } } }  function SETTING_CONVERT( $H_args ) {   extract( $H_args );  list( $val , $label ) = explode( "\t//" , $val );   $val = str_replace( "\t" , '    ' , $val );  list( $val , $label ) = $this->OVERWRITE_TRIM_VALUE( $val , $label , $exp , $H_saved_setup );  if( strpos( $label , '#HELP' ) !== false ) {  list( $help , $label , $format3_ ) = $this->HELP( $label , $val , $format3_ ); } $inner_tab = "";  if( preg_match( '/\#TAB\{\{(.+?)\}\}/' , $label , $A_tab ) ) {  $label = str_replace( $A_tab[ 0 ] , '' , $label ); $inner_tab = $A_tab[ 1 ]; } else { $inner_tab = $menu_label; }  if( strpos( $label , '#CAT_CB' ) !== false ) {  list( $label , $format3_ ) = $this->CAT_CB( $label , $val , $format3_ ); }  else if( strpos( $label , '#UID_CB' ) !== false ) {  list( $label , $format3_ ) = $this->UID_CB( $label , $val , $format3_ , $AUTHORITY ); }  else if( strpos( $label , '#UID_SB' ) !== false ) {  list( $label , $format3_ ) = $this->UID_SB( $label , $val , $format3_ , $AUTHORITY ); }  else if( strpos( $label , '#UID_MSB' ) !== false ) {  list( $label , $format3_ ) = $this->UID_MSB( $label , $val , $format3_ , $AUTHORITY ); }  else if( strpos( $label , '#PST_SB' ) !== false ) {  list( $label , $format3_ ) = $this->PST_SB( $label , $val , $format3_ ); }  else if( strpos( $label , '#PST_MSB' ) !== false ) {  list( $label , $format3_ ) = $this->PST_MSB( $label , $val , $format3_ ); }  else if( strpos( $label , '#PST_CB' ) !== false ) {  list( $label , $format3_ ) = $this->PST_CB( $label , $val , $format3_ ); }  else if( strpos( $label , '#RB' ) !== false ) {  list( $label , $format3_ ) = $this->RB( $label , $val , $format3_ ); }  else if( strpos( $label , '#CB' ) !== false ) {  list( $label , $format3_ ) = $this->CB( $label , $val , $format3_ ); }  else if( strpos( $label , '#SB' ) !== false ) {  list( $label , $format3_ ) = $this->SB( $label , $val , $format3_ ); }  else if( strpos( $label , '#MSB' ) !== false ) {  list( $label , $format3_ ) = $this->MSB( $label , $val , $format3_ ); }  else if( strpos( $label , '#TA' ) !== false ) {  list( $label , $format3_ ) = $this->TA( $label , $val , $format3_ ); }  else if( strpos( $label , '#TE' ) !== false ) {  list( $label , $format3_ ) = $this->TE( $label , $val , $num , $format3_ ); }  else if( strpos( $label , '#UP' ) !== false ) {  list( $label , $format3_ ) = $this->UP( $label , $val , $num , $format3_ ); }  else if( strpos( $label , '#CP' ) !== false ) {  list( $label , $format3_ ) = $this->CP( $label , $val , $format3_ ); }  else if( strpos( $label , '#CMB' ) !== false ) {  list( $label , $format3_ ) = $this->CMB( $num , $label , $val , $format3_ , $JP_V ); }  else if( strpos( $label , '#FS' ) !== false ) {  if( method_exists( $THAT_V , $exp ) ) { $label = str_replace( '#FS' , '' , $label );   $format3_ = $THAT_V->$exp( $menu_label , $menu_name , $exp , $val , $format3_ ); }  else { $format3_ = "テンプレートが存在しません"; } }  if( $param_flag ) {  $label = preg_replace( '/\#ACDS\d\[\[.+?\]\]/' , '' , $label ); $label = preg_replace( '/\#ACDE\d/' , '' , $label ); } else {  if( strpos( $label , '#ACDS1' ) !== false ) {  list( $label , $format3_ ) = $this->ACDS( 1 , $label , $val , $format3_ ); }  if( strpos( $label , '#ACDE1' ) !== false ) {  list( $label , $format3_ ) = $this->ACDE( 1 , $label , $val , $format3_ ); }  if( strpos( $label , '#ACDS2' ) !== false ) {  list( $label , $format3_ ) = $this->ACDS( 2 , $label , $val , $format3_ ); }  if( strpos( $label , '#ACDE2' ) !== false ) {  list( $label , $format3_ ) = $this->ACDE( 2 , $label , $val , $format3_ ); }  if( strpos( $label , '#ACDS3' ) !== false ) {  list( $label , $format3_ ) = $this->ACDS( 3 , $label , $val , $format3_ ); }  if( strpos( $label , '#ACDE3' ) !== false ) {  list( $label , $format3_ ) = $this->ACDE( 3 , $label , $val , $format3_ ); } }  if( strpos( $label , '#LK' ) !== false ) {  list( $label , $format3_ ) = $this->LK( $label , $val , $format3_ ); }  if( current_user_can( 'demouser' ) and strpos( $label , '#DU' ) !== false ) {  list( $label , $format3_ ) = $this->DU( $label , $val , $format3_ ); }  else {  $label = str_replace( '#DU' , '' , $label); }  if( strpos( $label , '#DG' ) !== false ) {  list( $label , $format3_ ) = $this->DG( $label , $val , $format3_ ); }  else {  $label = str_replace( '#DG' , '' , $label); }  if( strpos( $label , '#_BACK_#' ) !== false ) {  list( $label , $format3_ ) = $this->BACK_MAKER( $label , $val , $num , $format3_ ); }  if( strpos( $label , '#_FONT_#' ) !== false ) {  list( $label , $format3_ ) = $this->FONT_MAKER( $label , $val , $num , $format3_ ); }  if( strpos( $label , '#_SPACE_#' ) !== false ) {  list( $label , $format3_ ) = $this->SPACE_MAKER( $label , $val , $num , $format3_ ); }  if( strpos( $label , '#_BORDER_#' ) !== false ) {  list( $label , $format3_ ) = $this->BORDER_MAKER( $label , $val , $num , $format3_ ); }  $label = str_replace( '#N' , "\n" , $label ); $help = str_replace( '#N' , "\n" , $help );  $label = str_replace( '##' , '<br />' , $label ); $help = str_replace( '##' , '<br />' , $help );  $label = str_replace( '#H' , '<hr class="section" />' , $label ); $help = str_replace( '#H' , '<hr class="section" />' , $help );  $format3_ = str_replace( '{{CMB_LIST}}' , '' , $format3_ );  $label = preg_replace( '/\{\{.+?\}\}/' , '' , $label );  $label = $num . '. ' . $label; return array( $label , $val , $inner_tab , $help , $format3_ ); }  function OVERWRITE_TRIM_VALUE( $val , $label , $exp , $H_saved_setup ) {  if( isset( $H_saved_setup[ $exp ] ) ) {  $val = $H_saved_setup[ $exp ];  $val = $this->DEL_QUOTE( $val );  $val = htmlentities( $val , ENT_QUOTES , "UTF-8" ); }  $val = rtrim( $val );  $label = trim( $label );  $val = preg_replace( "/;\z/" , '' , $val );  if( $val == ';' ) { $val = ''; }  $val = str_replace( '#N', "\n" , $val );  $val = str_replace( '{YEN}' , '&#092;' , $val );  $val = str_replace( '{SEMI}' , ';' , $val );  $val = str_replace( '{QUOT}' , '&quot;' , $val ); return array( $val , $label ); }  function SETTING( &$JP_V , &$THAT_V , $plugin_path )  {         foreach( (array)$JP_V as $val ) { if( is_array( $val )){ extract( $val ); } } $nonce_key = 'joint-setting2';  $H_file_head = $this->GET_PLUGIN_VER( $plugin_path ); $plugin_name = $H_file_head[ 'name' ]; $plugin_ver = $H_file_head[ 'version' ]; $plugin_des = $H_file_head[ 'description' ]; $cmd = isset( $_POST[ $CMD ] ) ? esc_html( $_POST[ $CMD ] ) : null;  list( $H_msgs , $download_link ) = $this->SAVE_SETTING( $cmd , $plugin_path , $SETTING_FILE_NAME , $SETTING_EXPORT_FILE , $nonce_key );  $H_setup = $this->LOAD_SETTING( dirname( $plugin_path ) . '/class_vars.php' );  $Common_PrintOut= new mhs_Common_PrintOut2();  $UIKit = $Common_PrintOut->GET_CONTENT( $tran_key = 'mhs-UIKit' , $index = 'UIKit' , 0 );  $Jquery = $Common_PrintOut->GET_CONTENT( $tran_key = 'mhs-Jquery' , $index = 'Jquery' , 0 );  $Common_PrintOut->GET_CONTENT( $tran_key = 'mhs-common_content' , $index = 'Dashboard Style' );  wp_enqueue_media();  wp_enqueue_script( 'media-upload' ); wp_enqueue_script( 'thickbox' );  wp_enqueue_style( 'thickbox' );  $mhs_Path = new mhs_Path2();  $dir_url = $mhs_Path->GET_WP_URL( 'plugins_url' , dirname( __FILE__ ) ); $template = <<< EOM
{{UIKit}}
{{Jquery}}
<link rel="stylesheet" href="{{dir_url}}/admin/style.css">

<!-- カラーピッカー -->
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/spectrum/1.8.1/spectrum.min.css">
<script src="https://cdnjs.cloudflare.com/ajax/libs/spectrum/1.8.1/spectrum.min.js"></script>

<script>
const admin_ajax_url	= '{{admin_ajax_url}}';
const action			= 'setting_update2';
const token				= '{{token}}';
</script>
<script src="{{dir_url}}/admin/media_upload.js"></script>
<script src="{{dir_url}}/admin/color_picker.js"></script>
<script src="{{dir_url}}/admin/element_editor.js"></script>
<script src="{{dir_url}}/admin/script.js"></script>

<div class="uk-container uk-margin-top">

	<h2 class="page-title">{{plugin_name}} 設定 <span class="ver_info">ver.{{plugin_ver}}</span></h2>

{{MSG_TEMPLATE}}
{{MODEL_MSG_TEMPLATE}}

{{TAB_HEAD_OUTER_TEMPLATE}}
{{TAB_CON_OUTER_TEMPLATE}}

</div>

<datalist id="border-list">
	<option value="solid">1本線</option>
	<option value="dashed">破線</option>
	<option value="dotted">点線</option>
	<option value="double">2本線</option>
	<option value="groove">立体的に窪んだ線</option>
	<option value="ridge">立体的に隆起した線</option>
	<option value="inset">非対称な立体的な線</option>
	<option value="outset">非対称な立体的な線</option>
</datalist>

<datalist id="text-decoration-list">
	<option value="none">なし</option>
	<option value="underline">下線</option>
	<option value="overline">上線</option>
	<option value="line-through">打ち消し線</option>
	<option value="blink">点滅</option>
</datalist>

<datalist id="text-align-list">
	<option value="left">左揃え</option>
	<option value="center">中央揃え</option>
	<option value="right">右揃え</option>
	<option value="justify">均等割付</option>
</datalist>

<datalist id="font-family-list">
	<option value='"メイリオ", Meiryo,"游ゴシック",YuGothic,"Hiragino Kaku Gothic ProN","ヒラギノ角ゴ ProN W3",Arial,Helvetica,sans-serif'>ゴシック系</option>
	<option value='"ヒラギノ明朝 ProN W3", "Hiragino Mincho ProN", "HG明朝E", "ＭＳ Ｐ明朝", "ＭＳ 明朝", "游明朝", YuMincho, serif'>明朝系</option>
</datalist>

<datalist id="background-repeat-list">
	<option value="repeat">縦と横方向に繰り返し</option>
	<option value="repeat-x">横方向のみ繰り返し</option>
	<option value="repeat-y">縦方向のみ繰り返し</option>
	<option value="no-repeat">繰り返し無し</option>
</datalist>

<datalist id="background-position-list">
	<option value="left top">左 上</option>
	<option value="left center">左 真ん中</option>
	<option value="left bottom">左 下</option>
	<option value="right top">右 上</option>
	<option value="right center">右 真ん中</option>
	<option value="right bottom">右 下</option>
	<option value="center top">真ん中 上</option>
	<option value="center center">真ん中 真ん中</option>
	<option value="center bottom">真ん中 下</option>
</datalist>

<datalist id="background-attachment-list">
	<option value="attachment">背景画像の位置を固定</option>
	<option value="scroll">スクロール時に背景画像も移動(cover)</option>
</datalist>

<datalist id="background-size-list">
	<option value="auto">自動計算(auto)</option>
	<option value="contain">縦横比を維持し最大化(contain)</option>
	<option value="cover">縦横比を維持し最小化(cover)</option>
</datalist>

EOM;
 $msg_template = <<< EOM
<div class="{{alert_class}}" uk-alert>
	<h3 class="header">{{alert_level}}</h3>
    <p>{{msg}}</p>
</div>

EOM;
 $modal_msg_template = <<< EOM
<div id="mhs-modal-msg" uk-modal>
    <div class="uk-modal-dialog">
        <button class="uk-modal-close-default" type="button" uk-close></button>
        <div class="uk-modal-header">
            <h2 class="uk-modal-title">タイトル</h2>
        </div>
        <div class="uk-modal-body">
            <p>内容</p>
        </div>
        <div class="uk-modal-footer uk-text-right">
            <button class="uk-button uk-button-default uk-modal-close" type="button">閉じる</button>
        </div>
    </div>
</div>

EOM;
 $tab_head_outer_template = <<< EOM
	<ul class="mhs-tab_head-level1" uk-tab>
{{TAB_HEAD_INNER_TEMPLATE}}
	</ul>

EOM;
 $tab_head_inner_template = <<< EOM
	    <li><a href="#">{{menu_label}}</a></li>

EOM;
 $tab_con_outer_template = <<< EOM
	<ul class="uk-switcher uk-margin mhs-tab_menu-level1">
{{TAB_CON_INNER_TEMPLATE}}
	</ul>

EOM;
 $tab_con_inner_template = <<< EOM
	    <li>
{{FORM_OUTER_TEMPLATE}}
		</li>

EOM;
 $form_outer_template = <<< EOM
			<form id="{{{uid}}}" action="" method="post" class="mhs-setting-form uk-margin-top uk-margin-bottom">

{{FORM_INNER_TEMPLATE}}

				<hr>

				<p class="uk-margin uk-margin-small-top">
					<div class="uk-grid-small uk-flex uk-flex-middle uk-padding-small" uk-grid>
						{{nounce}}
						<input type="hidden" name="{{cmd}}" value="{{menu_name}},{{menu_label}}">
					    <div><button type="button" class="ajax-setting-save uk-button uk-button-primary" data-uid="{{{uid}}}">変更を保存する</button></div>
					    <div><button type="submit" name="part" value="1" class="uk-button uk-button-green">チェックした項目をエクスポートする</button></div>
					    <div><input type="text" class="uk-input" name="theme_style_name" size="30" placeholder="エクスポートデータ名を指定できます"></div>
					</div>
				</p>

				<!-- ダウンロードリンク -->
					{{download_link}}
				<!-- /ダウンロードリンク -->

			</form>

EOM;
 $form_inner_template = <<< EOM
				<div class="mhs-striped uk-grid-small uk-flex uk-flex-middle uk-margin-remove" uk-grid>
				    <div class="uk-width-1-3@m">
						<label class="uk-text-bold"><input class="uk-checkbox" type="checkbox" name="partsave[][[exp]]" value="1">[label]</label>
					</div>
				    <div class="uk-width-expand@m">
						[input]<input class="uk-input" name="[menu_name][[exp]]" type="text" value="[val]" autocomplete="on" list="{{CMB_ID}}"></input>{{CMB_LIST}}[/input]


						<!-- アコーディオン -->
						<div class="mhs-accordion">
							<ul>
								<li class="accordion-panel">
									<a class="toggle menu"><i class="question circle outline icon"></i>説明を見る</a>
									<ul class="inner child child01">
										<li>
											[help]
										</li>
										<li>
											変数名: [exp]
										</li>
									</ul>
								</li>
							</ul>
						</div>
						<!-- /アコーディオン -->

					</div>
				</div>

EOM;
  $get_menu_name = isset( $_REQUEST[ 'menu_name' ] ) ? esc_html( $_REQUEST[ 'menu_name' ] ) : null; $A_param = isset( $_REQUEST[ 'param' ] ) ? $_REQUEST[ 'param' ] : null; $A_prefix = isset( $_REQUEST[ 'prefix' ] ) ? $_REQUEST[ 'prefix' ] : null; $A_tab_head = array(); $A_tab_con = array();  foreach( (array)$H_setup as $key => $H_setup_list ) {  list( $menu_label , $menu_name ) = explode( ':' , $key );  if( $get_menu_name and strpos( $menu_name , '__' . $get_menu_name ) === false ) continue;  $tab_head_inner_template_ = $tab_head_inner_template; $tab_con_inner_template_ = $tab_con_inner_template; $form_outer_template_ = $form_outer_template;  $tab_head_inner_template_ = str_replace( '{{menu_label}}' , $menu_label , $tab_head_inner_template_ ); $A_tab_head[] = $tab_head_inner_template_;  $H_saved_setup = $this->GET_WP_OPTION( $menu_name ); $H_inner = array(); $H_inner2 = array();  $num = 1;  foreach( (array)$H_setup_list as $exp => $val ) {  $param_flag = $this->CHECK_PARTIAL_MENU( $get_menu_name , $A_param , $A_prefix , $exp ); $help = '';  $format3_ = $form_inner_template;  $H_args = array ( 'H_saved_setup' => $H_saved_setup , 'menu_name' => $menu_name , 'menu_label' => $menu_label ,  'exp' => $exp , 'val' => $val , 'format3_' => $format3_ , 'AUTHORITY' => $AUTHORITY , 'help' => $help , 'num' => $num , 'THAT_V' => $THAT_V , 'JP_V' => $JP_V , 'param_flag' => $param_flag , );  list( $label , $val , $inner_tab , $help , $format3_ ) = $this->SETTING_CONVERT( $H_args );  if( ( $get_menu_name and $param_flag ) or (! $get_menu_name and ! $param_flag ) ) {  $H_inner2[ $inner_tab ][] = $this->CHANGE_INNER_FORMAT_JOINT( $format3_ , $menu_name , $label , $exp , $val , $help , $num ); } $num++; }  $uid = 'uid-'. substr( md5( "$menu_name,$menu_label" ) , 0 , 10 );  $tab_menu = $this->MAKE_TAB_MENU( $menu_label , $H_inner2 );  $form_outer_template_ = str_replace( '{{FORM_INNER_TEMPLATE}}' , $tab_menu , $form_outer_template_ ); $form_outer_template_ = str_replace( '{{cmd}}' , $CMD , $form_outer_template_ ); $form_outer_template_ = str_replace( '{{menu_name}}' , $menu_name , $form_outer_template_ ); $form_outer_template_ = str_replace( '{{menu_label}}' , $menu_label , $form_outer_template_ ); $form_outer_template_ = str_replace( '{{nounce}}' , wp_nonce_field( $nonce_key ) , $form_outer_template_ ); $form_outer_template_ = str_replace( '{{{uid}}}' , $uid , $form_outer_template_ ); $form_outer_template_ = str_replace( '{{download_link}}' , $download_link , $form_outer_template_ ); $tab_con_inner_template_ = str_replace( '{{menu_label}}' , $menu_label , $tab_con_inner_template_ ); $tab_con_inner_template_ = str_replace( '{{FORM_OUTER_TEMPLATE}}' , $form_outer_template_ , $tab_con_inner_template_ ); $A_tab_con[] = $tab_con_inner_template_; }  $plugins_url = $mhs_Path->GET_WP_URL( 'plugins_url' , $plugin_path ); $plugin_base_path = $mhs_Path->GET_WP_DIR( 'plugin_dir' , $plugin_path );  $plugins_url = preg_replace( '/^https?:/' , '' , $plugins_url );  $tab_head_inner_template= isset( $A_tab_head ) ? implode( "\n" , $A_tab_head ) : '';  $tab_head_outer_template= str_replace( '{{TAB_HEAD_INNER_TEMPLATE}}' , $tab_head_inner_template , $tab_head_outer_template );  $form_inner_template = isset( $H_inner[ $inner_tab ] ) ? implode( "\n" , $H_inner[ $inner_tab ] ) : ''; $tab_con_inner_template = isset( $A_tab_con ) ? implode( "\n" , $A_tab_con ) : '';  $form_outer_template_ = str_replace( '{{FORM_INNER_TEMPLATE}}' , $form_inner_template , $form_outer_template_ ); $tab_con_outer_template = str_replace( '{{TAB_CON_INNER_TEMPLATE}}' , $tab_con_inner_template , $tab_con_outer_template ); $template = str_replace( '{{PLUGINS_URL}}' , $plugins_url , $template );  $template = str_replace( '{{dir_url}}' , $dir_url , $template ); $template = str_replace( '{{UIKit}}' , $UIKit , $template ); $template = str_replace( '{{Jquery}}' , $Jquery , $template ); $template = str_replace( '{{plugin_name}}' , ucwords( $plugin_name ) , $template ); $template = str_replace( '{{plugin_ver}}' , $plugin_ver , $template ); $template = str_replace( '{{admin_ajax_url}}' , admin_url( 'admin-ajax.php' ) , $template ); $template = str_replace( '{{token}}' , wp_create_nonce( $nonce_key ) , $template ); $template = str_replace( '{{MODEL_MSG_TEMPLATE}}' , $modal_msg_template , $template ); $template = str_replace( '{{TAB_HEAD_OUTER_TEMPLATE}}' , $tab_head_outer_template , $template ); $template = str_replace( '{{TAB_CON_OUTER_TEMPLATE}}' , $tab_con_outer_template , $template );  $template = $this->FORMAT_MSG_ALERT( $H_msgs , $template , $msg_template );  $template = str_replace( '{{MSG_TEMPLATE}}' , '' , $template );  echo $template; }  function MAKE_TAB_MENU( $menu_label , $H_inner ) {  $tab_head_outer_template = <<< EOM
	<ul uk-tab>
{{TAB_HEAD_INNER_TEMPLATE}}
	</ul>

EOM;
 $tab_head_inner_template = <<< EOM
	    <li><a href="#">{{menu_label}}</a></li>

EOM;
 $tab_con_outer_template = <<< EOM
	<ul class="uk-switcher mhs-inner-tab">
{{TAB_CON_INNER_TEMPLATE}}
	</ul>

EOM;
 $tab_con_inner_template = <<< EOM
	    <li>
{{menu}}
		</li>

EOM;
 $tab_wrapper = <<< EOM
<div class="uk-padding-small uk-padding-remove-top">
{{TAB_MENU_TEMPLATE}}
</div>

EOM;
  $A_tab_head = array(); $A_tab_con = array(); $A_tab_con2 = array(); foreach( (array)$H_inner as $tab_name => $A_menus ) {  $tab_head_inner_template_ = $tab_head_inner_template; $tab_con_inner_template_ = $tab_con_inner_template;  $tab_head_inner_template_ = str_replace( '{{menu_label}}' , $tab_name , $tab_head_inner_template_ ); $A_tab_head[] = $tab_head_inner_template_; $A_tab_con[] = str_replace( '{{menu}}' , implode( "\n" , $A_menus ) , $tab_con_inner_template_ ); $A_tab_con2[] = implode( "\n" , $A_menus ); }  if( count( $A_tab_head ) == 1 ) { $tab_menu = implode( "\n" , $A_tab_con2 ); }  else {  $tab_head_outer_template = str_replace( '{{TAB_HEAD_INNER_TEMPLATE}}' , implode( "\n" , $A_tab_head ) , $tab_head_outer_template );  $tab_con_outer_template = str_replace( '{{TAB_CON_INNER_TEMPLATE}}' , implode( "\n" , $A_tab_con ) , $tab_con_outer_template );  $tab_menu = str_replace( '{{TAB_MENU_TEMPLATE}}' , $tab_head_outer_template . "\n" . $tab_con_outer_template , $tab_wrapper ); } return $tab_menu; }  function CHECK_PARTIAL_MENU( $get_menu_name , $A_param , $A_prefix , $exp ) { if(! $get_menu_name ) return false;  if( $A_param ) {  foreach( (array)$A_param as $param ) { $param = esc_html( $param );  if( $A_prefix ) { foreach( (array)$A_prefix as $prefix ) { $prefix = esc_html( $prefix );  if( $prefix . $param == $exp ) return true; } } else {  if( $param == $exp ) return true; } } }  else { return true; } return false; }  function FORMAT_MSG_ALERT( $H_msgs , $template , $msg_template ) { if(! $H_msgs ) return $template; $A_temp = array(); foreach( (array)$H_msgs as $level => $H_msg ) { foreach( (array)$H_msg as $msg ) { $msg_template_ = $msg_template;  if( $level == 0 ) { $alert_level= '処理完了'; $alert_class= 'uk-alert mhs-notice-success'; }  else if( $level == 1 ) { $alert_level= '警告'; $alert_class= 'uk-alert mhs-notice-warning'; }  else if( $level == 2 ) { $alert_level= 'エラー'; $alert_class= 'uk-alert mhs-notice-negative'; } else { $alert_level= 'メッセージ'; $alert_class= 'uk-alert mhs-notice-default'; } $msg_template_ = str_replace( '{{alert_class}}' , $alert_class , $msg_template_ ); $msg_template_ = str_replace( '{{alert_level}}' , $alert_level , $msg_template_ ); $msg_template_ = str_replace( '{{msg}}' , $msg , $msg_template_ ); $A_temp[] = $msg_template_; } } if( $A_temp ) $template = str_replace( '{{MSG_TEMPLATE}}' , implode( "\n" , $A_temp ) , $template ); return $template; }  function CHANGE_OUTER_FORMAT( $changed_format3 , $format1_ , $format2_ , $pat3 , $A_format , $A_header ) {  $format2_ = preg_replace( $pat3 , $changed_format3 , $format2_ );  $A_format[] = $format2_;  $A_header[] = $format1_; return array( $format2_ , $A_format , $A_header ); }  function CHANGE_INNER_TAB( $H_inner , $menu_name ) { $tab_content = null; $tab_index = null;  if( count( $H_inner ) == 1 ) {  foreach( (array)$H_inner as $tab_name => $A_tab_content ) { $tab_content .= implode( "\n" , $A_tab_content ); } $changed_format3 = "$tab_content\n"; } else { $t = 1;  foreach( (array)$H_inner as $tab_name => $A_tab_content ) {  $inner_menu_id = $menu_name . '__' . $t; $tab_index .= "\t\t\t<li><a href='#$inner_menu_id'>$tab_name</a>" . "\t\t\t</li>"; $tab_content .= "<div id='$inner_menu_id'>" . implode( "\n" , $A_tab_content ) . "</div>"; $t++; } $changed_format3 = "\t\t<div class='inner_tab'>\n<ul>\n$tab_index\n\t\t</ul>\n$tab_content</div>\n"; } return $changed_format3; }  function CHANGE_INNER_FORMAT_JOINT( $format3_ , $menu_name , $label , $exp , $val , $help = null , $num = null ) {  $format3_ = str_replace( "[exp]" , $exp , $format3_ ); $format3_ = str_replace( "[val]" , $val , $format3_ ); $format3_ = str_replace( "[label]" , $label, $format3_ ); $format3_ = str_replace( "[help]" , $help, $format3_ ); $format3_ = str_replace( "[num]" , $num, $format3_ ); $format3_ = preg_replace( "/\[input\](.*?)\[\/input\]/" , '\1' , $format3_ ); $format3_ = str_replace( "[menu_name]" , $menu_name , $format3_ ); return $format3_; }  function CHANGE_MENU_NAME( $menu_name , $menu_label , $format1 , $format2 , $pat3 ) {  $format1_ = $format1;  $format2_ = $format2;  $format1_ = str_replace( "[menu_name]" , $menu_name , $format1_ ); $format1_ = str_replace( "[menu_label]" , $menu_label , $format1_ );  $format2_ = str_replace( "[menu_name]" , $menu_name , $format2_ ); $format2_ = str_replace( "[menu_label]" , $menu_label , $format2_ );  preg_match( $pat3 , $format2_ , $A_format3 ); $format3 = $A_format3[1]; return array( $format1_ , $format2_ , $format3 ); }  function GET_TEMPLATE_2_FORMAT( $template ) {  $H_format[ 'pat1' ] = "/\[format1\](.*?)\[\/format1\]/ismu";  $H_format[ 'pat2' ] = "/\[format2\](.*?)\[\/format2\]/ismu";  $H_format[ 'pat3' ] = "/\[format3\](.*?)\[\/format3\]/ismu";   preg_match( $H_format[ 'pat1' ] , $template , $A_format1 ); preg_match( $H_format[ 'pat2' ] , $template , $A_format2 ); $H_format[ 'format1' ] = $A_format1[1]; $H_format[ 'format2' ] = $A_format2[1]; return $H_format; }  function GET_PLUGIN_VER( $file , $H_array = array() ) {  if( $H_array ) { $H_file_head = get_file_data( $file , $H_array ); }  else { $H_file_head = get_file_data( $file , array( 'name' => 'Plugin Name' , 'version' => 'Version' , 'description' => 'Description' ) ); } return $H_file_head; }  function SAVE_SETTING( $cmd , $plugin_path , $setting_file_name = 'class_vars.php' , $setting_export_file = 'setting_export.dat' , $nounce_key = '' ) {    if(! $cmd ) return array( array() , '' );  list( $option_key , $option_label ) = explode( "," , $cmd );  list( $H_msgs , $A_part ) = $this->FORM_2_SAVE_OPTION( $option_key , $option_label , $nounce_key );  if( $A_part and $_POST[ 'part' ] and is_array( $A_part ) ) {  $H_setups = $this->EXPORT_LOAD_DATA( $plugin_path , $setting_file_name );  foreach( (array)$H_setups as $key => $H_setup ) { foreach( $H_setup as $key2 => $val2 ) {  if(! isset( $A_part[ $key2 ] ) ) { unset( $H_setups[ $key ][ $key2 ] ); } } }  $theme_style_name = esc_html( $_POST[ 'theme_style_name' ] );  if( $theme_style_name == "" ) { $theme_style_name = 'default'; }  $save_path= $this->SAVE_EXPORT_DATA( $H_setups , $theme_style_name , $plugin_path , $setting_export_file );  $download_link = $this->MAKE_DL_LINK( $save_path ); } return array( $H_msgs , $download_link ); }  function SAVE_EXPORT_DATA( $H_setup , $theme_style_name , $plugin_path , $setting_export_file = 'setting_export.dat' ) { if(! $H_setup ) { return; }  $mhs_Files = new mhs_Files2();  $export_string = json_encode( $H_setup );  if(! $mhs_Files->MKDIR( dirname( $plugin_path ) . "/export_data" ) ) { return "フォルダの作成に失敗しました。"; }  $save_path = dirname( $plugin_path ) . "/export_data/$theme_style_name" . '_' . $setting_export_file;  $fp = fopen( $save_path , "w" );  fwrite( $fp , $export_string );  fclose( $fp ); return $save_path; }  function MAKE_DL_LINK( $save_path ) {  $url = ( empty( $_SERVER[ "HTTPS" ] ) ? "http://" : "https://") . $_SERVER[ "HTTP_HOST" ] . $_SERVER[ "REQUEST_URI" ];  $url .= '&cmd=dl&dl_path=' . urlencode( $save_path ); $template = <<< EOM
					<div class="mhs-download_link uk-margin-left uk-margin-right mhs-notice-success uk-alert" uk-alert>
						<a href="{{url}}" class="dl-link" target="_blank">エクスポートデータをダウンロード</a>
					</div>

EOM;
  $download_link = str_replace( '{{url}}' , esc_url( $url ) , $template ); return $download_link; }  function LOAD_SETTING( $file_path = "" , $option = "" )  {   $mhs_Files = new mhs_Files2();  if( $file_path ) { $source = $mhs_Files->GET_FILE( $file_path ); }  else { $source = $mhs_Files->GET_FILE( __FILE__ ); }  $pat = '/' . '\/\/\<(.+?):(.+?)\>.+?\/\/\<\/\1\>' . '/ismu';  preg_match_all( $pat , $source , $A_match );  if( $option ) { return $A_match; }  $option_prefix = dirname( plugin_basename( $file_path ) );   $pat = '/(?!\/\/\s?)const(.+?)\n/iu'; $H_setup = array(); $i = 0;  foreach( $A_match[0] as $setting ) { $menu_label = $A_match[1][ $i ]; $menu_name = $A_match[2][ $i ];  $menu_name = $option_prefix . '__' . $menu_name;  $menu_name = $menu_label . ":" . $menu_name;  preg_match_all( $pat , $setting , $A_const ); $ii = 0;  foreach( $A_const[0] as $const ) {  list( $expression , $value ) = explode( "\t=" , $const );   $value = trim( $value );  $value = $this->DEL_QUOTE( $value );  $value = htmlentities( $value , ENT_QUOTES , 'UTF-8' );  $expression = str_replace( 'const' , '' , $expression );  $expression = str_replace( '//' , '' , $expression );  $expression = trim( $expression );  $H_setup[ $menu_name ][ $expression ] = $value; $ii++; } $i++; } return $H_setup; }  function DEL_QUOTE( $value ) {   $value = preg_replace( '/^[\"\']/' , '' , $value ); $value = preg_replace( '/[\"\'](\;\t)/' , '\1' , $value ); return $value; }  function EXPORT_LOAD_DATA( $plugin_path , $setting_file_name = 'class_vars.php' ) {  $H_setup = $this->EXPORT_LOAD_SETUP_VAR( dirname( $plugin_path ) . "/$setting_file_name" ); return $H_setup; }  function EXPORT_LOAD_SETUP_VAR( $file_path ) {    $A_match = $this->LOAD_SETTING( $file_path );  $H_keys = array_keys( $A_match ); $H_saved_setup = array();  foreach( $H_keys as $setting ) {  foreach( $A_match[ $setting ] as $key => $val ) {  $val = html_entity_decode( $val , ENT_QUOTES , "UTF-8" );  list( $val , $comment ) = explode( ";\t" , $val ); $H_saved_setup[ $setting ][ $key ] = $val; }  list( $menu_label , $menu_name ) = explode( ":" , $setting );  $H_get_data = $this->GET_WP_OPTION( $menu_name );  if( $H_get_data ) {  foreach( $H_get_data as $key => $val ) {  $val = str_replace( '#N', "\n" , $val );  $val = str_replace( '{YEN}', "\\" , $val );  $val = str_replace( '{QUOT}', '"' , $val );  $val = str_replace( '{SEMI}' , ';' , $val );  $val = str_replace( '{CANMA}' , ',' , $val );  if( $key == 'THEME_STYLE_NAME' ) { $key = esc_html( $_POST[ 'theme_style_name' ] ); } $H_saved_setup[ $setting ][ $key ] = $val; } } } return $H_saved_setup; }  function FORM_2_SAVE_OPTION( $name , $label , $nounce_key )  {        global $JP2; $H_msgs = array();  if(! $JP2->ADMIN_WARNING() ) { $H_msgs[ 2 ][] = "不正なアクセスです。"; return array( $H_msgs , null ); }  check_admin_referer( $nounce_key );  $mhs_Option = new mhs_Option2();  $H_opt = $mhs_Option->GET_OPTION( $name ); if(! $name or ! isset( $_POST[ $name ] ) ) { $H_msgs[ 2 ][] = "$name が存在しませんでした。"; return array( $H_msgs , null ); }  list( $H_opt , $A_part )= $mhs_Option->OVERWRITE_OPTION( $H_opt , $_POST , $name , $_POST[ 'partsave' ] );  $H_opt = $JP2->NONE_CANNMA_CONVERT( $H_opt );  if( current_user_can( 'manage_options' ) and $mhs_Option->UPDATE_OPTION( $name , $H_opt , $option = 0 ) ) { $H_msgs[ 0 ][] = "$label を保存しました。"; return array( $H_msgs , $A_part ); }  else { $H_msgs[ 1 ][] = "$label の値に変更がないか、ログインユーザーでないため保存されませんでした。"; return array( $H_msgs , $A_part ); } }  function LOAD_AJAX_SCRIPT() { ?>

<!-- ajax通信前ダイアログ -->
<div id="ajax-preresult" class="ui modal ajax-preresult">
  <i class="close icon"></i>

  <div class="content">

    <div class="description">
      <p></p>
    </div>

  </div>

  <div class="actions">
    <div class="ui approve button" style="font-size: 0.8rem;">OK</div>
  </div>

</div>

<!-- ajax通信結果モーダルダイアログ -->
<div id="ajax-result" class="ui modal ajax-result">
  <i class="close icon"></i>

  <div class="header">保存結果</div>

  <div class="content">

    <div class="description">
      <p></p>
    </div>

  </div>

  <div class="actions">
    <div class="ui approve button" style="font-size: 0.8rem;">閉じる</div>
  </div>

</div>

<script>

	jQuery( function( $ )
	{
		//閉じるボタンを押したら
		$( '#ajax-result .button' ).on( 'click' , function()
		{
			//閉じる
			$( '#ajax-preresult' ).modal( 'hide' );
		});

		//ajax通信
		$( '.ajax-setting' ).on( 'click' , function( e )
		{
			//書き換え
			$( '.ui.modal.ajax-preresult .content p' ).html( '通信中…' );

			//モーダルダイアログを表示
			$( '.ui.modal.ajax-preresult' ).modal( 'show' );

			//クリックした親フォームを取得
			var $form			= $( this ).parents( '.setting' );

			//フォームの値を全て配列で取得
			var $serial_data	= $form.serializeArray();
//			var $serial_data	= $form.serialize();

			console.log( $serial_data );

			data = 
			{
				action 		: 'setting_update' ,	//アクションフックに紐付けする名前
				serial_data	: $serial_data ,
				token		: <?php echo '"' . wp_create_nonce( 'joint-setting' ) . '"'; ?> 
			};

			$.ajax(
			{
				url			: "<?php echo admin_url( 'admin-ajax.php' ); ?>" ,
				type		: 'POST' ,
				cache		: false ,
				timeout		: 60000 ,
				data		: data
			})
			.done( function( data , state )
			{
				//書き換え
				$( '.ui.modal.ajax-result .content p' ).html( data.msg );

				//モーダルダイアログを表示
				$( '#ajax-result' ).modal( 'show' );

				console.log( state );
				console.log( data );
			})
			.fail( function( XHR , state , error )
			{
				alert( state );
				alert( error );

				console.log( XHR );
				console.log( state );
				console.log( error );
			});

			e.preventDefault();
		});

	});

</script>

<?php
 }  function LOAD_SETUP_VAR( $file_path , $A_menu = null , $responsive_override = null ) {      $A_match = $this->LOAD_SETTING( $file_path );  $H_keys = array_keys( $A_match ); $H_saved_setup = array();  foreach( $H_keys as $setting ) {  list( $menu_label , $menu_name ) = explode( ':' , $setting );  if( $A_menu and ! in_array( $menu_name , $A_menu ) ) continue;  foreach( $A_match[ $setting ] as $key => $val ) { $H_get_data = array();  $val = html_entity_decode( $val , ENT_QUOTES , "UTF-8" );  list( $val , $comment ) = explode( ";\t" , $val );   $val = str_replace( '#N', "\n" , $val );  $val = str_replace( '{QUOT}', '"' , $val );  $val = str_replace( '{YEN}', "\\" , $val );  $val = str_replace( '{SEMI}' , ';' , $val );  $val = str_replace( '{CANMA}' , ',' , $val ); $H_saved_setup[ $key ] = $val; }  $H_get_data = $this->GET_WP_OPTION( $menu_name );  if(! $H_get_data ) continue;  foreach( (array)$H_get_data as $key => $val ) {  $val = str_replace( '#N', "\n" , $val );  $val = str_replace( '{QUOT}', '"' , $val );  $val = str_replace( '{YEN}', "\\" , $val );  $val = str_replace( '{SEMI}' , ';' , $val );  $val = str_replace( '{CANMA}' , ',' , $val ); $H_saved_setup[ $key ] = $val; } }  if( $responsive_override ) { foreach( $H_saved_setup as $key => $val ) {  if( strpos( $key , 'SP_' ) === false ) continue;  if(! preg_match( '/^SP_/' , $key ) ) continue;  $key = preg_replace( '/^SP_/' , '' , $key );  if( $H_saved_setup[ 'PC_' . $key ] == '' ) continue;  if( $H_saved_setup[ 'SP_' . $key ] == '' ) {  $H_saved_setup[ 'SP_' . $key ] = $H_saved_setup[ 'PC_' . $key ]; }  if( $H_saved_setup[ 'TB_' . $key ] == '' ) {  $H_saved_setup[ 'TB_' . $key ] = $H_saved_setup[ 'PC_' . $key ]; } } } return $H_saved_setup; }  function GET_WP_OPTION( $option_key ) {    $H_array = get_option( $option_key );  if(! $H_array ) { return; }  foreach( (array)$H_array as $key => $val ) {  $val = html_entity_decode( $val , ENT_QUOTES , "UTF-8" );  $val = str_replace( '{CANMA}' , ',' , $val );  $H_array[ $key ] = str_replace( '\\', '' , $val );  $val = str_replace( '{YEN}' , '&#092;' , $val );  $val = str_replace( '{QUOT}' , '"' , $val );  $val = str_replace( '{SEMI}' , ';' , $val ); } return $H_array; }  function ACDS( $level = 1 , $label = null , $val = null , $format3_ = null ) {  if(! $level or $level == 1 ) {  preg_match( '/\#ACDS1\[\[(.+?)\]\]/' , $label , $A_mtach );  if(! isset( $A_mtach[ 1 ] ) ) { return array( $label , $format3_ ); }  list( $title , $description ) = explode( '::' , $A_mtach[ 1 ] );  list( $description , $flag ) = explode( '==' , $description );  if( $flag == 'active' ) $active = 'class="uk-open"';  $format = <<< EOM
<!-- アコーディオン1 -->
<ul class="mhs-uk-accordion uk-padding-small uk-animation-toggle" uk-accordion>
    <li {$active}>
        <a class="uk-animation-shake uk-accordion-title uk-link-muted" href="#" uk-toggle="target: > .mhs-acd-toggle" uk-tooltip="title: クリックするとアコーディオンメニューがオープンします; pos: bottom-left"><span uk-icon="icon: triangle-down" class="mhs-acd-toggle"></span><span uk-icon="icon: triangle-up" class="mhs-acd-toggle" hidden></span> {$title}</a>
        <div class="uk-accordion-content">
{$description}

EOM;
  $label = preg_replace( '/\#ACDS1\[\[.+?\]\]/' , '' , $label ); }  else if( $level == 2 ) {  preg_match( '/\#ACDS2\[\[(.+?)\]\]/' , $label , $A_mtach );  if(! isset( $A_mtach[ 1 ] ) ) { return array( $label , $format3_ ); }  list( $title , $description ) = explode( '::' , $A_mtach[ 1 ] );  list( $description , $flag ) = explode( '==' , $description );  if( $flag == 'active' ) $active = 'class="uk-open"'; $format = <<< EOM
<!-- アコーディオン2 -->
<ul class="mhs-uk-accordion uk-padding-small uk-animation-toggle" uk-accordion>
    <li {$active}>
        <a class="uk-animation-shake uk-accordion-title uk-link-muted" href="#" uk-toggle="target: > .mhs-acd-toggle" uk-tooltip="title: クリックするとアコーディオンメニューがオープンします; pos: bottom-left"><span uk-icon="icon: triangle-down" class="mhs-acd-toggle"></span><span uk-icon="icon: triangle-up" class="mhs-acd-toggle" hidden></span> {$title}</a>
        <div class="uk-accordion-content">
{$description}

EOM;
  $label = preg_replace( '/\#ACDS2\[\[.+?\]\]/' , '' , $label ); }  else if( $level == 3 ) {  preg_match( '/\#ACDS3\[\[(.+?)\]\]/' , $label , $A_mtach );  if(! isset( $A_mtach[ 1 ] ) ) { return array( $label , $format3_ ); }  list( $title , $description ) = explode( '::' , $A_mtach[ 1 ] );  list( $description , $flag ) = explode( '==' , $description );  if( $flag == 'active' ) $active = 'class="uk-open"'; $format = <<< EOM
<!-- アコーディオン3 -->
<ul class="mhs-uk-accordion uk-padding-small uk-animation-toggle" uk-accordion>
    <li {$active}>
        <a class="uk-animation-shake uk-accordion-title uk-link-muted" href="#" uk-toggle="target: > .mhs-acd-toggle" uk-tooltip="title: クリックするとアコーディオンメニューがオープンします; pos: bottom-left"><span uk-icon="icon: triangle-down" class="mhs-acd-toggle"></span><span uk-icon="icon: triangle-up" class="mhs-acd-toggle" hidden></span> {$title}</a>
        <div class="uk-accordion-content">
{$description}

EOM;
  $label = preg_replace( '/\#ACDS3\[\[.+?\]\]/' , '' , $label ); } $format3_ = $format . $format3_; return array( $label , $format3_ ); }  function ACDE( $level = 1 , $label = null , $val = null , $format3_ = null ) {  if(! $level or $level == 1 ) {  $label = str_replace( '#ACDE1' , '' , $label ); $format3_ = $format3_ . "</div>\n</li>\n</ul><!-- /アコーディオン1-->\n"; } else if( $level == 2 ) {  $label = str_replace( '#ACDE2' , '' , $label ); $format3_ = $format3_ . "</div>\n</li>\n</ul><!-- /アコーディオン2-->\n"; } else if( $level == 3 ) {  $label = str_replace( '#ACDE3' , '' , $label ); $format3_ = $format3_ . "</div>\n</li>\n</ul><!-- /アコーディオン3-->\n"; } return array( $label , $format3_ ); }  function CAT_CB( $label , $val , $format3_ ) {  $check_box = $this->GET_CATEGORY_CHECK_BOX( $val );  $format3_ = preg_replace( '/\[input\].*?\[\/input\]/' , $check_box , $format3_ );  $label = str_replace( '#CAT_CB' , '' , $label ); return array( $label , $format3_ ); }  function UID_CB( $label , $val , $format3_ , $authority ) {  $check_box = $this->GET_USERID_FIELD( 1 , 0 , $val , $authority );  $format3_ = preg_replace( '/\[input\].*?\[\/input\]/' , $check_box , $format3_ );  $label = str_replace( '#UID_CB' , '' , $label ); return array( $label , $format3_ ); }  function UID_SB( $label , $val , $format3_ , $authority ) {  $select_box = $this->GET_USERID_FIELD( 0 , 0 , $val , $authority );  $format3_ = preg_replace( '/\[input\].*?\[\/input\]/' , $select_box , $format3_ );  $label = str_replace( '#UID_SB' , '' , $label ); return array( $label , $format3_ ); }  function UID_MSB( $label , $val , $format3_ , $authority ) {  $select_box = $this->GET_USERID_FIELD( 0 , 1 , $val , $authority );  $format3_ = preg_replace( '/\[input\].*?\[\/input\]/' , $select_box , $format3_ );  $label = str_replace( '#UID_MSB' , '' , $label ); return array( $label , $format3_ ); }  function PST_CB( $label , $val , $format3_ ) {  $check_box = $this->GET_POST_TYPE_FIELD3( $val , '[menu_name][[exp]][]' );  $format3_ = preg_replace( '/\[input\].*?\[\/input\]/' , $check_box , $format3_ );  $label = str_replace( '#PST_CB' , '' , $label ); return array( $label , $format3_ ); }  function PST_SB( $label , $val , $format3_ ) {  $select_box = $this->GET_POST_TYPE_FIELD( $val );  $format3_ = preg_replace( '/\[input\].*?\[\/input\]/' , $select_box , $format3_ );  $label = str_replace( '#PST_SB' , '' , $label ); return array( $label , $format3_ ); }  function PST_MSB( $label , $val , $format3_ ) {  $select_box = $this->GET_POST_TYPE_FIELD2( $val , '[menu_name][[exp]][]' , ' multiple' );  $format3_ = preg_replace( '/\[input\].*?\[\/input\]/' , $select_box , $format3_ );  $label = str_replace( '#PST_MSB' , '' , $label ); return array( $label , $format3_ ); }  function RB( $label , $val , $format3_ ) {  preg_match_all( '/\{\{(.+?)\}\}/u' , $label , $A_list );  $radio_btn = $this->GET_FIELD( 'RB' , 0 , $val , $A_list[1] );  $format3_ = preg_replace( '/\[input\].*?\[\/input\]/' , $radio_btn , $format3_ );  $label = str_replace( '#RB' , '' , $label ); return array( $label , $format3_ ); }  function CB( $label , $val , $format3_ ) {  preg_match_all( '/\{\{(.+?)\}\}/u' , $label , $A_list );  $check_box = $this->GET_FIELD( 'CB' , 0 , $val , $A_list[1] );  $format3_ = preg_replace( '/\[input\].*?\[\/input\]/' , $check_box , $format3_ );  $label = preg_replace( '/\#CB/' , '' , $label ); return array( $label , $format3_ ); }  function SB( $label , $val , $format3_ ) {  preg_match_all( '/\{\{(.+?)\}\}/u' , $label , $A_list );  $select_box = $this->GET_FIELD( 'SB' , 0 , $val , $A_list[1] );  $format3_ = preg_replace( '/\[input\].*?\[\/input\]/' , $select_box , $format3_ );  $label = str_replace( '#SB' , '' , $label ); return array( $label , $format3_ ); }  function MSB( $label , $val , $format3_ ) {  preg_match_all( '/\{\{(.+?)\}\}/u' , $label , $A_list );  $select_box = $this->GET_FIELD( 'SB' , 1 , $val , $A_list[1] );  $format3_ = preg_replace( '/\[input\].*?\[\/input\]/' , $select_box , $format3_ );  $label = str_replace( '#MSB' , '' , $label ); return array( $label , $format3_ ); }  function TA( $label , $val , $format3_ ) {  $text_area = '<TEXTAREA class="editor uk-textarea" name="[menu_name][[exp]]" 
		style="width:100%;" cols="40" rows="6">' . $val . "</TEXTAREA>\n";  $format3_ = preg_replace( '/\[input\].*?\[\/input\]/' , $text_area , $format3_ );  $label = str_replace( '#TA' , '' , $label ); return array( $label , $format3_ ); }  function TE( $label , $val , $id , $format3_ ) {  $text_area = '<TEXTAREA id="text-editor' . $id . '" name="[menu_name][[exp]]" 
		style="width:100%;" cols="40" rows="6">' . $val . "</TEXTAREA>\n"; $text_area.= <<< EOM

	<script>

		jQuery( document ).ready( function( $ )
		{
			CKEDITOR.replace( "text-editor{$id}" ,
			{
				//preコード挿入時class属性にcodeを追加
				format_pre			: { element : "pre" , attributes : { "class" : "code" } } , 
				uiColor				: "#EEEEEE" ,		//エディタのUIカラー
				height				: 200 ,				//エディタの初期高さ
				scayt_autoStartup	: false ,			//スペルチェック機能OFF
				enterMode			: CKEDITOR.ENTER_BR ,//Enterを押した際に段落タグを挿入
				shiftEnterMode		: CKEDITOR.ENTER_BR,//Shift+Enterを押した際に改行タグを挿入
				allowedContent		: true ,			//idやclassを指定可能にする
				toolbarLocation		: "bottom" ,		//ツールバーを下にする
				removePlugins		: "elementspath" ,	//タグのパンくずリストを削除
				fillEmptyBlocks		: false ,			//自動で空白を挿入しないようにする
				tabSpaces			: 0					//タブの入力を無効にする
			});

		});

	</script>


EOM;
  $format3_ = preg_replace( '/\[input\].*?\[\/input\]/' , $text_area , $format3_ );  $label = str_replace( '#TE' , '' , $label ); return array( $label , $format3_ ); }  function CMB( $num , $label , $val , $format3_ , $JP_V ) {  foreach( (array)$JP_V as $val ) { if( is_array( $val )){ extract( $val ); } }  preg_match( '/\#CMB\{\{(.+?)\}\}/' , $label , $A_mtach );  if(! isset( $A_mtach[ 1 ] ) ) { return array( $label , $format3_ ); }  $A_lists = explode( '::' , $A_mtach[ 1 ] );  $var_name = $A_lists[ 1 ];  if( $A_lists[ 0 ] == '--VARS--' and $$var_name ) {  $A_lists = $this->ARRAY_SEPARATOR( "\n" , $$var_name );  foreach( (array)$A_lists as $item ) { $data_list .= '<option value="' . $item . '"></option>'; } } else {  foreach( (array)$A_lists as $item ) { $data_list .= '<option value="' . $item . '"></option>'; } }  $id = 'datalist-' . $num;  $data_list = '<datalist id="' . $id . '">' . $data_list . '</datalist>';  $format3_ = str_replace( '{{CMB_ID}}' , $id , $format3_ ); $format3_ = str_replace( '{{CMB_LIST}}' , $data_list , $format3_ );  $label = str_replace( '#CMB' , '' , $label ); return array( $label , $format3_ ); }  function CP( $label , $val , $format3_ ) {  $cp = '<input type="text" class="color-picker" name="[menu_name][[exp]]" value="' . $val . "\">\n";  $format3_ = preg_replace( '/\[input\].*?\[\/input\]/' , $cp , $format3_ );  $label = str_replace( '#CP' , '' , $label ); return array( $label , $format3_ ); }  function UP( $label , $val , $id , $format3_ ) {  $text_area = '<TEXTAREA class="media-library-' . $id . '" name="[menu_name][[exp]]" 
		style="width:100%;" cols="40" rows="3">' . $val . "</TEXTAREA>\n"; $text_area .= '<button type="button" class="uk-button uk-button-default media-upload" rel="media-library-' . $id . '">選択</button>';  $format3_ = preg_replace( '/\[input\].*?\[\/input\]/' , $text_area , $format3_ );  $label = str_replace( '#UP' , '' , $label ); return array( $label , $format3_ ); }  function LK( $label , $val , $format3_ ) {  preg_match_all( '/\#LK\{\{(.+?)\}\}/u' , $label , $A_list );  foreach( (array)$A_list[1] as $A_link ) { list( $url , $link_text ) = explode( '::' , $A_link ); $link = '<a href="' . $url . '" target="_blank">' . $link_text . '</a>';  $label = preg_replace( '/\#LK\{\{.+?\}\}/' , $link , $label ); } return array( $label , $format3_ ); }  function FONT_MAKER( $label , $val , $id , $format3_ ) { $uid = uniqid( '_' );  $text_area = '<TEXTAREA class="editor font-maker-' . $id . $uid . '" name="[menu_name][[exp]]" 
		style="width:100%;" cols="40" rows="3">' . $val . "</TEXTAREA>\n";  if( preg_match( '/\#SEL\{\{(.+?)\}\}SEL#/' , $label , $A_sel ) ) {  $label = str_replace( $A_sel[ 0 ] , '' , $label ); $selector = $A_sel[ 1 ]; } else if( preg_match( '/\#SEL\{\{(.+?)\}\}/' , $label , $A_sel ) ) {  $label = str_replace( $A_sel[ 0 ] , '' , $label ); $selector = $A_sel[ 1 ]; }  $parsed_val= $this->CSS_PARSER( $val , $selector ); $text_area .= '<button type="button" class="uk-button uk-button-default element-editor-btn" data-edit_type="font" ' . $parsed_val . ' data-target="font-maker-' . $id . $uid . '">編集</button>';  $format3_ = preg_replace( '/\[input\].*?\[\/input\]/' , $text_area , $format3_ );  $label = str_replace( '#_FONT_#' , '' , $label ); return array( $label , $format3_ ); }  function SPACE_MAKER( $label , $val , $id , $format3_ ) { $uid = uniqid( '_' );  $text_area = '<TEXTAREA class="editor space-maker-' . $id . $uid . '" name="[menu_name][[exp]]" 
		style="width:100%;" cols="40" rows="3">' . $val . "</TEXTAREA>\n";  if( preg_match( '/\#SEL\{\{(.+?)\}\}SEL#/' , $label , $A_sel ) ) {  $label = str_replace( $A_sel[ 0 ] , '' , $label ); $selector = $A_sel[ 1 ]; } else if( preg_match( '/\#SEL\{\{(.+?)\}\}/' , $label , $A_sel ) ) {  $label = str_replace( $A_sel[ 0 ] , '' , $label ); $selector = $A_sel[ 1 ]; }  $parsed_val= $this->CSS_PARSER( $val , $selector ); $text_area .= '<button type="button" class="uk-button uk-button-default element-editor-btn" data-edit_type="space" ' . $parsed_val . ' data-target="space-maker-' . $id . $uid . '">編集</button>';  $format3_ = preg_replace( '/\[input\].*?\[\/input\]/' , $text_area , $format3_ );  $label = str_replace( '#_SPACE_#' , '' , $label ); return array( $label , $format3_ ); }  function BACK_MAKER( $label , $val , $id , $format3_ ) { $uid = uniqid( '_' );  $text_area = '<TEXTAREA class="editor back-maker-' . $id . $uid . '" name="[menu_name][[exp]]" 
		style="width:100%;" cols="40" rows="3">' . $val . "</TEXTAREA>\n";  if( preg_match( '/\#SEL\{\{(.+?)\}\}SEL#/' , $label , $A_sel ) ) {  $label = str_replace( $A_sel[ 0 ] , '' , $label ); $selector = $A_sel[ 1 ]; } else if( preg_match( '/\#SEL\{\{(.+?)\}\}/' , $label , $A_sel ) ) {  $label = str_replace( $A_sel[ 0 ] , '' , $label ); $selector = $A_sel[ 1 ]; }  $parsed_val= $this->CSS_PARSER( $val , $selector ); $text_area .= '<button type="button" class="uk-button uk-button-default element-editor-btn" data-edit_type="back" ' . $parsed_val . ' data-target="back-maker-' . $id . $uid . '">編集</button>';  $format3_ = preg_replace( '/\[input\].*?\[\/input\]/' , $text_area , $format3_ );  $label = str_replace( '#_BACK_#' , '' , $label ); return array( $label , $format3_ ); }  function BORDER_MAKER( $label , $val , $id , $format3_ ) { $uid = uniqid( '_' );  $text_area = '<TEXTAREA class="editor border-maker-' . $id . $uid . '" name="[menu_name][[exp]]" 
		style="width:100%;" cols="40" rows="3">' . $val . "</TEXTAREA>\n";  if( preg_match( '/\#SEL\{\{(.+?)\}\}SEL#/' , $label , $A_sel ) ) {  $label = str_replace( $A_sel[ 0 ] , '' , $label ); $selector = $A_sel[ 1 ]; } else if( preg_match( '/\#SEL\{\{(.+?)\}\}/' , $label , $A_sel ) ) {  $label = str_replace( $A_sel[ 0 ] , '' , $label ); $selector = $A_sel[ 1 ]; }  $parsed_val= $this->CSS_PARSER( $val , $selector ); $text_area .= '<button type="button" class="uk-button uk-button-default element-editor-btn" data-edit_type="border" ' . $parsed_val . ' data-target="border-maker-' . $id . $uid . '">編集</button>';  $format3_ = preg_replace( '/\[input\].*?\[\/input\]/' , $text_area , $format3_ );  $label = str_replace( '#_BORDER_#' , '' , $label ); return array( $label , $format3_ ); }  function CSS_PARSER( $string , $selector = null ) {  $string = str_replace( "{{THEME_URL}}" , get_template_directory_uri() , $string ); $string = str_replace( "{{THEME_CHILD_URL}}" , get_stylesheet_directory_uri() , $string ); $string = str_replace( "{{HOME_URL}}" , get_home_url() , $string );  $string = preg_replace( '/@media.*?\{(.*?)\}/s' , '${1}' , $string );  $string = preg_replace( '/(.*?\{)(.*?)(\})/s' , '${2}' , $string );  $string = html_entity_decode( $string );  $string = trim( $string );  $A_vals = explode( ';' , $string ); $A_prop = array();  foreach( (array)$A_vals as $val ) {  $val = trim( $val );  if(! $val ) { continue; } $device = '';  if( strpos( $val , '/*TB*/' ) !== false ) { $device = '_tb_'; }  else if( strpos( $val , '/*SP*/' ) !== false ) { $device = '_sp_'; }  $val = preg_replace( '/\/\*.*?\*\//s' , '' , $val );  list( $prop , $val ) = explode( ': ' , $val );  $prop = trim( $prop );  $prop = str_replace( '-' , '_' , $prop ); $val = trim( $val );  $val = str_replace( array( '"' , "'" ) , array( '&quot;' , '&#039;' ) , $val );  $val = str_replace( array( "\r\n" , "\r" ) , ' ' , $val );  $A_prop[] = 'data-' . $device . $prop . "='" . $val . "'"; }  if( $selector ) {  $A_prop[] = 'data-selector' . "='" . $selector . "'"; } return implode( ' ' , $A_prop ); }  function HELP( $label , $val , $format3_ ) {  preg_match_all( '/\#HELP\{\{(.+?)\}\}HELP\#/u' , $label , $A_help ); $help = '';  if( $A_help[1][0] ) { $help = $A_help[1][0]; }  $help = html_entity_decode( $help );  $label = preg_replace( '/\#HELP\{\{.+?\}\}HELP\#/' , '' , $label ); return array( $help , $label , $format3_ ); }  function DG( $label , $val , $format3_ ) {  preg_match_all( '/\#DG(.+?)\z/u' , $label , $A_list );  foreach( (array)$A_list[1] as $text ) { $str = '<span style="color:#ccc;">' . $text . '</span>';  $label = preg_replace( '/\#DG.+?\z/' , $str , $label );  $format3_ = preg_replace( '/(\<input)/' , '$1 disabled="disabled"' , $format3_ ); $format3_ = preg_replace( '/(\<select)/' , '$1 disabled="disabled"' , $format3_ ); $format3_ = preg_replace( '/(\<textarea)/' , '$1 disabled="disabled"' , $format3_ ); } return array( $label , $format3_ ); }  function DU( $label , $val , $format3_ ) {  preg_match_all( '/\#DU(.+?)\z/u' , $label , $A_list );  foreach( (array)$A_list[1] as $text ) { $str = '<span style="color:#ccc;">' . $text . '</span>';  $label = preg_replace( '/\#DU.+?\z/' , $str , $label );  $format3_ = preg_replace( '/<input.*?<\/input>/i' , 'セキュリティ上表示されません' , $format3_ ); $format3_ = preg_replace( '/<select.*?<\/select>/i' , 'セキュリティ上表示されません' , $format3_ ); $format3_ = preg_replace( '/<textarea.*?<\/textarea>/i' , 'セキュリティ上表示されません' , $format3_ ); } return array( $label , $format3_ ); }  function GET_FIELD( $type = 'RB' , $option = 0 , $checked = null , $A_list = array() )  {  if( isset( $checked ) ) {   $A_checked = explode( ',' , $checked ); }  if(! $A_list ) { return; } $filed = null;  foreach( (array)$A_list as $list ) {  list( $key , $value ) = explode( '::' , $list ); list( $value , $check ) = array_pad( explode( '==' , $value ) , 2 , null );   $check_mark = "";  if( $type == "RB" ) {  if( $check and $checked == "" ) { $check_mark = 'checked="checked"'; }  else if( $checked == $value ) { $check_mark = 'checked="checked"'; }  $filed .= '<label title="' . $key . '">
				<input type="radio" class="uk-radio" name="[menu_name][[exp]][]" value="' . $value . '"' . $check_mark . ' > <span>' . $key . "</span></label>\n"; }  else if( $type == "CB" ) {  if( $check and $checked == "" ) { $check_mark = 'checked="checked"'; }  else if( is_array( $A_checked ) and in_array( $value , $A_checked ) and ! in_array( '__none' , $A_checked ) ) { $check_mark = " checked"; }  $filed .= '<label for="' . $key . '">' . '<input type="checkbox" class="uk-checkbox" name="[menu_name][[exp]][]" value="' . $value . '"' . $check_mark . ' />' . $key . '</label>'; }  else if( $type == "SB" ) {  if( $check and $checked == "" ) { $check_mark = " selected"; }  else if( is_array( $A_checked ) and in_array( $value , $A_checked ) and ! in_array( '__none' , $A_checked ) ) { $check_mark = " selected"; } $filed .= '<option value="' . $value . '"' . $check_mark . '>' . $key . "</option>\n"; } }  if( $type == "SB" ) {  if( $option ) { $multiple = " multiple"; }  $filed = "\n" . '<option value="">選択して下さい</option>' . "\n" . $filed;  $filed = '<select class="uk-select" style="width:100%; max-width:100%" $multiple size="1" name="[menu_name][[exp]][]">' . $filed . "</select>\n"; }  else if( $type == "CB" ) {  $filed = '<label for="' . $key . '">' . '<input type="checkbox" class="uk-checkbox" name="[menu_name][[exp]][]" value="__none" />チェックを外す</label>' . "\n" . $filed; } return $filed; }  function GET_ENTRY_POST_TYPE( $H_arg , $form_name , $checked ) { if(! $H_arg ) $H_arg = array( 'public' => true );  $O_post_types = get_post_types( $H_arg , 'objects' );  if(! $O_post_types ) { return; }  if( $checked ) {  $A_checked = explode( ',' , $checked ); }  if( current_user_can( 'demouser' ) ) { $demo_flag = true; } $filed = null;  foreach( $O_post_types as $post_type => $O_post_type ) {  if( $demo_flag and ( $post_type != 'post' ) ) { continue; }  $post_type_name = $O_post_type->label;  $check_mark = "";  if( is_array( $A_checked ) and in_array( $post_type , $A_checked ) ) { $check_mark = " selected"; } $filed .= '<option value="' . $post_type . '"' . $check_mark . '>' . $post_type_name . "</option>\n"; }  $filed = "\n" . '<option value="">選択して下さい</option>' . "\n" . $filed;  $filed = '<select class="uk-select"' . ' size="1" name="' . $form_name . '">' . $filed . "</select>\n"; return $filed; }  function GET_USERID_FIELD2( $type = 0 , $option = 0 , $form_name = null , $checked = null , $authority = "administrator,author" ) {  $A_uid_all = get_users();  if( $authority ) {  $authority = strtolower( $authority );  $A_authority = explode( ',' , $authority ); }  if( $checked ) {  $A_checked = explode( ',' , $checked ); } $filed = null;  foreach( (array)$A_uid_all as $uid ) {  $caps = strtolower( key( $uid->caps ) );  if( $A_authority and in_array( $caps , $A_authority ) ) {  $id = "uid-" . $uid->ID;  $check_mark = "";  if( $type ) {  if( is_array( $A_checked ) and in_array( $uid->ID , $A_checked ) ) { $check_mark = " checked"; }  $filed .= '<label for="' . $form_name . '">' . '<input type="checkbox" class="uk-checkbox" name="' . $form_name . '" value="' . $uid->ID . '" id="' . $form_name . '"' . $check_mark . ' />' . $uid->display_name . '( ' . $uid->user_nicename. ' )' . '</label>'; }  else {  if( is_array( $A_checked ) and in_array( $uid->ID , $A_checked ) ) { $check_mark = " selected"; } $filed .= '<option value="' . $uid->ID . '"' . $check_mark . '>' . $uid->display_name . '( ' . $uid->user_nicename. " )</option>\n"; } } }  if( $type ) {  $filed_ = '<label for="' . $form_name . '">'; $filed_ .= '<input type="checkbox" class="uk-checkbox" name="' . $form_name . '" value="__none">チェックを外す' . "&nbsp;\n"; $filed_ .= '</label>'; $filed = $filed_ . $filed; }  else {  if( $option ) { $multiple = " multiple"; $size = 3; } else { $size = 1; }  $filed = "\n" . '<option value="">選択して下さい</option>' . "\n" . $filed;  $filed = '<select class="uk-select" ' . $multiple . ' size="' . $size . '" name="' . $form_name . '">' . $filed . "</select>\n"; } return $filed; }  function GET_USERID_FIELD( $type = 0 , $option = 0 , $checked = null , $authority = "administrator,author" ) {  $A_uid_all = get_users(); $A_checked = array(); $A_authority = array();  if( $authority ) {  $authority = strtolower( $authority );  $A_authority = explode( ',' , $authority ); }  if( $checked ) {  $A_checked = explode( ',' , $checked ); } $filed = $filed_ = null;  foreach( (array)$A_uid_all as $uid ) {  $caps = strtolower( key( $uid->caps ) );  if( $A_authority and in_array( $caps , $A_authority ) ) {  $id = "uid-" . $uid->ID;  $check_mark = "";  if( $type ) {  if( is_array( $A_checked ) and in_array( $uid->ID , $A_checked ) ) { $check_mark = " checked"; }  $filed .= '<label for="' . $id . '">' . '<input type="checkbox" class="uk-checkbox" name="[menu_name][[exp]][]" value="' . $uid->ID . '" id="' . $id . '"' . $check_mark . ' />' . $uid->display_name . '( ' . $uid->user_nicename. ' )' . '</label>'; }  else {  if( is_array( $A_checked ) and in_array( $uid->ID , $A_checked ) ) { $check_mark = " selected"; } $filed .= '<option value="' . $uid->ID . '"' . $check_mark . '>' . $uid->display_name . '( ' . $uid->user_nicename. " )</option>\n"; } } }  if( $type ) {  $filed_ .= '<label>'; $filed_ .= '<input type="checkbox" class="uk-checkbox" name="[menu_name][[exp]][]" value="__none">チェックを外す' . "&nbsp;\n"; $filed_ .= '</label>'; $filed = $filed_ . $filed; }  else { $multiple = null;  if( $option ) { $multiple = " multiple"; $size = 3; } else { $size = 1; }  $filed = "\n" . '<option value="">選択して下さい</option>' . "\n" . $filed;  $filed = '<select class="uk-select" style="width:100%;" ' . $multiple . ' size="' . $size . '" name="[menu_name][[exp]][]">' . $filed . "</select>\n"; } return $filed; }  function GET_CATEGORY_CHECK_BOX( $checked ) { $A_checked = array();  if( $checked ) { if(! is_array( $checked ) ) {  $A_checked = explode( ',' , $checked ); } else { $A_checked = $checked; } }  $A_cat_all = get_terms( "category" , "fields=all&get=all" ); $check_box = null; $i = 1;  foreach( (array)$A_cat_all as $cat ) {  if( $i % 2 == 0 ) { $return_mark1 = "\n<td>\n"; $return_mark2 = "\n</td>\n"; } else { $return_mark1 = "\n<tr>\n<td>\n"; $return_mark2 = "\n</td>\n"; }  $id = "cat-" . $cat->term_id;  $check_mark = "";  if( is_array( $A_checked ) and in_array( $cat->term_id , $A_checked ) and ! in_array( '__none' , $A_checked ) ) { $check_mark = " checked"; } $check_box .= $return_mark1;  $check_box .= '<label for="' . $id . '">' . '<input type="checkbox" class="uk-checkbox" name="[menu_name][[exp]][]" value="' . $cat->term_id . '" id="' . $id . '"' . $check_mark . ' />' . $cat->name . '</label>'; $check_box .= $return_mark2;  if( $i % 2 == 0 ) { $check_box .= "\n</tr>\n"; } $i++; }  if( ($i - 1) % 2 != 0 ) { $check_box .= "<td>\n</td>\n</tr>"; }  $check_box = '<tr><td colspan="2"><input type="checkbox" name="[menu_name][[exp]][]" value="__none">チェックを外す</td></tr>' . "\n" . $check_box; $check_box = "<table>\n" . $check_box . "</table>\n"; $check_box = '<div class="category-list">' . $check_box . '</div>'; return $check_box; }  function GET_CATEGORY_CHECK_BOX2( $checked , $form_name ) { $check_box = '';  if( $checked ) { if(! is_array( $checked ) ) {  $A_checked = explode( ',' , $checked ); } else { $A_checked = $checked; } }  $A_cat_all = get_terms( "category" , "fields=all&get=all" ); $i = 1;  foreach( (array)$A_cat_all as $cat ) {  if( $i % 2 == 0 ) { $return_mark1 = "\n<td>\n"; $return_mark2 = "\n</td>\n"; } else { $return_mark1 = "\n<tr>\n<td>\n"; $return_mark2 = "\n</td>\n"; }  $id = "cat-" . $cat->term_id;  $check_mark = "";  if( is_array( $A_checked ) and in_array( $cat->term_id , $A_checked ) and ! in_array( '__none' , $A_checked ) ) { $check_mark = " checked"; } $check_box .= $return_mark1;  $check_box .= '<label for="' . $form_name . '">' . '<input type="checkbox" class="uk-checkbox" name="' . $form_name . '" value="' . $cat->term_id . '" id="' . $id . '"' . $check_mark . ' />' . $cat->name . '</label>'; $check_box .= $return_mark2;  if( $i % 2 == 0 ) { $check_box .= "\n</tr>\n"; } $i++; }  if( ($i - 1) % 2 != 0 ) { $check_box .= "<td>\n</td>\n</tr>"; }  $check_box = '<tr><td colspan="2"><input type="checkbox" name="[menu_name][[exp]][]" value="__none">チェックを外す</td></tr>' . "\n" . $check_box; $check_box = "\n<table>" . $check_box . "</table>\n"; $check_box = '<div class="category-list">' . $check_box . '</div>'; return $check_box; }  function GET_POST_TYPE_FIELD( $checked ) {  if( $checked ) { $A_checked = explode( ',' , $checked ); }  $O_post_types = get_post_types( array( 'public' => true ) , 'objects' );  if(! $O_post_types ) { return; }  if( current_user_can( 'demouser' ) ) { $demo_flag = true; } else { $demo_flag = false; } $filed = null;  foreach( $O_post_types as $post_type => $O_post_type ) {  if( $demo_flag and ( $post_type != 'post' ) ) { continue; }  $post_type_name = $O_post_type->label;  $check_mark = "";  if( is_array( $A_checked ) and in_array( $post_type , $A_checked ) ) { $check_mark = " selected"; } $filed .= '<option value="' . $post_type . '"' . $check_mark . '>' . $post_type_name . "</option>\n"; }  $filed = "\n" . '<option value="">選択して下さい</option>' . "\n" . '<option value="ANY">全て</option>' . "\n" . $filed;  $filed = '<select class="uk-select" style="width:100%;" ' . ' size="1" name="[menu_name][[exp]][]">' . $filed . "</select>\n"; return $filed; }  function GET_POST_TYPE_FIELD2( $checked , $form_name , $multiple = '' , $size = 2 ) {  if( $checked ) { $A_checked = explode( ',' , $checked ); }  $O_post_types = get_post_types( array( 'public' => true ) , 'objects' );  if(! $O_post_types ) { return; }  if( current_user_can( 'demouser' ) ) { $demo_flag = true; } $filed = null;  foreach( $O_post_types as $post_type => $O_post_type ) {  if( $demo_flag and ( $post_type != 'post' ) ) { continue; }  $post_type_name = $O_post_type->label;  $check_mark = "";  if( is_array( $A_checked ) and in_array( $post_type , $A_checked ) ) { $check_mark = " selected"; } $filed .= '<option value="' . $post_type . '"' . $check_mark . '>' . $post_type_name . "</option>\n"; }  if( isset( $size ) ) { $size = ' size="' . $size . '"'; }  $filed = "\n" . '<option value="">選択して下さい</option>' . "\n" . '<option value="ANY">全て</option>' . "\n" . $filed;  $filed = '<select class="uk-select" style="width:100%;" ' . $multiple . $size . ' name="' . $form_name . '">' . $filed . "</select>\n"; return $filed; }  function GET_POST_TYPE_FIELD3( $checked , $form_name )  { $demo_flag = null;  if( $checked ) { $A_checked = explode( ',' , $checked ); }  $O_post_types = get_post_types( array( 'public' => true ) , 'objects' );  if(! $O_post_types ) { return; }  if( current_user_can( 'demouser' ) ) { $demo_flag = true; } $filed = null;  $filed .= '<li><label for="' . $form_name . '">'; $filed .= '<input type="checkbox" class="uk-checkbox" name="' . $form_name . '" value="__none">チェックを外す' . "&nbsp;\n"; $filed .= '</label></li>';  foreach( $O_post_types as $post_type => $O_post_type ) {  if( $demo_flag and ( $post_type != 'post' ) ) { continue; }  $post_type_name = $O_post_type->label;  $check_mark = "";  if( is_array( $A_checked ) and in_array( $post_type , $A_checked ) and ! in_array( '__none' , $A_checked ) ) { $check_mark = " checked "; } $filed .= '<li><label for="' . $form_name . '">'; $filed .= '<input type="checkbox" class="uk-checkbox" name="' . $form_name . '" value="' . $post_type . '"' . $check_mark . '>' . $post_type_name . "&nbsp;\n"; $filed .= '</label></li>'; } $filed = "<ul style='border: 1px solid #eee; padding: 10px; max-height: 110px; overflow: auto; margin-top: 0;'>\n" . $filed . "</ul>\n"; return $filed; }  function GET_CUSTOM_MENU_FIELD( $checked , $form_name , $multiple = '' ) {   if( $checked ) { $A_checked = explode( ',' , $checked ); }    $O_nav_menus = wp_get_nav_menus();  if(! $O_nav_menus ) { return; } $filed = null;  foreach( $O_nav_menus as $O_nav_menu ) {  $nav_menu_name = $O_nav_menu->name;  $check_mark = "";  if( is_array( $A_checked ) and in_array( $nav_menu_name , $A_checked ) ) { $check_mark = " selected"; } $filed .= '<option value="' . $nav_menu_name . '"' . $check_mark . '>' . $nav_menu_name . "</option>\n"; }  $filed = "\n" . '<option value="">選択して下さい</option>' . "\n" . $filed;  $filed = '<select class="uk-select" style="width:100%;" ' . $multiple . ' size="1" name="[menu_name][[exp]][]">' . $filed . "</select>\n"; return $filed; }  function GET_CUSTOM_MENU_FIELD2( $checked , $form_name , $multiple = '' ) {   if( $checked ) { $A_checked = explode( ',' , $checked ); }    $O_nav_menus = wp_get_nav_menus();  if(! $O_nav_menus ) { return; } $filed = null;  foreach( $O_nav_menus as $O_nav_menu ) {  $nav_menu_name = $O_nav_menu->name;  $check_mark = "";  if( is_array( $A_checked ) and in_array( $nav_menu_name , $A_checked ) ) { $check_mark = " selected"; } $filed .= '<option value="' . $nav_menu_name . '"' . $check_mark . '>' . $nav_menu_name . "</option>\n"; }  $filed = "\n" . '<option value="">選択して下さい</option>' . "\n" . $filed;  $filed = '<select class="uk-select" style="width:100%;" ' . $multiple . ' size="2" name="' . $form_name . '">' . $filed . "</select>\n"; return $filed; }  function GET_DYNAMIC_SIDEBAR_FIELD( $checked , $form_name , $multiple = '' ) {   if( $checked ) { $A_checked = explode( ',' , $checked ); }  global $wp_registered_sidebars;  if(! $wp_registered_sidebars ) { return; } $filed = null;  foreach( $wp_registered_sidebars as $sidebar_id => $H_sidebar ) {  $sidebar_name = $H_sidebar[ 'name' ];  $check_mark = "";  if( is_array( $A_checked ) and in_array( $sidebar_id , $A_checked ) ) { $check_mark = " selected"; } $filed .= '<option value="' . $sidebar_id . '"' . $check_mark . '>' . $sidebar_name . "( $sidebar_id )" . "</option>\n"; }  $filed = "\n" . '<option value="">選択して下さい</option>' . "\n" . $filed;  $filed = '<select class="uk-select" style="width:100%;" ' . $multiple . ' size="1" name="[menu_name][[exp]][]">' . $filed . "</select>\n"; return $filed; }  function GET_DYNAMIC_SIDEBAR_FIELD2( $checked , $form_name , $multiple = '' ) {   if( $checked ) { $A_checked = explode( ',' , $checked ); }  global $wp_registered_sidebars;  if(! $wp_registered_sidebars ) { return; } $filed = null;  foreach( $wp_registered_sidebars as $sidebar_id => $H_sidebar ) {  $sidebar_name = $H_sidebar[ 'name' ];  $check_mark = "";  if( is_array( $A_checked ) and in_array( $sidebar_id , $A_checked ) ) { $check_mark = " selected"; } $filed .= '<option value="' . $sidebar_id . '"' . $check_mark . '>' . $sidebar_name . "( $sidebar_id )" . "</option>\n"; }  $filed = "\n" . '<option value="">選択して下さい</option>' . "\n" . $filed;  $filed = '<select class="uk-select" style="width:100%;" ' . $multiple . ' size="2" name="' . $form_name . '">' . $filed . "</select>\n"; return $filed; }  function GET_POST_TYPE_COUNT() {  $H_post_types = get_post_types();  unset( $H_post_types[ 'attachment' ] ); unset( $H_post_types[ 'revision' ] );  if(! $H_post_types ) { return; } $post_sum = 0;  foreach( $H_post_types as $post_types ) {  $H_post_count = wp_count_posts( $post_types );  if(! $H_post_count ) { continue; }  foreach( $H_post_count as $post_count ) { $post_sum += $post_count; } } return $post_sum; }  function DBT( $mode = 0 ) { if( $mode ) { echo "<pre>"; print_r( debug_backtrace() ); echo "</pre>"; } else {  if( is_user_logged_in() ) { echo "<pre>"; print_r( debug_backtrace() ); echo "</pre>"; } } }  function DMPF( $data , $file_name = "test.txt" , $mode = 0 , $max_byte = 1048576 ) {  ob_start(); var_dump( $data ); $result = ob_get_contents(); ob_end_clean();  if( $mode ) { $fp = fopen( dirname(__FILE__) . "/$file_name" , "a" ); $result .= "\n"; }  else { $fp = fopen( dirname(__FILE__) . "/$file_name" , "w" ); }  fwrite( $fp , $result , $max_byte ); fclose( $fp ); }  function DMP( $value , $option = NULL ) {  if( $option == 1 ) { echo "<pre>"; var_dump( $value ); echo "</pre>"; } else if( $option == 2 ) {  if( is_user_logged_in() ) { echo "<pre>"; var_dump( $value ); echo "</pre>"; } }  else {  if( is_user_logged_in() ) { echo "<pre>"; var_dump( $value ); echo "</pre>"; } } } } 