<?php
defined( 'ABSPATH' ) || exit; 
/*
Description: チュートリアル系クラス。
Version: 0.4
Author: 阿修羅ワークス
Author URI: https://wp-plugin.info/
Last Update: 2023-10-28
Changelog: チュートリアル用の関数を追加
2023-10-28 0.5 チュートリアル用の関数を追加
2023-01-18 0.4 TUTORIAL_WRAPPER関数にUIKitを追加
2022-04-09 0.3 リファクタリング
2021-10-07 0.2 機能を追加
2020-09-24 0.1 初リリース
*/
 class mhs_Tutorial2 {   function GET_CONTENT( $file_name , $path , $dir = 'content' ) { $file_path = $path . '/' . $dir . '/' . $file_name;  if( file_exists( $file_path ) ) {  $content = file_get_contents( $file_path );  $content = preg_replace_callback( '/<\?php(.*?)\?>/s' , function( $matches ) { $matches[1] = str_replace( 'mhs_Tutorial' , 'this' , $matches[1] );    ob_start(); eval( 'return ' . $matches[1] . ';' ); $res = ob_get_clean(); return $res; } , $content );  $mhs_Path = new mhs_Path2(); $plugins_url = $mhs_Path->GET_WP_URL( 'plugins_url' );  $plugins_name = pathinfo( dirname( $path ) , PATHINFO_FILENAME );  $tutorial_uri = $plugins_url . '/' . $plugins_name . '/tutorial/';  $tutorial_img_uri = $plugins_url . '/' . $plugins_name . '/tutorial/image/';  $content = str_replace( '{{tutorial_img_uri}}' , $tutorial_img_uri , $content ); $content = str_replace( '{{tutorial_uri}}' , $tutorial_uri , $content ); $content = str_replace( '{{file_path}}' , $path , $content );  echo $content; return true; } echo $file_path . ': ファイルがありませんでした。'; return false; }  function GET_SUB_CONTENT( $file_name , $plugin_code = '' , $dir = 'content' ) { if(! $plugin_code ) return 'プラグインコードを指定して下さい。';  $file_path = WP_PLUGIN_DIR . '/' . $plugin_code . '/tutorial/' . $dir . '/' . $file_name; $path = WP_PLUGIN_DIR . '/' . $plugin_code . '/tutorial/';  if( file_exists( $file_path ) ) {  $content = file_get_contents( $file_path );  $content = preg_replace_callback( '/<\?php(.*?)\?>/s' , function( $matches ) { $matches[1] = str_replace( 'mhs_Tutorial' , 'this' , $matches[1] );    ob_start(); eval( 'return ' . $matches[1] . ';' ); $res = ob_get_clean(); return $res; } , $content );  $mhs_Path = new mhs_Path2(); $plugins_url = $mhs_Path->GET_WP_URL( 'plugins_url' );  $plugins_name = pathinfo( dirname( $path ) , PATHINFO_FILENAME );  $tutorial_img_uri = $plugins_url . '/' . $plugins_name . '/tutorial/image/';  $content = str_replace( '{{tutorial_img_uri}}' , $tutorial_img_uri , $content ); $content = str_replace( '{{file_path}}' , $path , $content );  echo $content; return true; } echo $file_path . ': ファイルがありませんでした。'; return false; }  function TAB_MENU_LV1( $title = 'マニュアル' , $mode = 0 , $comment = '' ) { if( $mode ) { ?>
		</ul>

</div>
<!-- /<?= $comment ?> -->
<?php
 return; } ?>
<!-- <?= $comment ?> -->
<div id="mhs-tutorial" class="wrap tb-tutorial">
	<h2 class="page-title"><?= $title ?></h2>

	<ul class="mhs-uk-accordion-wrapper mhs-uk-accordion uk-padding-small uk-accordion" uk-accordion="multiple: true">

<?php
 }  function TAB_MENU_LV2( $mode = 0 , $comment = '' ) { if( $mode ) { ?>
					</ul>
					<!-- /<?= $comment ?> -->
<?php
 return; } ?>
					<!-- <?= $comment ?> -->
					<ul class="mhs-uk-accordion uk-padding-small uk-accordion" uk-accordion="multiple: true">
<?php
 }  function TAB_CONTENT_LV1( $title = '' , $mode = 0 , $comment = '' ) { if( $mode ) { ?>
			</div>
		</li>
<!-- /<?= $comment ?> -->
<?php
 return; } ?>
		<!-- <?= $comment ?> -->
		<li>
			<a class="uk-accordion-title uk-link-muted" href="#" uk-toggle="target: > .mhs-acd-toggle">
				<span uk-icon="icon: triangle-right" class="uk-icon mhs-acd-toggle"></span>
				<span uk-icon="icon: triangle-down" class="uk-icon mhs-acd-toggle" hidden></span> 
				<?= $title ?></a>
		
			<div class="uk-accordion-content uk-margin-left uk-margin-right">
<?php
 }  function TAB_CONTENT_LV2( $title = '' , $mode = 0 , $comment = '' ) { if( $mode ) { ?>
							</div>
						</li>
						<!-- /<?= $comment ?> -->
<?php
 return; } ?>
						<!-- <?= $comment ?> -->
						<li>
							<a class="uk-accordion-title uk-link-muted" href="#" uk-toggle="target: > .mhs-acd-toggle">
								<span uk-icon="icon: triangle-right" class="uk-icon mhs-acd-toggle"></span>
								<span uk-icon="icon: triangle-down" class="uk-icon mhs-acd-toggle" hidden></span> 
								<?= $title ?></a>

							<div class="uk-accordion-content uk-margin">
<?php
 }  function TUTORIAL_WRAPPER( $base_path , $TUTORIAL_NAME , $NOUNCE_KEY ) {  $item_name = pathinfo( $base_path , PATHINFO_FILENAME );  $mhs_User = new mhs_User2();  $H_user_meta = $mhs_User->GET_USER_META( $item_name );  $H_user_meta[ $item_name ][ $TUTORIAL_NAME ]++;  $mhs_User->UPDATE_USER_META( $item_name , $H_user_meta );  $admin_url = $this->ADMIN_ENCODE_URL( $base_path , $NOUNCE_KEY ); ?>
<script>
	//編集URL
	const quick_edit_url	= '<?php echo $admin_url; ?>';
</script>
<?php
  $Common_PrintOut= new mhs_Common_PrintOut2();  if( file_exists( dirname( $base_path ) . '/tutorial/menu_script2.php' ) ) { $Common_PrintOut->GET_CONTENT( $tran_key = 'mhs-UIKit' , $index = 'UIKit' ); $Common_PrintOut->GET_CONTENT( $tran_key = 'mhs-common_content' , $index = 'Dashboard Style' ); $Common_PrintOut->GET_CONTENT( $tran_key = 'mhs-common_content' , $index = 'TutorialStyle' ); require( dirname( $base_path ) . '/tutorial/menu_script2.php' ); require( dirname( $base_path ) . '/tutorial/menu_css2.php' ); require( dirname( $base_path ) . '/tutorial/menu.php' ); }  else { $Common_PrintOut->GET_CONTENT( $tran_key = 'mhs-common_content' , $index = 'Semantic UI' ); $Common_PrintOut->GET_CONTENT( $tran_key = 'mhs-common_content' , $index = 'Dashboard Style' ); $Common_PrintOut->GET_CONTENT( $tran_key = 'mhs-common_content' , $index = 'TutorialStyle' ); require( dirname( $base_path ) . '/tutorial/menu_script.php' ); require( dirname( $base_path ) . '/tutorial/menu_css.php' ); require( dirname( $base_path ) . '/tutorial/menu.php' ); } }  function ADMIN_ENCODE_URL( $admin_menu_name , $nounce_key ) {   $admin_url = 'admin.php?page=' . plugin_basename( $admin_menu_name );  $admin_url = get_admin_url( '' , $admin_url );  $admin_url = wp_nonce_url( $admin_url , $nounce_key );  $admin_url = str_replace( '&amp;' , '&' , $admin_url ); return $admin_url; }  function MENU_WRAPPER( $base_path = '' ) {  if(! file_exists( dirname( $base_path ) . '/tutorial/menu_script2.php' ) ) return; $this->BASIC_USAGE(); }  function BASIC_USAGE() { $mhs_Tutorial = new mhs_Tutorial2(); ?>
<!-- 推奨環境 -->
<li>
	<a class="uk-accordion-title uk-link-muted" href="#" uk-toggle="target: > .mhs-acd-toggle"><span uk-icon="icon: triangle-right" class="uk-icon mhs-acd-toggle"></span><span uk-icon="icon: triangle-down" class="uk-icon mhs-acd-toggle" hidden></span> 推奨環境</a>

	<div class="uk-accordion-content uk-margin-left uk-margin-right">

<p>
<span class="font-bold">ブラウザ　PC環境　Win&Mac</span><br>
Google Chrome<br>
Edge<br>
FireFox<br>
Safari<br>
<br>
<span class="font-bold">ブラウザ　モバイル環境</span><br>
モバイル版 Safari<br>
モバイル版 Chrome<br>
</p>

<p>
■Wordpress対応バージョン<br>
Wordpress 5.x系から最新の6.x系まで対応<br>
PHP7.X～PHP8系まで対応<br>
メモリ 256MB以上推奨<br>
HDD容量100MB以上推奨
</p>

	</div>

</li>
<!-- /推奨環境 -->



<!-- 時間差処理について -->
<li>
	<a class="uk-accordion-title uk-link-muted" href="#" uk-toggle="target: > .mhs-acd-toggle"><span uk-icon="icon: triangle-right" class="uk-icon mhs-acd-toggle"></span><span uk-icon="icon: triangle-down" class="uk-icon mhs-acd-toggle" hidden></span> 時間差処理について</a>

	<div class="uk-accordion-content uk-margin-left uk-margin-right">

<p>阿修羅ワークスのプラグインの多くは、ブログの負荷を分散するために時間差処理が用いられています。<br>
時間差処理はWordPressのwp-cron機能を使ってバックグラウンドで実行されるため通常の方法では可視化されません。</p>

<p>時間差処理は投稿やAPI通信で実装されていることが多いです。すぐに処理されないからと焦らずにしばらく待ってみてください。</p>

<p>バックグラウンドで実行されるwp-cronをWordPressのプラグインで可視化することもできます。<br>
おすすめは「<a href="https://ja.wordpress.org/plugins/wp-crontrol/" target="_blank" rel="noopener">WP Crontrol</a>」と「<a href="https://ja.wordpress.org/plugins/advanced-cron-manager/" target="_blank" rel="noopener">Advanced Cron Manager</a>」の2つです。どちらかをインストールしてみてください。</p>

<p><?php $mhs_Tutorial->TUTE( $mode=3 , 'wordpress "WP Crontrol" 使い方' , 'WP Crontrolで検索' , 'class="uk-button uk-button-primary"' ); ?></p>

<p><?php $mhs_Tutorial->TUTE( $mode=3 , 'wordpress "Advanced Cron Manager" 使い方' , 'Advanced Cron Managerで検索' , 'class="uk-button uk-button-primary"' ); ?></p>

<p>メニューはダッシュボードの左サイドメニューの [ ツール ] に追加されます。</p>

<p>稼働しているスケジュールの識別子で「mhs-」と付いているものが阿修羅ワークス系のプラグインのスケジュール(wp-cron)となります。</p>

	</div>

</li>
<!-- /時間差処理について -->



<!-- お役立ちリンク -->
<li>
	<a class="uk-accordion-title uk-link-muted" href="#" uk-toggle="target: > .mhs-acd-toggle"><span uk-icon="icon: triangle-right" class="uk-icon mhs-acd-toggle"></span><span uk-icon="icon: triangle-down" class="uk-icon mhs-acd-toggle" hidden></span> お役立ちリンク</a>

	<div class="uk-accordion-content uk-margin-left uk-margin-right">

<p>
<a href="https://ja.wordpress.org/support/forums/" target="_blank" rel="noopener">WordPress.org サポートフォーラム</a><br>
<a href="https://elearn.jp/wpman/" target="_blank" rel="noopener">WordPress 私的マニュアル</a><br>
<a href="http://webcreatorbox.com/wp-content/themes/wcb/images/wordpress_cheatsheet3.pdf" target="_blank" rel="noopener">WordPress チートシート</a><br>
<a href="https://www.youtube.com/results?search_query=wordpress+%E5%88%9D%E5%BF%83%E8%80%85&sp=CAASAhAB" target="_blank" rel="noopener">WordPress初心者向け動画</a><br>
<a href="https://www.google.com/search?q=wordpress+%E3%82%AB%E3%82%B9%E3%82%BF%E3%83%9E%E3%82%A4%E3%82%BA&source=lnt&tbs=qdr:y" target="_blank" rel="noopener">WordPressのカスタマイズ</a>
</p>

	</div>

</li>
<!-- /お役立ちリンク -->
<?php
 }  function TUTE( $mode = 1 , $string = '' , $label = '' , $attr = '' ) {   if( $mode == 1 ) {  $string = $this->QUERY_BUILD( $string , null , 1 );  echo '<button class="quick-edit-btn ' . $attr . '" data-edit_url="' . $string . '">' . $label . '</button>'; }  else if ( $mode == 2 ) { $string = get_admin_url( null , $string );  echo '<a href="' . $string . '" target="_blank" ' . $attr . '>' . $label . '</a>'; }  else if( $mode == 3 ) { $string = 'q=' . urlencode( $string ); $google_url = 'https://www.google.co.jp/search?';  echo '<a href="' . $google_url . $string . '" target="_blank" ' . $attr . '>' . $label . '</a>'; } }  function QUERY_BUILD( $var , $A_prefix = array() , $option = false ) {  if(! $var ) return false;  list( $element , $element_name , $menu_name , $gravity , $vars ) = explode( '::' , $var );  if(! $element or ! $menu_name ) return false;  if( $vars ) {  $A_param = explode( '/' , $vars );  $id = $menu_name . implode( '-' , $A_param ); }  else { $A_param = array();  $id = $menu_name; }  $H_query = array( 'menu_name' => $menu_name , 'param' => $A_param , 'prefix' => $A_prefix );  $edit_url = admin_url() . '&' . http_build_query( $H_query , '' , '&' );  if( $option ) { return $edit_url; } else { return array( $id , $edit_url , $element , $element_name , $menu_name , $gravity , $vars ); } }  function DBT( $mode = 0 ) { if( $mode ) { echo "<pre>"; print_r( debug_backtrace() ); echo "</pre>"; } else {  if( is_user_logged_in() ) { echo "<pre>"; print_r( debug_backtrace() ); echo "</pre>"; } } }  function DMPF( $data , $file_name = "test.txt" , $mode = 0 , $max_byte = 1048576 ) {  ob_start(); var_dump( $data ); $result = ob_get_contents(); ob_end_clean();  if( $mode ) { $fp = fopen( dirname(__FILE__) . "/$file_name" , "a" ); $result .= "\n"; }  else { $fp = fopen( dirname(__FILE__) . "/$file_name" , "w" ); }  fwrite( $fp , $result , $max_byte ); fclose( $fp ); }  function DMP( $value , $option = NULL ) {  if( $option == 1 ) { echo "<pre>"; var_dump( $value ); echo "</pre>"; } else if( $option == 2 ) {  if( is_user_logged_in() ) { echo "<pre>"; var_dump( $value ); echo "</pre>"; } }  else {  if( is_user_logged_in() ) { echo "<pre>"; var_dump( $value ); echo "</pre>"; } } } } 