<?php
defined( 'ABSPATH' ) || exit; 
/*
Description: 阿修羅ワークスの商品を表示するクラス。
Version: 0.4.1
Author: 阿修羅ワークス
Author URI: https://wp-plugin.info/
Last Update: 2020-03-24
Changelog: 翻訳プレスを追加
2020-03-24 0.4 ポケットプレス、タンブラープレス、ブレインプレス、2.5ちゃんプレス、テーマサポートプレス、ヤフオクサーチプレスを追加
2019-11-29 0.3 翻訳プレスを追加
2019-11-24 0.2 ステルスリダイレクトプレスを追加
2019-02-02 0.1 初リリース
*/
 class mhs_widget_showcase2 {  function ONLINE_SHOP() { global $JP;  $plugin_dir_url = $JP->GET_WP_URL( 'plugins_url' , dirname( __FILE__ ) );  $base_img_url = $plugin_dir_url . '/images/'; ?>

<style>
.price-font
{
	color: #d00000;
	font-size: 1.5rem;
}
.price-font2
{
	color: #d00000;
	font-size: 0.8rem;
}
.tabular.menu a
{
	font-size: 0.8rem;
}
</style>

<div class="ui top attached tabular menu">
	<a class="active item" data-tab="first">コンテンツ生成系</a>
	<a class="item" data-tab="second">ユーティリティ</a>
	<a class="item" data-tab="third">スマホ・SNS系</a>
	<a class="item" data-tab="four">特売セール</a>
</div>
<div class="ui bottom attached active tab segment" data-tab="first">

	<!-- 2.5ちゃんプレス -->
	<div class="ui grid">
		<div class="six wide column">
			<a href="https://wp-plugin.info/plugsin-lists/#2-5ch-press"><img class="ui fluid image" src="<?php echo $base_img_url; ?>wp-pl018.jpg"></a>
		</div>
		<div class="ten wide column">
			<div class="ui content">
				<a class="ui header" href="https://wp-plugin.info/plugsin-lists/#2-5ch-press">2.5ちゃんプレス</a>
				<div class="description">
					<p>2.5ちゃんプレスは国産巨大掲示板である2ちゃんねるからスレッドを取得し、WordPressへ投稿することができます。<br>
膨大なアクセス数を誇るまとめサイトは、2ちゃんねる系まとめサイトが多いことを知っていましたか？<br>
実は2ちゃんねるまとめサイトでもアドセンスの審査に合格できることを知っていましたか？</p>

<p>さらにこのような特徴があります！</p>

<p>・全掲示板全スレッドが取得できます<br>
・全掲示板のスレッドタイトルの検索ができます<br>
・コメントの編集ができます<br>
・自動的にコメントを抽出しまとめることができます<br>
・追加コメントを自動的に取得できます<br>
・アイキャッチ画像を自動で設定できます<br>
・アフィリエイト広告を簡単に設定できます<br>
・テンプレート機能で自由にデザインをカスタマイズできます<br>
・新着投稿はメールでお知らせします</p>
				</div>
				<p class="ui right aligned">
					<span class="price-font">35,000</span><span class="price-font2">円</span>
				</p>
			</div>
		</div>
	</div>

	<div class="ui divider"></div>

	<!-- スクレイピングプレス -->
	<div class="ui grid">
		<div class="six wide column">
			<a href="https://wp-plugin.info/plugsin-lists/#scrapeing-press"><img class="ui fluid image" src="<?php echo $base_img_url; ?>wp-pl021.jpg"></a>
		</div>
		<div class="ten wide column">
			<div class="ui content">
				<a class="ui header" href="https://wp-plugin.info/plugsin-lists/#scrapeing-press">スクレイピングプレス</a>
				<div class="description">
					<p>WordPress(ワードプレス)で、スクレイピングするための上級者向け高機能ツールです。<br>
好きなページをスクレイピングしてワードプレスへ定期的に自動投稿できます。<br>
RSS配信のないサイトや、ショッピングサイト、不動産サイト、ニュースサイト、ブログなど幅広くスクレイピングして定点観測できます。<br>
ページャを読み取り多段式に階層を辿って自動スクレイピングできます。<br>
スクレイピングしたデータはCSVに出力しダウンロードすることも可能です。<br>
スクレイピング方法はスタイルシートのセレクタ方式で比較的容易となっています。</p>

				</div>
				<p class="ui right aligned">
					<span class="price-font">35,000</span><span class="price-font2">円</span>
				</p>
			</div>
		</div>
	</div>

	<div class="ui divider"></div>

	<!-- ファンザプレス -->
	<div class="ui grid">
		<div class="six wide column">
			<a href="https://wp-plugin.info/plugsin-lists/#fanxxa-press"><img class="ui fluid image" src="<?php echo $base_img_url; ?>wp-pl022.jpg"></a>
		</div>
		<div class="ten wide column">
			<div class="ui content">
				<a class="ui header" href="https://wp-plugin.info/plugsin-lists/#fanxxa-press">ファンザプレス</a>
				<div class="description">
					<p>WordPress(ワードプレス)で、DMMアフィリエイト APIを利用してアフィリエイトをするための高機能ツールです。<br>
貼り替え不要のアフィリエイトバナーが作れる他、DMMの商品を自動投稿することができます。<br>
DMMアフィリエイトの特徴は高額報酬でスマホライトユーザー向けの商品が揃っている、Google Adsenseのようにコンテンツ審査が厳しくない、といった点が挙げられます。<br>
単価の高いオタク向け商品が多数揃っており、人の欲望に働きかける商品やサービスが揃っている唯一無二のアフィリエイトプログラムです。<br>
さらにこのような特徴があります！ 2020年7月現在、アフィリエイトできる商品種別は以下の通りです。<br>
・コミック・写真集70万点 ・コミックレンタル ・CD・DVD販売 ・おもちゃ・フィギュア販売 ・PCゲーム ・スマホゲーム ・見放題サービス ・動画販売 ・電子書籍販売 ・宅配買取 ・英会話サービス 家電や食品といったものはありませんが、FANZA(18禁)ではアダルト商品の品揃えが日本一となっています。<br>
またアダルト商品は審査を通過した日本国内の法律に準拠したものだけが扱われるため、国内での販売が可能となっています。</p>

				</div>
				<p class="ui right aligned">
					<span class="price-font">20,000</span><span class="price-font2">円</span>
				</p>
			</div>
		</div>
	</div>

	<div class="ui divider"></div>

	<!-- 楽Press -->
	<div class="ui grid">
		<div class="six wide column">
			<a href="https://wp-plugin.info/plugsin-lists/#raku-press"><img class="ui fluid image" src="<?php echo $base_img_url; ?>wp-pl023.jpg"></a>
		</div>
		<div class="ten wide column">
			<div class="ui content">
				<a class="ui header" href="https://wp-plugin.info/plugsin-lists/#raku-press">楽Press</a>
				<div class="description">
					<p>楽 Pressは楽天市場商品検索APIを使い特定キーワードから商品を検索しアフィリエイト広告を表示するためのツールです。<br>
商品リンクだけではなく、楽天のアフィリエイト商品ページも自動生成することもできます。<br>
国産最大の電子ショッピングモール楽天市場だからこそアフィリエイトの成果も期待がもてます！<br>
さらにこのような特徴があります！ </p>

<p>・一発ショートコード作成で商品リンクを簡単表示<br>
・人気商品をランダムに表示して売上アップ！<br>
・記事タイトルで商品検索機能でキーワードを変更せずに関連商品を表示できます<br>
・NGワードでフィルタリングできます<br>
・キャッシュ機能でAPIに負荷をかけない工夫をしています<br>
・アイキャッチ画像を自動で設定できます<br>
・アフィリエイト広告を簡単に設定できます<br>
・テンプレート機能で自由にデザインをカスタマイズできます<br>
・新着投稿はメールでお知らせします</p>

				</div>
				<p class="ui right aligned">
					<span class="price-font">20,000</span><span class="price-font2">円</span>
				</p>
			</div>
		</div>
	</div>

	<div class="ui divider"></div>

	<!-- Amazon Press -->
	<div class="ui grid">
		<div class="six wide column">
			<a href="https://wp-plugin.info/plugsin-lists/#amazon-press"><img class="ui fluid image" src="<?php echo $base_img_url; ?>wp-pl024.jpg"></a>
		</div>
		<div class="ten wide column">
			<div class="ui content">
				<a class="ui header" href="https://wp-plugin.info/plugsin-lists/#amazon-press">Amazon Press</a>
				<div class="description">
					<p>アマゾンプレスはAmazon社のProduct Advertising API(通称PA-API)を使い特定キーワードから商品を検索しアフィリエイト広告を表示するためのツールです。<br>
※PA-APIを利用するためのAPIキーが必要です。<br>
さらにこのような特徴があります！</p>

<p>・一発ショートコード作成で商品リンクを簡単表示<br>
・人気商品をランダムに表示して売上アップ！<br>
・記事タイトルで商品検索機能でキーワードを変更せずに関連商品を表示できます<br>
・NGワードでフィルタリングできます<br>
・キャッシュ機能でAPIに負荷をかけない工夫をしています<br>
・アイキャッチ画像を自動で設定できます<br>
・アフィリエイト広告を簡単に設定できます<br>
・テンプレート機能で自由にデザインをカスタマイズできます<br>
・新着投稿はメールでお知らせします</p>

				</div>
				<p class="ui right aligned">
					<span class="price-font">20,000</span><span class="price-font2">円</span>
				</p>
			</div>
		</div>
	</div>

	<div class="ui divider"></div>

	<!-- Reddit Press -->
	<div class="ui grid">
		<div class="six wide column">
			<a href="https://wp-plugin.info/plugsin-lists/#reddit-press"><img class="ui fluid image" src="<?php echo $base_img_url; ?>wp-pl025.jpg"></a>
		</div>
		<div class="ten wide column">
			<div class="ui content">
				<a class="ui header" href="https://wp-plugin.info/plugsin-lists/#reddit-press">Reddit Press</a>
				<div class="description">
					<p>海外巨大ニュースサイトReddit APIから取得した記事をWordPressに自動投稿するプラグインです。<br>
海外アフィリエイトを始めたい方におすすめです。</p>

<p>・全サブレディット(掲示板)が取得できます<br>
・サブレディット(掲示板)タイトルの検索ができます<br>
・コメントの自動装飾ができます<br>
・自動的にコメントを抽出できます<br>
・NGコメントでフィルタリングできます<br>
・追加コメントを自動的に取得できます<br>
・アイキャッチ画像を自動で設定できます<br>
・アフィリエイト広告を簡単に設定できます<br>
・テンプレート機能で自由にデザインをカスタマイズできます<br>
・新着投稿はメールでお知らせします</p>

				</div>
				<p class="ui right aligned">
					<span class="price-font">35,000</span><span class="price-font2">円</span>
				</p>
			</div>
		</div>
	</div>

	<div class="ui divider"></div>

	<!-- ヤフオクサーチプレス -->
	<div class="ui grid">
		<div class="six wide column">
			<a href="https://wp-plugin.info/plugsin-lists/#yahoo-auction-search-press"><img class="ui fluid image" src="<?php echo $base_img_url; ?>wp-pl017.jpg"></a>
		</div>
		<div class="ten wide column">
			<div class="ui content">
				<a class="ui header" href="https://wp-plugin.info/plugsin-lists/#yahoo-auction-search-press">ヤフオクサーチプレス</a>
				<div class="description">
					<p>ヤフオク! のRSS配信終了に泣いた方へ朗報！
ヤフオク! をキーワード検索した結果をWordPressに投稿するためのツールです。
ヤフオク! で検索できる項目とほぼ同じ項目で商品が検索できます。<br>

取得したヤフオク商品データを利用して、Amazon、楽天、Yahoo!ショッピングなどに飛ばす定番アフィリエイトにチャレンジしたい方に最適です。</p>
				</div>
				<p class="ui right aligned">
					<span class="price-font">20,000</span><span class="price-font2">円</span>
				</p>
			</div>
		</div>
	</div>

	<div class="ui divider"></div>

	<!-- ブレインプレス -->
	<div class="ui grid">
		<div class="six wide column">
			<a href="https://wp-plugin.info/plugsin-lists/#brain-press"><img class="ui fluid image" src="<?php echo $base_img_url; ?>wp-pl016.jpg"></a>
		</div>
		<div class="ten wide column">
			<div class="ui content">
				<a class="ui header" href="https://wp-plugin.info/plugsin-lists/#brain-press">ブレインプレス</a>
				<div class="description">
					<p>ブレインプレスは今話題の知識販売サービスサイトであるブレイン(Brain)から、自動的に記事を取得してアフィリエイトリンク付きでWordPress(ワードプレス)に投稿できる便利なプラグインです。<br>

ブレインをキーワードで自動検索することができます。
投稿された記事には自動でブレインのアフィリエイトリンクが付与されます。
検索は評価の高い人気記事順や新着順をソートすることができます。
検索に含めない除外キーワードも使用することができます。<br>

テンプレートをカスタマイズすることでオリジナルデザインに仕上げることもできます。
定期的にスケジュールが稼働し、常に売れ筋のブレイン記事を取得更新することができます。
今アフィリエイトサイトを運営したいのなら、ブレインアフィリエイトとブレインプレスがおすすめです。</p>
				</div>
				<p class="ui right aligned">
					<span class="price-font">10,000</span><span class="price-font2">円</span>
				</p>
			</div>
		</div>
	</div>

	<div class="ui divider"></div>

	<!-- 翻訳プレス -->
	<div class="ui grid">
		<div class="six wide column">
			<a href="https://wp-plugin.info/plugsin-lists/#translate-press"><img class="ui fluid image" src="<?php echo $base_img_url; ?>wp-pl014.jpg"></a>
		</div>
		<div class="ten wide column">
			<div class="ui content">
				<a class="ui header" href="https://wp-plugin.info/plugsin-lists/#translate-press">翻訳プレス</a>
				<div class="description">
					<p>Translate Press(翻訳プレス)はGoogle翻訳APIを利用して文章を翻訳するためのツールです。
海外記事の自動翻訳に重宝します。
翻訳したい文章はショートコードを使って100以上の言語に翻訳することができます。
Googleの機械学習済み翻訳で自然な翻訳文を実現できます。<br>

翻訳APIは「Google Cloud Translation API」または「Google Apps Script Translate」を利用することができます。
Google Cloud Translation APIは有料ですが1年間も無料で使えて料金も格安です。
あるいは無料のGoogle Apps Script Translateを使うこともできます。

※無料のGoogle Apps Script TranslateはGoogle Cloud Translation APIよりも若干精度が落ち1日の翻訳回数に制限があります。<br>

翻訳した文章はキャッシュに保存され二度目からは高速表示が可能です。
多重翻訳 日本語 → 英語 → 日本語 といったロンダリング翻訳も可能です。</p>
				</div>
				<p class="ui right aligned">
					<span class="price-font">10,000</span><span class="price-font2">円</span>
				</p>
			</div>
		</div>
	</div>

	<div class="ui divider"></div>

	<!-- オートブログリライト -->
	<div class="ui grid">
		<div class="six wide column">
			<a href="https://wp-plugin.info/plugsin-lists/#auto-blog-rewrite"><img class="ui fluid image" src="<?php echo $base_img_url; ?>wp-pl009.jpg"></a>
		</div>
		<div class="ten wide column">
			<div class="ui content">
				<a class="ui header" href="https://wp-plugin.info/plugsin-lists/#auto-blog-rewrite">オートブログリライト</a>
				<div class="description">
					<p>自動で無限にアメーバのごとくコンテンツを作り続けるリライトモンスターツールです。

キーワードを元に関連する自然な文章を投稿します。
キーワードに関連する周辺キーワードも集めてアメーバのように無限にページを作り続けます。
RSS Scrapeing PostやゲッツインのようなRSS縛り、キーワード縛りに関係なくページを作成し続けます。

オートブログリライトはコピーコンテンツになりにくくなっています。</p>
				</div>
				<p class="ui right aligned">
					<span class="price-font">35,000</span><span class="price-font2">円</span>
				</p>
			</div>
		</div>
	</div>

	<div class="ui divider"></div>

	<!-- マジカルリライトポスト -->
	<div class="ui grid">
		<div class="six wide column">
			<a href="https://wp-plugin.info/plugsin-lists/#magical-rewrite-post"><img class="ui fluid image" src="<?php echo $base_img_url; ?>wp-pl010.jpg"></a>
		</div>
		<div class="ten wide column">
			<div class="ui content">
				<a class="ui header" href="https://wp-plugin.info/plugsin-lists/#magical-rewrite-post">マジカルリライトポスト</a>
				<div class="description">
					<p>マジカルリライトポストは○○○を自動で穴埋めしてくれるツールです。

自動コンテンツ生成ツールではあるのですが、より文章の品質を高めたい場合に使うライティング補助ツールです。
例えば、坂本龍馬は○○○で○○○をした。
と指定すると、○○○の部分を自動で穴埋めしてくれます。
文章テンプレートを用いて、穴埋め式に関連する文章を埋めてくれるため、実際のライティングした文章に近い文章を作ることができます。</p>
				</div>
				<p class="ui right aligned">
					<span class="price-font">35,000</span><span class="price-font2">円</span>
				</p>
			</div>
		</div>
	</div>

	<div class="ui divider"></div>

	<!-- マルコフリライトサマライザー -->
	<div class="ui grid">
		<div class="six wide column">
			<a href="https://wp-plugin.info/plugsin-lists/#markove-rewrite-summarizer"><img class="ui fluid image" src="<?php echo $base_img_url; ?>wp-pl002.jpg"></a>
		</div>
		<div class="ten wide column">
			<div class="ui content">
				<a class="ui header" href="https://wp-plugin.info/plugsin-lists/#markove-rewrite-summarizer">マルコフリライトサマライザー</a>
				<div class="description">
					<p>WordPress(ワードプレス)で、マルコフ連鎖アルゴリズムを使い投稿記事の文章をリライトし、自動的に要約するオリジナルプラグインです。
コピー＆ペーストで持ってきた文章の特徴を残しつつ、最小限の文章に要約し自然な言語に仕上げます(文章の少ない数字の羅列、図表は苦手)。
リライトは実際の投稿記事を書き換えず、本文を残したまま、フロント表示の時だけリライトすることもできます。</p>
				</div>
				<p class="ui right aligned">
					<span class="price-font">9,500</span><span class="price-font2">円</span>
				</p>
			</div>
		</div>
	</div>

	<div class="ui divider"></div>

	<!-- WP Rss Scrapeing Post -->
	<div class="ui grid">
		<div class="six wide column">
			<a href="https://wp-plugin.info/plugsin-lists/#wp-rss-scraping-post"><img class="ui fluid image" src="<?php echo $base_img_url; ?>wp-pl003.jpg"></a>
		</div>
		<div class="ten wide column">
			<div class="ui content">
				<a class="ui header" href="https://wp-plugin.info/plugsin-lists/#wp-rss-scraping-post">WP Rss Scrapeing Post</a>
				<div class="description">
					<p>WordPress(ワードプレス)でRSSフィードを取得してWordPressに自動投稿できます。
フィードごとに巡回間隔や投稿者、投稿カテゴリ、投稿タイプ、タグ、カスタムフィールドが設定できます。簡易スクレイピング機能で記事本文を再帰的に取得可能です。
またNGワードとOKワードでフィルタリングすることが出来ます。二重投稿防止機能あり。

コンテンツは抜粋と全文を取得できる他、任意に文字数を調整できます。
ワードプレスにRSSから自動投稿後にTwitterやFacebookにも投稿したい、という場合にも便利。

取得できるRSSフィードは無限。FeedWordPressのように停止することはありません。
アンテナサイトを作るならテッパンの1本です。</p>
				</div>
				<p class="ui right aligned">
					<span class="price-font">10,000</span><span class="price-font2">円</span>
				</p>
			</div>
		</div>
	</div>

	<div class="ui divider"></div>

	<!-- ユーチューバープレス -->
	<div class="ui grid">
		<div class="six wide column">
			<a href="https://wp-plugin.info/plugsin-lists/#youtuber-press"><img class="ui fluid image" src="<?php echo $base_img_url; ?>wp-pl004.jpg"></a>
		</div>
		<div class="ten wide column">
			<div class="ui content">
				<a class="ui header" href="https://wp-plugin.info/plugsin-lists/#youtuber-press">ユーチューバープレス</a>
				<div class="description">
					<p>WordPress(ワードプレス)で、動画サイトYouTubeで指定したキーワードで検索して取得した動画情報を元にWordPressへ自動投稿できます。
またトレンドキーワードを自動取得して今話題の動画を検索し、WordPressへ自動投稿できます。
フィードごとに巡回間隔や投稿者、投稿カテゴリ、投稿タイプ、タグ、カスタムフィールドが設定できます。またNGワードとOKワードでフィルタリングすることが出来ます。
簡易スクレイピング機能で外部サイトからYoutube検索キーワードの取得も可能です。
複数のキーワードを無限に登録できます。</p>
				</div>
				<p class="ui right aligned">
					<span class="price-font">10,000</span><span class="price-font2">円</span>
				</p>
			</div>
		</div>
	</div>

	<div class="ui divider"></div>

	<!-- ゲッツ・イン -->
	<div class="ui grid">
		<div class="six wide column">
			<a href="https://wp-plugin.info/plugsin-lists/#getwin"><img class="ui fluid image" src="<?php echo $base_img_url; ?>wp-pl001.jpg"></a>
		</div>
		<div class="ten wide column">
			<div class="ui content">
				<a class="ui header" href="https://wp-plugin.info/plugsin-lists/#getwin">ゲッツ・イン</a>
				<div class="description">
					<p>WordPress(ワードプレス)のオリジナルプラグインです。人気ナンバーワン商品です。
すっかすっかなコンテンツを増っし増っしにする魔法の調味料ツールです。
Twitterを使いその記事に関連するツイートを自動取得し表示できます。

文章のない動画や、コンテンツのボリュームが少ないページに使用するとコンテンツの増量ができます。
記事へのコメントやお客様の声のようにも使用することができます。
カスタムテンプレート機能でデザインも自由に変更できます。</p>
				</div>
				<p class="ui right aligned">
					<span class="price-font">10,000</span><span class="price-font2">円</span>
				</p>
			</div>
		</div>
	</div>

	<div class="ui divider"></div>

	<!-- ツイートプレス -->
	<div class="ui grid">
		<div class="six wide column">
			<a href="https://wp-plugin.info/plugsin-lists/#tweet-press"><img class="ui fluid image" src="<?php echo $base_img_url; ?>wp-pl006.jpg"></a>
		</div>
		<div class="ten wide column">
			<div class="ui content">
				<a class="ui header" href="https://wp-plugin.info/plugsin-lists/#tweet-press">ツイートプレス</a>
				<div class="description">
					<p>WordPress(ワードプレス)で、1書くと10書き足してくれる画期的なプラグインです。
その秘密は、関連するキーワードを自動的にTwitterから取得し、記事のコメントとして投稿または、記事そのものとして投稿してくれるからです。
なんと記事タイトルだけでもＯＫ。あとはTwitterから関連するキーワードを取得しどんどん投稿してくれます。
ほんの少しのコンテンツをまっしまっしにしてくれる夢のようなツール。それが「ツイートプレス」です。</p>
				</div>
				<p class="ui right aligned">
					<span class="price-font">9,500</span><span class="price-font2">円</span>
				</p>
			</div>
		</div>
	</div>

	<div class="ui divider"></div>

</div>
<div class="ui bottom attached tab segment" data-tab="second">

	<!-- テーマサポートプレス -->
	<div class="ui grid">
		<div class="six wide column">
			<a href="https://wp-plugin.info/plugsin-lists/#theme-support-press"><img class="ui fluid image" src="<?php echo $base_img_url; ?>wp-pl015.jpg"></a>
		</div>
		<div class="ten wide column">
			<div class="ui content">
				<a class="ui header" href="https://wp-plugin.info/plugsin-lists/#theme-support-press">テーマサポートプレス</a>
				<div class="description">
					<p>気に入っているテーマだけれど他のテーマも気に入っている。でもテーマは1つしか選べない。
2つのテーマの良いところを使えないかなー。でもテーマのカスタマイズって面倒！！　ですよね。<br>

そこで、複数のテーマを自由にスイッチできるテーマサポートプレスをリリースしました。
同時に複数のテーマをページごとに条件に沿って切り替えることができます。<br>

テーマだけではなくなんとプラグインも条件によって自動切り替えが可能になっています。
1つのサイトでページごとにテーマやプラグインを使い分けて軽量化したい方におすすめです。</p>
				</div>
				<p class="ui right aligned">
					<span class="price-font">10,000</span><span class="price-font2">円</span>
				</p>
			</div>
		</div>
	</div>

	<div class="ui divider"></div>

	<!-- ステルスリダイレクトプレス -->
	<div class="ui grid">
		<div class="six wide column">
			<a href="https://wp-plugin.info/plugsin-lists/#stealth-redirect-press"><img class="ui fluid image" src="<?php echo $base_img_url; ?>wp-pl013.jpg"></a>
		</div>
		<div class="ten wide column">
			<div class="ui content">
				<a class="ui header" href="https://wp-plugin.info/plugsin-lists/#stealth-redirect-press">ステルスリダイレクトプレス</a>
				<div class="description">
					<p>1クリックで2アクセスしてくれるツールです。

バックドアリダイレクト機能と条件付きリダイレクト機能を兼ね備えたアフィリエイト・リスティング広告用リダイレクトツール。
アクセスしてきたユーザーに条件付きでCookieを踏ませることができます。</p>
				</div>
				<p class="ui right aligned">
					<span class="price-font">10,000</span><span class="price-font2">円</span>
				</p>
			</div>
		</div>
	</div>

	<div class="ui divider"></div>

	<!-- コピペチェックプレス -->
	<div class="ui grid">
		<div class="six wide column">
			<a href="https://wp-plugin.info/plugsin-lists/#copy-paste-check-press"><img class="ui fluid image" src="<?php echo $base_img_url; ?>wp-pl011.jpg"></a>
		</div>
		<div class="ten wide column">
			<div class="ui content">
				<a class="ui header" href="https://wp-plugin.info/plugsin-lists/#copy-paste-check-press">コピペチェックプレス</a>
				<div class="description">
					<p>コピペチェックしてクロ判定であれば記事を非公開またはnoindexにしてくれるツールです。

独自アルゴリズムにより投稿された本文に類似した文章を持つページがないかを確認するツールです。
もし類似度が高い場合は自動的に非公開にするといったことが可能です。
自動ツール系と一緒に併用するとコピーコンテンツペナルティを受けにくくなります。</p>
				</div>
				<p class="ui right aligned">
					<span class="price-font">25,000</span><span class="price-font2">円</span>
				</p>
			</div>
		</div>
	</div>

	<div class="ui divider"></div>

	<!-- サムネイルプレス -->
	<div class="ui grid">
		<div class="six wide column">
			<a href="https://wp-plugin.info/plugsin-lists/#thumbnail-press"><img class="ui fluid image" src="<?php echo $base_img_url; ?>wp-pl012.jpg"></a>
		</div>
		<div class="ten wide column">
			<div class="ui content">
				<a class="ui header" href="https://wp-plugin.info/plugsin-lists/#thumbnail-press">サムネイルプレス</a>
				<div class="description">
					<p>自動的にアイキャッチ画像を検索して取得してくれるツールです。
アイキャッチが設定されていない投稿に対して、関連キーワードから画像を取得し、アイキャッチにします。
アイキャッチはオリジナル画像と合成したり、文字を入れたり、透かしを入れたりとオリジナル画像化することができます。</p>
				</div>
				<p class="ui right aligned">
					<span class="price-font">15,000</span><span class="price-font2">円</span>
				</p>
			</div>
		</div>
	</div>

	<div class="ui divider"></div>

	<!-- マルコフリライトサマライザー -->
	<div class="ui grid">
		<div class="six wide column">
			<a href="https://wp-plugin.info/plugsin-lists/#markove-rewrite-summarizer"><img class="ui fluid image" src="<?php echo $base_img_url; ?>wp-pl002.jpg"></a>
		</div>
		<div class="ten wide column">
			<div class="ui content">
				<a class="ui header" href="https://wp-plugin.info/plugsin-lists/#markove-rewrite-summarizer">マルコフリライトサマライザー</a>
				<div class="description">
					<p>WordPress(ワードプレス)で、マルコフ連鎖アルゴリズムを使い投稿記事の文章をリライトし、自動的に要約するオリジナルプラグインです。
コピー＆ペーストで持ってきた文章の特徴を残しつつ、最小限の文章に要約し自然な言語に仕上げます(文章の少ない数字の羅列、図表は苦手)。
リライトは実際の投稿記事を書き換えず、本文を残したまま、フロント表示の時だけリライトすることもできます。</p>
				</div>
				<p class="ui right aligned">
					<span class="price-font">10,000</span><span class="price-font2">円</span>
				</p>
			</div>
		</div>
	</div>

	<div class="ui divider"></div>

	<!-- デリートプレス -->
	<div class="ui grid">
		<div class="six wide column">
			<a href="https://wp-plugin.info/plugsin-lists/#delete-press"><img class="ui fluid image" src="<?php echo $base_img_url; ?>wp-pl005.jpg"></a>
		</div>
		<div class="ten wide column">
			<div class="ui content">
				<a class="ui header" href="https://wp-plugin.info/plugsin-lists/#delete-press">デリートプレス</a>
				<div class="description">
					<p>WordPress(ワードプレス)で、溜りすぎた不人気記事を自動で削除し、自動的にデータベースを最適化して高速化するツールです。
自動化ツールで溜りすぎたゴミ記事は自動的にお掃除しましょう。
自動投稿と自動削除は左右対称で必須です。
溜りすぎた記事を放置しておくとゴミ屋敷ならぬゴミブログとなり、WordPressの速度低下に繋がります。
自動的にアクセス数のない不人気記事を削除して高速化を目指しせんか？</p>
				</div>
				<p class="ui right aligned">
					<span class="price-font">10,000</span><span class="price-font2">円</span>
				</p>
			</div>
		</div>
	</div>

	<div class="ui divider"></div>

</div>
<div class="ui bottom attached tab segment" data-tab="third">

	<!-- ポケットプレス -->
	<div class="ui grid">
		<div class="six wide column">
			<a href="https://wp-plugin.info/plugsin-lists/#pocket-press"><img class="ui fluid image" src="<?php echo $base_img_url; ?>wp-pl019.jpg"></a>
		</div>
		<div class="ten wide column">
			<div class="ui content">
				<a class="ui header" href="https://wp-plugin.info/plugsin-lists/#pocket-press">ポケットプレス</a>
				<div class="description">
					<p>スマホアプリと連携してWordPress(ワードプレス)からお手軽にまとめサイトを作れるプラグインです。

あと読む系サービスのPocket APIを利用してスキマ時間ですぐに自動投稿できるスマホ＝時間の無駄をお金に換えるツールです。
ライティング不要で気になるニュースをどんどんアプリから投稿するだけで、分類されたまとめ記事がサクサク作れます。
初心者だけでなくサイトを放置気味の方にもおすすめしたいツールです。</p>
				</div>
				<p class="ui right aligned">
					<span class="price-font">10,000</span><span class="price-font2">円</span>
				</p>
			</div>
		</div>
	</div>

	<div class="ui divider"></div>

	<!-- タンブラープレス -->
	<div class="ui grid">
		<div class="six wide column">
			<a href="https://wp-plugin.info/plugsin-lists/#tumbler-press"><img class="ui fluid image" src="<?php echo $base_img_url; ?>wp-pl020.jpg"></a>
		</div>
		<div class="ten wide column">
			<div class="ui content">
				<a class="ui header" href="https://wp-plugin.info/plugsin-lists/#tumbler-press">タンブラープレス</a>
				<div class="description">
					<p>スマホアプリと連携してWordPress(ワードプレス)からお手軽にまとめサイトを作れるプラグインです。
ウェブスクラップブック系サービスのTumblr APIを利用してスキマ時間をお金に換えるツールです。
ライティング不要で気になる投稿をどんどんTumblrアプリからピックアップするだけで、おもしろ記事がサクサク作れます。
初心者だけでなくサイトを放置気味の方にもおすすめしたいツールです。
いつもスマホばかりをいじっている時間でどんどん気になる記事を投稿してお金に換えていきましょう。</p>
				</div>
				<p class="ui right aligned">
					<span class="price-font">10,000</span><span class="price-font2">円</span>
				</p>
			</div>
		</div>
	</div>

	<div class="ui divider"></div>

	<!-- オートツイッターフォロー -->
	<div class="ui grid">
		<div class="six wide column">
			<a href="https://wp-plugin.info/plugsin-lists/#auto-twitter-follow"><img class="ui fluid image" src="<?php echo $base_img_url; ?>wp-pl008.jpg"></a>
		</div>
		<div class="ten wide column">
			<div class="ui content">
				<a class="ui header" href="https://wp-plugin.info/plugsin-lists/#auto-twitter-follow">オートツイッターフォロー</a>
				<div class="description">
					<p>WordPress(ワードプレス)で、ツイッターのフォロワーをガンガン増やせる高機能ツールです。
特徴は3つ。

1.検索自動フォロー機能
2.フォロー返し機能
3.片思いユーザー自動リムーブ機能

マルチアカウント対応。凍結防止対策済み。

なんと19種類もの属性フィルターによって、自分のビジネスにあったユーザーを自動的にフォローできます！
間違って外国人をフォローしてしまうこともありません。
自動的に無理なくアカウントを凍結されずにフォロワーを増やすことができるプラグインです。</p>
				</div>
				<p class="ui right aligned">
					<span class="price-font">10,000</span><span class="price-font2">円</span>
				</p>
			</div>
		</div>
	</div>

	<div class="ui divider"></div>

	<!-- WP Go2 Twitter -->
	<div class="ui grid">
		<div class="six wide column">
			<a href="https://wp-plugin.info/plugsin-lists/#wp-go2-twitter"><img class="ui fluid image" src="<?php echo $base_img_url; ?>wp-pl007.jpg"></a>
		</div>
		<div class="ten wide column">
			<div class="ui content">
				<a class="ui header" href="https://wp-plugin.info/plugsin-lists/#wp-go2-twitter">WP Go2 Twitter</a>
				<div class="description">
					<p>WordPress(ワードプレス)で、5秒で作れるツイッターボットはいかが？
自動で定期的に好きなことをつぶやかせることができます。
自動投稿ツールと連携することで、投稿時にすぐに自動ツイートも可能。
過去ツイート機能でランダムに過去の投稿を何度でもツイートさせることもＯＫ！

長い文章は複数回に分割してツイートできるロングツイート機能もあります。
自動で定期的に広告する広告ツイート機能も充実。
SEOがダメならとりあえずツイッター集客！　あるいは両方だ！
マルチアカウント対応。凍結防止対策済み。</p>
				</div>
				<p class="ui right aligned">
					<span class="price-font">10,000</span><span class="price-font2">円</span>
				</p>
			</div>
		</div>
	</div>

	<div class="ui divider"></div>

	<!-- ツイートプレス -->
	<div class="ui grid">
		<div class="six wide column">
			<a href="https://wp-plugin.info/plugsin-lists/#tweet-press"><img class="ui fluid image" src="<?php echo $base_img_url; ?>wp-pl006.jpg"></a>
		</div>
		<div class="ten wide column">
			<div class="ui content">
				<a class="ui header" href="https://wp-plugin.info/plugsin-lists/#tweet-press">ツイートプレス</a>
				<div class="description">
					<p>WordPress(ワードプレス)で、1書くと10書き足してくれる画期的なプラグインです。
その秘密は、関連するキーワードを自動的にTwitterから取得し、記事のコメントとして投稿または、記事そのものとして投稿してくれるからです。
なんと記事タイトルだけでもＯＫ。あとはTwitterから関連するキーワードを取得しどんどん投稿してくれます。
ほんの少しのコンテンツをまっしまっしにしてくれる夢のようなツール。それが「ツイートプレス」です。</p>
				</div>
				<p class="ui right aligned">
					<span class="price-font">10,000</span><span class="price-font2">円</span>
				</p>
			</div>
		</div>
	</div>

	<div class="ui divider"></div>

</div>
<div class="ui bottom attached tab segment" data-tab="four">

	<!-- WP魔改造セット選び放題パッケージ3万 -->
	<div class="ui grid">
		<div class="six wide column">
			<a href="https://coconala.com/services/772705"><img class="ui fluid image" src="<?php echo $base_img_url; ?>wp-pl1000.jpg"></a>
		</div>
		<div class="ten wide column">
			<div class="ui content">
				<a class="ui header" href="https://coconala.com/services/772705">WP魔改造セット選び放題パッケージ3万</a>
				<div class="description">
					<p>ワードプレス魔改造セットであなたのデキナイがイキガイに変わる！
見積り手間なし！　最速最短であなたのビジネスを急加速！
あなたのヒラメキがビジネスモデルにフルモデルチェンジ！
お値段そのままでプラグインがどれでも選び放題！
公式プラグインには絶対できないクールで個性的なプラグイン群！<br>

この「WP魔改造セット選び放題パッケージ」では販売中商品から、お好きなプラグインをなんと！　4本までお選び頂ける大変お得なパッケージプランとなっています。</p>
				</div>
				<p class="ui right aligned">
					<span class="price-font">30,000</span><span class="price-font2">円</span>
				</p>
			</div>
		</div>
	</div>

	<div class="ui divider"></div>

</div>

<?php
 }  function ADD_DASHBOAD_SHOWCASE_WIDGETS( $slug = "Showcase" , $title = "阿修羅ワークス オンラインショップ" , $func_name = 'ONLINE_SHOP' ) { wp_add_dashboard_widget ( $slug ,  $title ,  array( &$this , $func_name )  ); }  function DBT( $mode = 0 ) { if( $mode ) { echo "<pre>"; print_r( debug_backtrace() ); echo "</pre>"; } else {  if( is_user_logged_in() ) { echo "<pre>"; print_r( debug_backtrace() ); echo "</pre>"; } } }  function DMPF( $data , $file_name = "test.txt" , $mode = 0 , $max_byte = 1048576 ) {  ob_start(); var_dump( $data ); $result = ob_get_contents(); ob_end_clean();  if( $mode ) { $fp = fopen( dirname(__FILE__) . "/$file_name" , "a" ); $result .= "\n"; }  else { $fp = fopen( dirname(__FILE__) . "/$file_name" , "w" ); }  fwrite( $fp , $result , $max_byte ); fclose( $fp ); }  function DMP( $value , $option = NULL ) {  if( $option == 1 ) { echo "<pre>"; var_dump( $value ); echo "</pre>"; } else if( $option == 2 ) {  if( is_user_logged_in() ) { echo "<pre>"; var_dump( $value ); echo "</pre>"; } }  else {  if( is_user_logged_in() ) { echo "<pre>"; var_dump( $value ); echo "</pre>"; } } } }